4308c957f9 opcua: Fix heap-buffer-overflow in opcua_secrets_block_callback
4e030d2b17 erf: Check that a time tag is long enough before copying
08827034f7 tcpcl: fix Dead Store (Assignment) found by Clang Analyzer
8e349a9a4a procmon: fix Dead Store (Assignment) found by Clang Analyzer
ed9d682451 http3: fix Dead Store (Assignment) found by Clang Analyzer
b3953f3349 epan: Widen input value in relative time_[m]secs_to_str functions
5c5d3d5381 UMTS-FP: More bounds checking against subframes[]
c517aedc99 K12: Fix a possible buffer overrun
8bc069fe71 ORAN FH CUS: Section/timing-header in u-plane must match c-plane exactly
3511f89277 .mailmap: map jaxlvl to Juan Carlos Valera
a82cb811ac Stratoshark: Sync up some "Find in Packet" code with Wireshark
94acaf7f33 OSPFv3: Add preference for Authentication Trailer
8ef8e0fa78 NAS 5GS: fix dissection of NSAG information
8874dd16df Fix some more dissector warnings
c92cf203e2 NAS 5GS: fix S-NSSAI location validity information dissection
15d8fcbf74 RDM: Add packets for E1.37-4 FTC
9ced22a5eb Added ProfiNet v2.5 CIM records. Syslog SD bugfix.
d43d89d201 sharkd: Make sure to deregister and already added IO Graphs on error
178939f126 sharkd: Make sure to deregister and free taps on failure
9c47ab577b [D]TLS: Report ALPN used in pinfo->match_string
51831814f0 [Automatic update for 2026-07-12]
961ee2b9bf hosts: Add base personal hosts file to name resolution load order
fd340b9bf1 TCP: fix duplication detection count and table display
a3a611d797 PROFINET: remove obsolete SecurityOperation 0x0007 (Imprint Private Key)
70231fc0fa CoAP-EAP: Add test suite and captures
cb4ddd4d61 CoAP-EAP: Add dissector for RFC 9820
be9fc3349a RDM: Introduce dissector table for Manufacturer-Specific PIDs
9b6556b115 epan: Add FT_PROTOCOL PINOs to the layer list
4ba90bea89 Livewire: Fix use-after-free error
7c7950394d epan: Define ENC_TIME_WINDOWS and use it
4fd8300ddf gpg: Signature made Sat Jul 11 15:36:28 2026 PDT
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
Qt: Replace codec ranking heuristics with category-tagged struct
9b04d315d5 Dissectors: address more warnings
aec48f5155 stratoshark: Make View as File Format work again
4b62256815 Qt: Append all the system translation paths
1de20fed9b pcapng-sysdig: Set timestamp presence again
36a8914895 Qt: Remove dependency on Qt6 Core5Compat module
f7ed872b40 ZIP File: Add ZIP file support to Fileshark
b600bec102 wiretap: add encapulation table entry for WTAP_ENCAP_PROCMON.
9942e897e0 feat(ble_att): Added ATT write command to direction recognition
9b2703cb23 Supply some more unregistered items
98ca993343 HISLIP: Add HiSLIP 2.0 protocol support
9ca3864aaa capture_sync: expand the comments for SP_WARNING_MSG.
86974d3de3 epan: Improve proto_tree_add_item_ret_varint error handling
ca57c2ad7b Add support for warning messages t odumpcap.
87d9a9f3a4 dissectors: address some more warnings
405dae5d22 ORAN FH CUS: If no exact match for timing header, match section to latest entry
436b1136cd BER: Move extra unknown SEQUENCE/SET field to PI_UNDECODED
28663ccddd C2P: Make the protocol name greppable
d3decdf420 CMake+extcap: Check for memset_explict and explicit_bzero also
d121c26a9b extcap: Scrub our SSH credentials before freeing them
471ecd8cf6 UET: Fix TSS header fields [issue/21400]
067697fc86 ORAN FH CUS: register 2 SE23 fields
2ab7f4cce3 dumpcap: have cap_pipe_open_live() return a succes/failure indication.
79302a032f eDonkey: Fix our protocol name
44bd0b8200 dumpcap: don't pass around a pointer to global_ld.
170dc5f9c6 HTTP/3: Export Objects, Request/Response tracking
1880735dda dumpcap: more comment updates.
a39a7345eb Qt: Export Objects: Init a member variable
309ff0a109 atalk: Add support for ADSP packets
fd8f1c9431 editcap: Add --discard-name-resolution flag to strip embedded NRBs
8c941b4e1f HTTP/3: Provide a method to retrieve the stream ID and use it for DoH
918eebd24c dissectors: fix more script warnings
90349844c9 dumpcap: comment the code a bit more.
d469a9babc ORAN FH CUS: dissect ST10 measType 10 & 11
0e2c129e78 dumpcap: remove some code `#if`ed out since 2005.
c9bd49828f z3950: Use a wmem_array to avoid overflow
3d1a963a84 UMTS-FP: Check some limits (fp channels and number of mac pdus)
e98b151a89 tcp: update rst diagnostic payload
58e13e06d2 HTTP/3: body reassembly and dissection
9b74d6c31e ieee1905: Handle the case where a TLV len is too large.
322aea2ed0 ORAN FH CUS: Show more info for linked U-plane frames
485c041586 dumpcap: fix a comment.
d5557afc50 Fix some spelling errors
68a91452af IEEE 802.11 crypt: Check for too large values in EAPOL frames
e4181901b5 epan: Add and use fvalue_new_pool
69ddb4ea63 wsutil: Fix strchrnul runtime logic on MacOS
e1a4317c88 file_compressed: add a routine for a "quick-and-dirty" close.
58f29a7a52 CMake+wsutil: Add ws_strchrnul
01202f794d QUIC: Don't reset gap status on later PDUs in a frame
ebfc206436 reassemble: Add a fragment_add_check_next function
818badf572 Qt: Fix AltGr detection on Windows
3f2b19a992 ORAN FH CUS: Always create frame list as part of result entry
101e06613f [Automatic update for 2026-07-05]
0ff95dbd4e dumpcap: clean up capture_loop_init_output().
4dbf3ff463 dumpcap: clean up some comments.
e85189715b dumpcap: clean up the file-finishing code.
39a3c43737 TLS: Only copy extensions from a "ech_outer_extensions" extension
f1ee34b4ad epan: Return unsigned lengths from proto API
984fe5b7f5 Make some static error message buffers thread-local.
cbee07a9f8 sdjournal: whitespace cleanups.
aea6b4f27c sdjournal: remove unnecessary variable.
e37de123cb wiretap: make the "bytes dumped" value unsigned.
b260b00b86 HTTP/3: Don't create file scoped upgrade info on a second pass
0776d01c6c HTTP/DoH: Adjust the expected base64url length for no padding
11b8d41452 epan: Handle base64url encoding padding being optional
44b4e46112 ITS: Add Automated Vehicle Marshalling and ParkingInformationMessage
89ec98b659 Qt: Fix find-in-packet follow-up issues
f2dd5a68b1 ORAN FH CUS: check result before walking list
4a0fca61ea erf: do unsigned artihmetic for byte counts.
a89d4ddbd3 ORAN FH CUS: Link forward from C-plane to U-plane frames
ee4719048d gcrypt: fix a comment.
f960bf0692 HTTP: Add DNS-over-HTTPS GET request query parameter handling
a8a97101a1 QUIC: Only do retransmission checks on the first PDU in a frame
28085c5ea7 Qt: Set log domain in main windows
ad83934cd1 QUIC: Pass FIN to subdissectors in quic_stream_info
f1535cbcc0 ORAN FH CUS: Also link C-U plane section info for UL
02cf9cb3e0 dissectors: address some more warnings
a278b0ee7a HTTP/3: Implement Follow HTTP/3 Stream
540844ffea JSON+: Add wildcardfield, protocol-scoped lookups, and per-protocol filters
f23bf82d9b ringbuffer: properly test for close succeeding.
c5d99cece2 afp: fix Dead Store assignment found by Clang Analyzer
f5e10372cd Qt: Rework Follow Stream Dialog
955dacd046 file_compressed.c: change some tabs to spaces.
c4797b16a2 ORAN FH CUS: Dissector v21 SEs
e3301efabd epan: More unsigned lengths in proto API
9f86e53c69 RELOAD: Widen the offset
f7f3245d73 GitLab CI: Update the manuf file header
8d83f5df52 recent: Prevent a double-free with duplicated geometry entries
0adbc2f921 MEGACO: Avoid an infinite loop with doubled commas
8a514bd7fc MEGACO: Fix some flipped signs in MEGACO over TPKT
04600a3b38 H265: Advance bit offset after dissect_h265_sub_layer_hrd_parameters
f1b16ee59f recent: Remove some old transitional backwards compatibility code
ed6406f288 epan: conversation: Comment flags
b2fbeb3f38 ORAN FH CUS: Updates for v21 spec
458e6c9448 pfcp: Update to 3GPP TS 29.244 V19.6.0
26d1f36c79 epan: Use unsigned lengths for more proto API types
122574449d NR RRC: upgrade dissector to v19.3.0
d3f836444e editcap: fix buffer overread in --sctp-split for truncated captures
8bae1354d5 dissectors: fix a few more warnings
fbddad76b3 XnAP: upgrade dissector to v19.3.0
2a21284658 NGAP: upgrade dissector to v19.3.0
5d519bef2c F1AP: upgrade dissector to v19.3.0
bfcff7c294 JSON: Allow to load personal dictionaries from personal configuration folder
e2945de19f HTTP: Add expert warnings for malformed header syntax
7d37bc0dcb capture_opts: Don't call stat on Windows to see if a filename is a Named Pipe
744b45054a ciscodump: Don't try to write more than PACKET_MAX_SIZE
703ad954d7 git+docs: Switch our AI disclosure to "Assisted-by"
81559a96f2 wmem, DNS: add wmem_map_get_keys_sorted() and use it for DNS.
9265ba2a4d SIP: Fix dissecting route record
e8e7345798 802.15.4 decryption: pass the decryption key as a separate arguemnt.
3ab545a555 sgp32: Update to v1.3
c638393949 LPP: upgrade dissector to v19.3.0
0cf6e6359b NAS 5GS: upgrade dissector to v19.7.0
dd30af214e LTE RRC: upgrade dissector to v19.3.0
a604108799 NAS EPS: upgrade dissector to v19.6.0
e3d5ef723a cli: Fix a few leaks in taps in error cases
c168d158e6 DNS: Remove Key ID/Tag naming ambiguity
2f76d503be DNS: Fix DNSKEY flags naming
9b9ce9724b IEEE 802.15.4: fix null pointer in decryption.
0d5c9da8c8 Qt: Add Find in Packet search feature
b8cfd8975f Qt: Add a statistics Distribution Dialog
ea0ba904fd json: optimize JSON output for literal values and key suffixes
75e5a7749f AFP: Add support for AFP 2.x ProDOS Info Block
9bdf0adc28 JSON: add path-based protocol dispatch to JSON+ dictionary
eed529e074 column: Don't overflow when converting a large time to hms
8bd7ed476a sctp: update DTLS KM method IDs
3658b43950 ORAN FH CUS: Use a wmem_tree for section info
b53e6f5ef6 epan: Fix signed_time_msecs_to_str for small negative values
4d37760a49 Init MD5 digest arrays to zero in a couple of dissectors
451a125c33 netscaler: Initialize signature struct to 0 when writing
e893e73ef0 CMake: Add an option to force 64-bit time_t/Y2038 compliance
e202b42dfb DNS: Update DNSSEC Algorithm Numbers
723816f0d4 [Automatic update for 2026-06-28]
c847a47634 pcap_pktdata: Restore the record's pkt_encap after calling
0ed4dbfd70 TLS: Ensure that gcry_md_init failure is handled
919869fda8 packet-ieee802154: fix indentation.
22253bcaac wsgcrypt: minor cleanups.
97421ea7f6 ssh: Check for ssh_kex_make_bignum failure (length 0 or too long) in keylog
e46c6b6a99 Windows Search: keep names around after the dissection finishes.
866d68f876 strptime: Don't read a character past a null timezone
d829fcf75c IEEE 802.15.4: Fix ccm_cbc_mac stack buffer underflow
45bcc7b79b LZ4: Update a comment
7223d36a4c TCP: Duplication detection requested fixes
38d6271f44 capture opts: Use test_for_fifo from libwsutil
c5e2d10daf atalk: Add support for MacIP packets
4dfc29f541 dumpcap: Do not flush after every packet in pcapng passthrough mode
a5d408b482 lz4: Don't try to flush if not initalized yet
282c84389b wiretap: blf: Make Coverity happier with a smaller max buffer
be2814cffe epan: zlib: Fix a possible leak in an unlikely case
6af581f447 dissectors: fix more detected warnings
af79109dc5 wlan: Block ack sequence numbers are 12-bit
27ae0feed5 Qt: Prevent a filtering loop
678de4f9e3 bvlc: fix Dead Store (assignement) found by Clang Analyzer
6f85fc6895 Qt: Make sure the main display filter history always updates
8ac2da71b5 Zebra: Fix use of uninitialized memory
f7ee8cc199 lbmc: Fix tvb leak
6c10bb38e9 EBHSCR: Fix a leak
1d68084ca4 wiretap: blf: Remove const
956e2f8ef3 wiretap: blf: Fix leak and typo in previous commit
4191f0bc56 wiretap: blf: Check actual decompressed size against claimed size
2b67767a43 DVB-S2-TABLE: Fix duplicate field name and waveform_id display base in BCT table
d06f6a4ea1 wiretap: lz4: Check for error in one additional case
0acfba6ab9 epan: tvbuff_zlib: Declare the zlib stream on the stack
e9d7bf7417 USB: Don't memdup a composite TVB after finalizing
67be0a7dd9 B.A.T.M.A.N. Advanced: Update return values for unsigned
7db3ead8bb ORAN FH CUS: avoid potential overflow while working out usec timing delta
a859cba78d TLS: Move (probably-unnecessary) NULL check before dereference
02dbbdbf41 Dissectors: fix some more cppcheck warnings
e5dc76c30c epan: zlib: Avoid a use after free in an error path
d52a99e1cc TRDP: Fix too restrictive XML-sdt-param checks and an older coverity bug
8f23919ee4 proto_data: Fetch the list of protocol name and keys as GPtrArray
2aefd64649 epan: Use a wmem_list instead of GSList for proto_data
6adeb5d8a3 CMake: Check libpcap time_t size on 32-bit platforms
d1c9a27063 file_compressed: improve handling of compression library errors.
cc5675eb9b file_compressed: provide an info string for one FILE_ERR_INTERNAL case.
4f00d6092d SMB2 Fix pipeline overfow using decode_smb2_name
86867db768 SMB2: Fix_str_util.c
02017e2dda Lua: fix some leaks.
1107b0e135 Revert "GitLab CI: Disable the Coverity Scan jobs for now"
cab8f4b590 ORAN FH CUS: Fix some duplicate or confusing filters
2813301e89 TCP: Implement 2 new fields to track who sent TCP RST first: client or server.
210513dc0e EPAN: OIDS: make proper glib type - c11 type conversion functions
0b7208d2e2 dissectors: address a few more cppcheck issues
f852aaa753 GlusterFS: decode the v4.0 procedures shown as dissect_rpc_unknown
33313cacc6 test: Fix a test result with 32-bit time_t
08cb7a103d ORAN FH CUS: Take more care over index into beamIds[]
00fc37d700 Zigbee: Fix build with 32-bit time_t
fc996a6dba GlusterFS: round opaque<> dict values to the XDR 4-byte boundary
ffad2da4fe GlusterFS: fix FALLOCATE/DISCARD/ZEROFILL/FXATTROP request field decoding
23daff7259 tools: Check for lupdate in update-tx
cbb4b3ed35 wsutil: Optimize format_text_internal
0249c7369d Adjusted data type for 3GPP-Session-Stop-Indicator
799160722d GlusterFS: Sync FOP procedure enum with current GlusterFS
56ea4ac47f Fix some break statment indentation.
139328ce90 etwdump: Show human-readable Win32 error messages
3f7ae7067c [Automatic update for 2026-06-21]
5ff723fb4a Preferences/Protocols/IKEv2: fix error message
5ad476d0f6 haiku-setup: improvements/fixes for --install-optional.
1cb9ced0c2 Add a haiku-setup.sh script in tools, for the Haiku operating system.
e44712058e DNS: Fix some RFC references.
87a0a8643b capture: fix capture-pcap-util.c to build on other platforms.
f7e5a4fd4d xgt: prefer C standard printf formats to GLib ones.
40f0303bd8 GitLab CI: Make sure we use the same path for our error output everywhere
38ac0ca19f DVB-S2-TABLE: Fix FCT2 section_fixed_access_method bitmask
e154ee01ac Debian setup: Install libcap2-bin
ef5c1337b9 CMake: Fix Large File Support on 32-bit platforms
314a0e1648 http-urlencoded: fix percent-decoding bounds check
a08554817a TRDP: Fix printf formatting with 32-bit time_t
e1cb516a97 CMakeLists.txt: remove a stray #.
dee92aea6b ws_verify_peercred(): fix build on some platforms.
22001325f2 SMB2: Support for asynchronous communications
a0e868c875 wsutil: Optimize utf_8_validate a bit
c8fa5b19b8 CoAP: Initialize a boolean pointer out value to true
5d76196504 epan: Zlib: Remove unnecessary memcpy and memset
042e66c5d0 GitLab CI: Fix our fuzz artifact uploads
f152fb4f36 adb: cap data_length and use lazy allocation
a038993777 ORAN FH CUS: Check for no data section information available
6336e545ea SCSI: Fix some checking warnings
d6049d90d7 dissectors: more cppcheck errors
a6b329a81c HiPerConTracer: Strengthen heuristic
aecf4a71d9 UDP, DCCP: Use follow_stream_tap_listener
295d8c60e2 sharkd: Only peers with the same eUID may connect to Linux abstract sockets
d5b7164102 TLS: Get rid of an unaligned hash
c98792c501 dissectors: address more cppcheck warnings
6f8cd3d7ff sharkd: Support TCP sockets on loopback addresses only (IPv4 or IPv6)
70285ee525 sharkd: Use Unix Domain Sockets on Windows where available
0b0825639b docs: Fix some markup in SECURITY.md [skip ci]
fcbdb1e6d0 HTTP: Add QUERY method and Accept-Query header field
7f3d9cf1df Update tpncp.dat
7054117d2b epan: Use unsigned for offset variables in missed dissectors
cc3f8fcd54 SECURITY.md: Add a line about confidential issues
5928088edb ORAN FH CUS: match U-plane to C-plane in more detail
a47f4d0f08 OSI COTP: Set src-ref and dst-ref from CR and CC TPDUs
0143274e20 wiretap: DBS Etherwatch: Ensure buffer has slack for an extra line
5e9cfc97b7 Remove .travis.yml [skip ci]
fc1c966e60 epan: Use unsigned for offset variables in ASN1 dissectors
bad2ede314 gpg: Signature made Wed Jun 17 05:24:12 2026 PDT
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
epan: Use unsigned for offset variables in some dissectors
fe168fe75c epan: Use unsigned for offset variables in packet-[p-z]* dissectors
39d421c445 epan: Use unsigned for offset variables in packet-[k-o]* dissectors
839145f210 epan: Use unsigned for offset variables in packet-[f-j]* dissectors
8f71ae5ac5 epan: Use unsigned for offset variables in packet-[c-e]* dissectors
f7461969ff epan: Use unsigned for offset variables in packet-[0-9a-b]* dissectors
d296f939b4 Decode As: Try to fix MSVC GitHub build
db91d83def TCP: Follow: Use the ports and addresses from the TCP header
157821c17f OSI COTP: Handle TSDU fragmentation in both directions
c0fcbcb509 OSI COTP: Fix checksum calculation
ca6a8b7eff epan: Optimize ws_label_strcpy and dissect_per_boolean performance
6520474bc9 json: even further optimize JSON output (10.2x total speedup)
89588c1515 file: Format the progress bar sizes
b5324c395d bsd-setup.sh: updates.
0947f2a310 Debian: fix timestamp in changelog
f691ad7815 Qt: Add back progress bar status updates when called from the C routine
9495da2b4d Themes: Match QMenuBar and QToolBar background color to our theme
f4560aedfc docs: README.tapping minor update for a function signature
df8cc6e0e2 editcap: add --sctp-split option to unbundle SCTP DATA chunks
2ad5f65dd9 FMP/NOTIFY: Do not precompute the HandleList length
63aab2afd4 wiretap: pcapng-darwin-custom: Don't overflow allocated option size
3cef3c9624 Qt: Update main display filter entry when filter changed programmatically
e4b042ba98 Qt: Make the progress bar actually move and work on KDE
64021224fa docs: SECURITY.md fixes
ca6d8c41e8 Qt: Update DisplayFilterEntry status immediately on clear button
1ba9a0c0ec json: further optimize JSON output (6.6x total speedup)
11c1fb239e VNC: Pass on tcpinfo pointer to TLS dissector
59b5911ee4 file: Work around DSBs not at the start of a file
19ed5e70e7 TLS: Prevent some UB unaligned memory access in ECH
c15cd034f9 [Automatic update for 2026-06-14]
a14a5760c5 Qt: Lower FilterEdit debounce timer
718ad98074 TLS: Inject Encrypted Client Hello secrets too
675c13f3ad F5 Trailer: Add TLS secrets
2bdec974ce Add security issue guidelines
ae5de2ea3c file: Cleanup the packet range if it's the all range
1a9db80e2e dissectors: fix some cppcheck warnings
2cba60e263 wsutil: remove glib type related and other deprecated functions
6d096ef8c0 EPAN: remove glib type related and other deprecated functions
4f704578ea Qt: Ensure that filter status bar error updates in bad state
3c13d80cf7 sctp: update DTLS chunk support
47ed071ada epan: unsigned lengths for proto_tree_add_bitmask_ functions
57ed951f65 json: optimize JSON output performance (~5x speedup)
16f29ea5bd EPAN: No need to remember hash function
fe14ade0bf EPAN: remove glib type related and other deprecated functions
88f59451e8 Qt: Ensure that data source views are actually deleted
bf445ecc80 C15CH: Avoid creating duplicate value_strings
f1add64ead CMake: Don't install ws_mempbrk_int.h
2912984f03 EPAN: Finalize Decode as implementation conversion
0defc09e5f HTTP: Prevent a use-after-free
721c90996c WOWW: Use tvb_child_uncompress_zlib
986e1ce0d0 Exported PDU: Fix passing in a NULL list of items
f46adcd088 wiretap: logcat: Check for ill-formed Exported PDU header TLVs
697cf9a07b TCPCL: Use unique message index including data source index
b9097a617e Lua: don't define unused static inline functions in the debugger.
243346d673 docs: Document the software update URL format
498e98aa38 ORAN-FH-CUS: Fix a couple of recent regressions
a122841759 epan: Use unsigned lengths for more proto_tree_add types
ac052c66b8 DCE/RPC NETLOGON: Use tvb_child_uncompress_
7dfa283ca6 debian: Check if including wsutil public headers compile
6b239cf71a HTTP: Use a wmem_list for the request list to prevent leaks
9e1ab5a759 DCERPC: Do cleanup in a FINALLY block
079574d49a File: Don't use -1 as a length for a boolean
d9e0f4d646 PIDL: Identify some more string types as FT_STRING
6ebe429614 DCERPC: Fix technically undefined left shift behavior
58107f1523 mdb: Fix Dead Store (increment) found by Clang Analyzer
90ce3ee7b6 GitLab CI: Fix the Arch Linux job
8b36a52c88 ALC/LCT, LLS/SLT: Avoid leaking decompressed TVBs
464e215384 Version: Wireshark 4.7.1 → 4.7.2, Stratoshark 0.10.1 → 0.10.2 [skip ci]
667ab240e6 Build: Wireshark 4.7.1 and Stratoshark 0.10.1 [skip ci]
0acc11a5a4 epan: Use unsigned lengths for some field types in proto API
3294f01b71 UMTS RLC: Fix a leak
132a346065 RRC: Fix a leak
0b3249c4ee sgp32: Expand tagList
fa55722b8c sgp22: Expand tagList
05fa9535c5 NAS-5GS: Implement stub IEs per TS 24.501 v19.6.2
723cbf55b1 E2AP: Zero out gnb table completely between captures files
91c0a9d619 Qt: Don't repeatedly warn about no interfaces with stats
8f1c932f24 Fix a few proto_tree_add_uint_format calls with length -1
4b80091bd1 dumpcap: Amend an error message
6dbe90cab2 CMake+Packaging: Build translations for MinGW
d8e849b9ff CMake+NSIS: Ship libunwind.dll with Stratoshark
8aa521e0e7 CESoPSN: Allow to be carried over CESoETH
012e2099a4 GitLab CI: Disable the Coverity Scan jobs for now
a79fc49120 dissectors: eliminate some duplicate value_strings
f2eec8d102 Bluetooth HCI: Add core spec 6.1 - 6.3 support
517b3a21b8 epan: Switch to unsigned offsets in proto API
4356ab8125 GitLab CI: Keep creating the {WIRESHARK,STRATOSHARK}_VERSION vars
4d6c2016a4 RSVP: address some check script warnings
fed135da50 BSSMAP LE: Dissect Connectionless Information message
2ff14af918 Qt: Define the log domain for the interface list manager
e72cb10b12 CESoETH: allow other PW encapsulations than MEF 8 to be carried
950f576257 dumpcap: Return WS_EXIT_NO_INTERFACES where appropriate
32e13abe70 GitLab CI+packaging: Add minimum_system_version to our release-info .ini
565ae5ae1e Packaging: MinGW: Ignore unexpected windeployqt output lines
05f861e11f Qt: Redesign Font & Colors theme preview widget
e80977df2a GitLab CI: Fix mismatched braces in Code Lines and Data job
36c83a2ff5 CMake: Use the Qt 6.2 qt_add_lupdate signature
cbf395a8d6 Qt: Emit cleared signal when expression is empty in applyExpression()
1cab77ddc5 eDonkey: Don't let the offset go backwards when dissecting a list
56c7a98a91 CMake: Fix wording and info for CpuInfo
1d63468a9b CMake: Use new qt CMake commands for translations
0b59425968 Qt: Make a warning slightly more verbose
c9674e6cfa addr_resolv: Check for truncation of IEEE manuf long names
959112c64f Qt: Fix a bunch of translation (lupdate) warnings
0a71c2595f dumpcap: fix indentation of a new comment.
2563d75685 GitLab CI: Switch more jobs to rclone
6e3760c331 IPv4: Handle empty data packets
056e4b078f dumpcap: determine the application flavor before we use it.
acfc0af6c8 Qt: Add MainApplication::whenInitialized helper and convert appInitialized sites
7096a5e8f4 mdb: Add checksum check
197d1c9da0 Qt: Add hover/pressed feedback to recent-filters arrow
dc1947b456 CI: disable ENABLE_ZLIBNG in no-options build
837ba30cbb Qt: Don't install the binary translations a second time on Windows
838e0e31b2 Stratoshark: fix no-libpcap build for capture restart action
492db1be4b Qt: Off-thread interface statistics and InterfaceListManager
849f1d184f [Automatic update for 2026-06-07]
d246c7c34b nettrace_3gpp_32_423: Set file_start_ts from beginTime
6970c2fb0f check_typed_item_calls.y: detect duplicate value_strings
561ea0aa20 Added missing offset increment when field D28 is present.
16add988e0 nettrace_3gpp_32_423: Fix beginTime attribute lookup on wrong XML node
7d35e63721 Packaging: MSYS2: Install the opencore DLLs
349bff114a Tools: Install qttranslations on MinGW rpm
98899857fb Deal with passing the app flavor to dumpcap in at the lowest layer.
436c4f3579 Qt: Respect preferred UI language on Windows
23e5d871f5 epan: Use unsigned for proto_set_appendix_len
59e459d412 wsutil:wslog: Introduce fatal log count
3514a69b48 Qt: Fix FunnelConsoleAction UB
816850c372 Funnel: Fix another leak
bbd80e7479 Qt: Make colorscheme setting global
01606bc5ee Qt: Remove unused source files
7142b0d66f Qt: Treat empty capture filter as valid
4cf86d7d25 Funnel: Fix some leaks
b211076902 epan+ftypes: Fix FT_PROTOCOL offset and length handling
846b518066 Funnel: Make GUI Lua plugins appear at startup
9a388e4c54 cmake: use set() for bcrypt on Win32 to fix x86/x64 mismatch
9386b678ab mingw-rpm-setup: Conditionally install the speexdsp package [skip ci]
c255247c7f ftypes: Comment out another newly added assert for now
ff238b8db1 PROFINET: Update SXP dissection to PN-Spec v2.50
08611e79d1 CMake: Make SpeexDSP optional for Wireshark & Stratoshark
95832dcb44 Qt: CopyFromProfileButton: parent the menu
49ce9a782c epan: Add some comments around FT_PROTOCOL and don't assert for now
d722627f78 dumpcap: do a better job of reporting warnings on capture device opens.
5395bb23cf capture_sync: fix issues with "died on signal" error message.
1257fab89f Qt: Use stdint uint32_t instead of spx_uint32_t in RtpAudioFile
5a80554434 Qt: Use QFontDialog::MonospaceFonts for the monospace font pref
67d3d5a2cd epan+ftypes: Use unsigned proto_item_[set|get]_len
e32674357c packet-woww.c: Avoid use of uninitialized memory
a674870672 CMake: We don't need to set QT_MULTIMEDIA_LIB or QT_DBUS_LIB ourselves
203b58634f TLS: Fall back to SHA-256 for calculating early secret from PSK
58bb23c51e ecpri: Show numerical value for msg_type as well as string
5a71df4fe6 BSSMAP LE: Update to Release 19
0fd0fc9195 HI2Operations: handle some bad implementation of apn and uli
913553d5ed Dissect MS-TURN 0x0004 as Send Request
e6ba3b748e Remove more support for Qt5
440a019a7b Qt: Remove various Qt5 compatibility code
7e97bd219e isobus: reassemble Transport Protocol BAM sessions
7d07bd579e mctp-smbus: Add MCTP over SMBus/I2C transport binding dissector
a062fcb8e2 NAS-5GS: Add missing URSP type registrations and parsers
d524a95aa6 NAS-5GS: Parse URSP Time window, PDU session pair ID, and RSN descriptors
329a349d78 BSSMAP LE: Fix APDU IEI handling with length 32768 octets or more
ec76c78439 Qt: Preview Widget: Use monospace font for the proto tree
f9acf3a4bc Version: Wireshark 4.7.0 → 4.7.1, Stratoshark 0.10.0 → 0.10.1
37bbeffbda CMakeLists.txt: more improvements for Solaris.
74a169fd36 Build: Wireshark 4.7.0 and Stratoshark 0.10.0 [skip ci]
25603cece1 Qt: Fix HeaderView height on macOS
d76102fac2 IPv4/IPv6: Improve proto_data "sharing"
7263aa9b42 lbmc: add UME ranged retransmission request dissection for UM 6.17
390d00de39 ieee80211: Add dissector for Belden vendor specific IE
f78a1c4d38 Qt: Convenience method for hiding all interfaces of type
f6fe89bdcd CMakeListx.txt: fix finding packages in 64-bit Solaris builds.
3c7615d1ef Fix some spelling errors
41abc4c213 fix(cflow): restore port context for data link frames
0ad1f19a42 CI: Install jsonschema so theme schema tests run
8fa9f09edb WSLua: CaptureInfoConst attributes use wdh->shb_hdrs
9daec445f8 Qt: Fix bookmark font and trailing alignments
09041403ee NAS 5GS: Make ciphered messages a field, not a text-only empty subtree
7cc30f93fc Qt: Fix lazy initialitaion crash
7c17c41cf3 TLS: Fix calculation of client traffic secret in psk_ke
2f6aa8f06c nts-ke: have a direction variable with request/response/unknown values.
b7ed6013cf Prep for Wireshark 4.7.0 and Stratoshark 0.10.0
909ce75110 GitLab CI: Fix our asciidoctor-pdf installation
bcb0f75fad IEEE1905: fix IPv6 type TLV (with no other addresses) parsing
46b24367d3 TCP: add capture-level duplicate packet detection
c072d0d0ff netlink-nl80211: Dissect NL80211_ATTR_CIPHER_SUITES
451b04e051 Qt: Simplify margin calculations
792c0aca85 GeoNW: add support for 5 ETSI Release 2 PSIDs
6d383d3661 Doxygen more wireshark headers (13)
3d71249341 CMake: Remove Qt5 build support
49fafe5ab7 Qt: Rework filter line edit inline affordances
645f3ba59c rtp-ed137: Add support for RRC paired frequency mode
4dcf948bdb TLS: Support decrypting TLS 1.3 psk_ke with PSK only
c216f75a43 mdb: Fix Dead Store found by Clang Analyzer
aa7162a426 CMake: Update required CMake version to 3.22
ed8b7927da Qt: Fix adaptive height for headers when zooming
5e09068325 NAS-5GS: Parse URSP Location criteria route selection descriptor
115e5a3105 NAS-5GS: Parse URSP Regular expression traffic descriptor
7459f19ef0 etw: Fix incorrect size in SecureZeroMemory of TLV buffer
34bae7afea Qt: Add a new theme Midnight Blue
65248ddb8c krb5: don't attempt to typedef krb5_context ourselves.
510c779e48 gpg: Signature made Tue Jun  2 00:57:03 2026 PDT
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
PFCP: add missing flags and fields, and updated names
5fd01fa646 PFCP: add dissection of IE's 354-402
a7e2fc7148 nettrace_3gpp_32_423: Add support for UE ID
8f3d02c63c Remove .cirrus.yml [skip ci]
02cd27ae7b GitLab CI+packaging: Remove Ninja support from our Debian packaging
b4906a115e Qt: Add FontManager as the single font authority
b632a7d915 PFCP: update missing IE in type list
28f5a470c9 Qt: Rebuild capture and display filter line edits
f58bad13df dissectors: address more script warnings
b16f312db1 Convert more Glib gboolean to C99 bool
246b23b683 nettrace_3gpp_32_423: Add handle of traceRecSession
bd90700260 gsm_sim: Make STORE DATA Le optional
b1120d94f1 addr_resolv: squelch a string truncation warning and note the issue.
530f9c34b7 [Automatic update for 2026-05-31]
2c2f61b6ba voip_calls: make label count and indices unsigned.
711b4dc3ec tools: Add missing commas to weekly-updates.py
2a14de6e72 Qt: Enabled Protocols: Let enabled and name/description be orthogonal
386854489a Qt: Profile Dialog: Don't pass in an invalid model index
37c5730611 etw: Fix operator precedence in SMB event dispatch
5a263d76b6 etw: Add missing type specifier for PcapNgIfIndex
e7835d51c0 dect_nr: Fix a length check
86927de9f1 USB Audio: Support AudioStream Interface Control Requests
3bcfa0ffca Qt: Fix overlapping elements on welcome page
30b58ca546 CMake: Add a note about using pkgconf instead of FindWSWinLibs
7e46d4c81f Qt: Refresh theme preview on System-mode and OS-appearance changes
f5bd5e3d73 Qt: Add Stratoshark theme and per-flavor default selection
74f817458e follow: Introduce a common tap listeners that include stream id[s]
e420dd3af4 Revert "Qt: Add Find in Packet search feature"
5136182243 Qt: Support personal themes and migrate legacy colors
a51c31bbf7 mdb: Add Bill Validator Dissector
043daf62b2 Qt: Add a theme manager for Wireshark and Stratoshark
f076627d7d Profile dialog: Bugfix selecting deleted Default profile
52974e7baf Haiku requires that programs using socket() link with libnetwork.
7c708caa16 dissectors: avoid some more separate fetches of values
32c6f3c4a4 capture: another Haiku fix
3767581160 Another change for Haiku.
aeef93527d Pick up some changes from the Haiku port.
8c62a3918f UI: Add delta time (displayed) to the default columns
a9f2c651f1 NL80211 + IEEE 802.11: Dissect Beacon IEs containing TAG_SSID correctly
874969566a usb: Check buffer boundry in dissect_freebsd_usb_frames
94fa5e25f3 packaging: Debian: Don't depend on libcpuinfo on unsupported arch
6ad58f73e1 csn1: fix printing of M_UINT_ARRAY items
cbd84990bb csn1: CSN_UINT_ARRAY: fix pointer increment logic
50fd74b66e dissectors: avoid more more separate fetches of values
413d933945 generate-vmware-hb: add missing exec
7aedc3e75d welcome_header_widget(qt): remove duplicate include
411c6f845d NAS-5GS: Add Rel-18 connection capability values to URSP dissector
750cdc6319 dns: add semantic validation for SVCB parameters
7cb0b8bfef Qt: Add Find in Packet search feature
254058b84b tools: Add a target branch option to weekly-updates.py
bded0b3676 packaging: Fix Qt SVG mixup
55b1e8bc18 Add tools/dissector-generators/generate-vmware-hb.py
61c6a29b2d  C2P: Fix timestamp display
8bd4719c92 Doxygen more wireshark headers (12)
88e3d0e7f3 Qt: ProfileModel: Keep the Default model at the front of the list
e3e6197d54 kafka: Fix compact array length
c5c38d87e0 tools: Deduplicate and sort the weekly-updates python module list
d44e90d122 lua_debugger: fix checkAPI Qt
e8795a8bbd packaging: rpm: Fix OpenSUSE runtime QtSVG dependency name
b605fdef2b lua_debugger: fix checkAPI Qt
09cc211371 Qt: WelcomePage: Hide sidebar on initial construction
5546d70fb9 Fix some spelling errors
af1a4c34af NTLMSSP: Add NT Credentials UAT for multiple passwords and hashes
711f34f0c0 packet range: Add an iterator
5d93550f95 CMake + wsutil: Use cpuinfo for CPU and CPU feature detection
ebe2498752 usb: Dissect USB packets on FreeBSD.
90a8641e05 BGP: Update for RFC 9830/9831 SR Policy Path attributes dissection
f31abe4204 Doxygen more wireshark headers (11)
781583fe00 packaging: Add Qt SVG requirements
4a574d576c tools: debian-setup: Fix Qt SVG dev on Ubuntu Jammy
3322dd3c6a CMake+Qt: Require and link with QtSvg
584ffc1fc6 packaging: Remove a hack from osx-app.sh
76cd0d93ee ORAN FH CUS: show when udCompHdr settings ignored in UL
1ec1757e22 WSDG: give PowerShell syntax for setting env vars
3559245841 netlink-nl80211: Dissect EAPoL frames correctly
0ce6371f38 nl80211: Dissect HT and VHT MCS and Capabilities in band attrs
13908eebe9 IEEE 802.11: Fix dissection of Wi-Fi Alliance vendor IEs
9b9e4d4fbb wsug: explain UDP Multicast Streams dialog better
d4ecc456e5 UDP: Don't resend data to the follow tap in proxy protocols
9b8f6e1ad7 O-RAN FH CUS: Add "UL" to preference label
3f290a4da1 dect_nr: Update to V2.2.1 (2026-05)
2a3803b076 dect_nr: Refactor CVG PDU IE handling
829b3821ac ieee80211: Parse elements for authenticate frame in Wrapped Data EXT element
e15e4942dc packet-epl: Fix Use-After-Free in profile loading error path
b02fa71bb3 GNSS: fix number of supported OSNMA DSM blocks
8c6e7318c7 WSDG: Update sln -> slnx in the other files as well
d075ecbe3d MPEG DSM-CC: Advance the offset in a loop
b82c1f053d epan: follow: use a consistent ident size
439f6d8960 packaging: debian: Update idl2wrs location
22fa4c25d3 wsdg: Update some references to MSVC to 2026
a5747330cd debian: Bugfix packaging of idl2wrs
b41196f188 MIH: Advance the offset on an unknown link address type
895058f163 dissector_generators: Ensure executable bit is set on all scripts
da6bde4369 tools: dmx manuf ids: update script for table errors
2333b96db4 usb-ptp-extract-tables: Convert to Python
8f87e99622 V5UA: Fix UB due to integer promotions
a2f3db4e76 NTP: Throw exception on private (mode 7) items with no length
d5bc2db165 check_apis.py: Check for a dict key
9d63a9df97 usb: Refactor dissect_freebsd_usb
1b8ed961b9 Move Python scripts that generate dissector data to tools/dissector_generators
a9f6329ba0 Move NCP dissector generator Python script to tools/dissector_generators
ccdbafb905 Move eti2wireshark.py to tools/dissector_generators/eti2wrs.py
976138f517 Move IDL generator Python scripts to tools/dissector_generators
0f062a52a8 Move ASN.1 generator Python scripts to tools/dissector_generators
7751439f1d [Automatic update for 2026-05-24]
70a4a0d4b0 QT/wsdg: luadbg (evaluate) - clear button; documentation
ac3120b2da check_apis.py: use concurrent.futures
db159f2365 nvme-mi: Fix request/response tracking and add MPR support
eba44af23f ui_prefs: Define a log domain
ee015477a0 tools: weekly-update: Add nl80211 fields
cc63424938 fcels: Advance a loop offset
75c0d1d286 CMake: Call check_api.py from the checkAPI* targets
b01d2263c8 livewire: Register unregistered ett
cbd5a21fde tvbuff: remove some code duplication.
0331ea0f25 CDP: Fix a loop not ending because of switching to unsigned variables
4e1ed2c1df nl80211: Dissect NL80211_ATTR_PROTOCOL_FEATURES values
cd69a94ee0 netlink-generic: Mark CTRL_CMD_NEWFAMILY frames as depended upon
943ba196fa wsutil: Add wmem_multimap_lookup32_le_full
bd203ccf97 catapult-dct2000: cap E-DCH no_ddi_entries at MAX_EDCH_DDIS
e286d40f4d netlink-nl80211: Add a zero length proto item for 0 payload commands
56d1583f36 packaging: WiX: Fix toolset version in one more place
f2551c7d2d weekly-updates: Add support for script arguments
a439ea1105 tools: weekly-update: Fix copy-and-pasteo of PCI ID tool name
42687bca53 CMake: WiX: Set merge module location correctly
bb57822cd6 epan: Abort on start idle count if WIRESHARK_ABORT_ON_TOO_MANY_ITEMS
0c6339b3f9 gsm_a_rr: PO (gsm_a.rr.p0) is in units of 2 dB
2b38e3d9e4 gsm_a_rr: use CF_FUNC(&fmt_2db_units) for hf_gsm_a_rr_gamma
cffb9571c1 gsm_rlcmac: PO (gsm_rlcmac.dl.p0) is in units of 2 dB
a8fa38b5a5 gsm_rlcmac: GAMMA (gsm_rlcmac.dl.gamma) is in units of 2 dB
23a1a9b3b7 CMake: Let CMake figure out our toolset version
b09c8dc3ba extcap: Respect WERROR
e920841b56 etl: Fix some warnings
4162912cac wiretap: pcapng: fix put_nrb_option NRB custom-string over-copy
d5f8ace47b fix: replace GIF with PNG for aggregation view
c23d7c2e72 GitLab CI: Switch the Windows builds to Visual Studio 2026
b98723c359 wiretap: netlog: reject files missing the events array
ec24a45c3c cip: add objects for Process Device Profiles
f86c763f9c etw: Fix Dead Store found by Clang Analyzer
88ff0518ce tools: Update generate-nl80211-fields to run from any directory
229745443b Doxygen more wireshark headers (10)
7619e382ab netlink-generic: Mark as using tabs in .editorconfig
4c4b8671f4 epan: Try to raise the stack limit to 8MiB if needed, warn if it fails
b2f31a1779 lua: add global and function to get LUA_RELEASE
bde67bcfa1 funnel: Avoid use-after-free
594942c3a6 Revert FT_ETHER change for RNR TBTT BSSID
029957c9db ieee80211: Add zero length check
aa4eaa49b2 ieee80211: Add WNM Sleep Mode subelement dissection
fe88df2d7e ieee80211: Use FT_ETHER type for BSSID in RNR TBTT info
b463dfd902 wsutil: Update version_info for MSVC 2026
f66d63598c TCP: Speed up checking for unprocessed OOO segments on later passes
b7d040796b dect_nr: Narrow proto_tree_add_item_ret_uint
bf41979009 dect_nr: Add endpoint mux dissector table
5916be4dc6 netlink-nl80211: Restore dissector file name
93859dd3d7 TCP: Only send data from the correct stream to the follow tap
a63c391152 epan: Make sure proto_tree_set_(appendix|len) don't crash on NULL tvb
c0706b6a44 Doc: Users Guide: Document additional menu items
ba2ecbf333 weekly-updates: Fix running tool scripts under Windows
7a5fb37c35 WCCP: Use proto_item_set_end to avoid UB overflow
7c34d0fa9b lbmr: add SRC_ID secure and compression flags for UM 6.17
64b032429b TCP, UDP, DCCP: Fix follow conversation filter with tunneling
8028767d73 DMX: Create nicer output
b847564e01 GitLab CI: Make sure a variable doesn't get clobbered
9dbc84eaff SCSI SBC: Prevent double fetches, UB overflow
aa91e0c1b0 CMake: Don't enable FORTIFY_SOURCE with ASan or TSan
6e04d8035b dect_nr: Fix check_dissector issues
fed9fc8d6d dect_nr: Fix CVG length heuristics
abc313430e GitLab CI: Change our macOS ccache directory
040e2c3317 packaging: debian: Fix testing compilation of plugin_exports.h
4ec1f6c260 CMake: Asciidoctor quiet is too quiet when failing on warnings
23946fc24d dect_nr: cvg: Add initial CVG parsing
af1f2f9f13 capture: Fix a -Werror=missing-variable-declarations on MSYS2
cc856b7750 kafka: Avoid overflow (and offset moving backwards) in compact string
6b3219bb7e Doxygen more wireshark headers (9)
e85f80e39c BACapp: Fix You-Are service primitive dissection
a37f5a254e check_dissector.py: call check_apis.py now
fcdbec62a6 wslua/pcre2: fix some -Wmissing-variable-declarations warnings.
2f3411f401 Enable -Werror=missing-variable-declarations for plugins.
9703030f9a tools: Add a retry to make-manuf.py and enable it in weekly-updates.py
964af45377 JSON: add support for array string in key lookup
ad931913ea Livewire: add dissector
250dd58091 TCP: improve the Completeness A Flag handling
186691b2c8 Spelling correction
625cd4e189 Fix some -Wmissing-variable-declarations errors.
367ce7dcf3 PFCP: clean up code
0cfe648d2d NVME: fix encoding
110b176a8b AMP: fix encoding
5af5819409 tools: Add a weekly update script
e2641197bb checking scripts: add a common item parser
20745f6670 sgp22: Update to v2.7
e738be4b13 Qt: Fix status bar layout
6ab741562e Qt: Support for slide testing and startup performance improvement
b1834d3c8c Qt: Introduce a WCA slide
799802e78a Use various XXX-per-YYY definitions from wsutil/nstime.h.
74d8e8f326 GitLab CI: Use a non-conflicting environment variable name
b0f6fceaeb GitLab CI: Switch back to manually configuring rclone on Windows
4a7bbc8f75 CMake: Add -Wmissing-variable-declarations
aa36daad19 Various dissector and other static variable fixes
37f134d77a CMake: Create a plugin/CMakeLists.txt
636fea301d dns: validate SVCB parameter lengths and resynchronize parsing
446bdb30d5 GitLab CI: Make sure we expand our rclone config
610761f357 PROFINET: Remove unused variables
5312d28781 PROFINET: Fix security check for RTC frames
8b7947b0b7 Doxygen more wireshark headers (8)
0c12262bc0 CLI: Implement C array format for TShark follow tap
653bf51f59 GitLab CI: Move our rclone configuration to a variable
aa8a5cb967 [Automatic update for 2026-05-17]
90f08c8b6e TLS: Use p_get_proto_depth for tls_set_appdata_dissector and ssl_starttls too
bc893e031b nstime: remove incorrectly-named defines.
2b6353ccc9 X509AF: Use the SHA256 sum for exported certs filename
4ae612dee6 nstime: add more #defines and inline some functions.
f5d80b78fc GitLab CI: Make sure rclone prints the files it copies
b051ec4263 wslua: re-enable debugger during Lua reload
9c2a49e92d wsutil: Fix wmem_strbuf append hex/unichar documentation
3f81e48276 TLS: Fix decryption of nested TLS sessions
cc29fbe6f8 GitLab CI: Another rclone command fix
f9917254ff extcap, wsutil, wiretap: Mark some globals as static
ab04a1f6c8 tools, packaging: Install Lua 5.5 on Debian when available
9b4ca93185 wslua: Fix FileHandler supported_comment_types loops
e84060ca4f etl: use the FILETIME epoch definition from wsutil/epochs.h.
0224c29f87 GitLab CI: fix our rclone commands
4653e8f0f2 GitLab CI: Switch the Windows package jobs to rclone
4fb48873dc observer: use epoch values from <wsutil/epochs.h>.
0a00eebba0 Qt: Export Objects: Add a checkbox to display only unique entries
15e7951ae0 Fix aggregation view
71ed848939 Qt: Export Objects: Show the progress frame when tapping restarts
c789689ede DHCPv6: Replace another comparison that doesn't work with unsigneds
cfa35df0b7 Qt: Lua Debugger: Add Hits column to Breakpoints with live updates
26d1ea3b1d UBX: Implement dissecting of UBX-MON-RF messages
c6d8f8950c Use the constant from wsutil/epochs.h for Un*x epoch to Y2K
06e0c1fd2c epan: OIDs: Deregister MIBs protocol and fields at shutdown
94e97f6386 check_apis: Check our TRY/CATCH blocks using a set intersection
06309b952e Qt: Export Objects: Move after retap cleanup to endRetapPackets
52c43b104a Docs: at least make a start with welcome page help
5b864da7af DHCPv6: Change tests due to optlen being unsigned
3932ccc824 Qt: Export Objects: Support extended selection, save displayed/filtered
e8607ce58c Doxygen more wireshark headers (7)
a62fa7d4f8 dumpcap: ifdef out more functions not used by Windows
2298aa6279 DHCPv6: Don't stop the entire packet for an error in encapsulated option
7582e52038 check_apis: Explicitly compile the hf re
0e7cdd6743 gpg: Signature made Wed May 13 10:00:02 2026 PDT
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
PFCP: name corrections
8220c6c995 dumpcap: Fix Windows build with non MSVC compilers
d1f276b137 oids: Recurse the MIB directories in share as well
2c3c810950 lua_debugger_breakpoints(Qt): Fix Dead Store (init) found by Clang Analyzer
f59b6f840c tcpcl: fix Dead Store (assignment) found by Clang Analyzer
49e362a801 wslua: Skip Listener tap draw when debugger paused
f4763fcc29 Qt: Lua Debugger: Remove re-entrant handling
922cf358c3 Doxygen more wireshark headers (6)
5ce530aa99 Qt: Implement auto advance slides toggle
0819e69f24 check_apis: Fix a regular expression
174ce590c8 check_apis: Find shadow variables using a set intersection
7951c2395a rawshark: Free a GString in the case of errors
48a19ced3a TCP stream & RLC graph taps: Use nstime_t
6101f88958 vmware-hb: update build
39881fabe7 capinfos: Fix comment-related leaks, indentation
aaf5b3fd78 wslua: Fix resource leak and missing mutex lock
61a789d9ba DHCPv6: Take subset tvbs; show why dissection stops on bad length
f69101114f CMake: Require C++17
50c4c3c235 Qt: Lua Debugger: Add drag-and-drop breakpoints in editor
b365a2cbf8 wslua: Fix a check for failure
07eaee6ee3 wslua: fix TreeItem:children duplicate nodes
e5e5137aac CMake Resources: Pass the BASE_DIR so the sponsors SVGs work
11035d2884 etw: Add WebIO (WinHTTP) provider
5d8a58ff79 tools: Find prohibited APIs using a set intersection
000e929446 Qt: Remove obsolete set_action_shortcuts_visible util
cbe01584c4 BPv7: Perform null check before dereferencing, not after
3c881897b9 pgsql: Handle protocol version bump in startup message
482d613c2a CMake: Download Npcap 1.88
d79d24184f GDS DB: Fix overflow
92ad410efe RF4CE NWK: Seed sequence number is unsigned
de53ee7b85 check_apis.py:  Fix ett check
3577b8f6aa GDSDB: Add padding for byte array in response
33ec88da63 Qt: Lua Debugger: Add break-on-error debugging
d41dd6f7d9 etw: specific support for SMB/LDAP/WinHTTP providers
16ee4938cd GDSDB: Fix rounding up
0e5d29d32e Qt: unrealistic statistics for Endpoints and Conversations
c0a98d2029 Qt: Remove Mac and Windows specific old Qt version support
5a3225c105 wsutil: filesystem: Remove pre Windows 8 path
a4e0364de6 tools: Start migrating checkAPIs.pl to Python
e92887fba1 Remove convert_proto_tree_add_text.pl + convert_expert_add_info_format.pl
db173a5ff0 CMake: Use LIST_DIRECTORIES false in QrcBuilder file(GLOB)
6e2e6d8edd epan: Initialize col_expr_val
74c491b0b9 Qt: Various slide fixes
d696ad3c2f wslua_tree: use standard structures in TreeItem_children
c5fd03aa67 [Automatic update for 2026-05-10]
dbc35a3d35 oids: Manually recurse directories to create smiLib path
29591935bc Doxygen more wireshark headers (5)
5f7dc67e14 packaging: NSIS: remember installed components
0fdbe7dcba qnet6: Use FT_UINT32 for fields treated as uint32_t
debf735dae dissectors: fix more warnings
ff53d6096b IKE: Rename file from packet-isakmp.c
8ac1be08cf SIP: Fix a possibility of a crash in follow conv filter with sharkd
8dc3d64572 epan: Remove introduced UTF-8 BOMs encoding in files
da47f55c98 Qt Lua debugger: fix Coverity move/copy inefficiencies
98cf2bcc75 ISAKMP: Fix a leak
034f53c713 etw: fix #21248's OOM
5cc6a20f78 etw: fix #21249 bad cast
5729065a3e epan: Change header files to use #pragma once
9ead724979 docs: Update the sharkd man page admonition
372ecad882 Qt: Lua Debugger: Support modal dialogs when paused
22e104bce2 Doxygen more wireshark headers (4)
4396efe8be PROFINET SXP: Dissection of PNIO blocks
7183c7be5a RTPS: Move clamping the domain ID before a multiplication
dbfcef10fd CMake: FetchArtifacts updates
6f0cf1551d ROHC: Fix handing of uncompressed profile with large CID
451f857461 Dissectors: Eliminate some extra string copies
f7d52d1fb0 BACApp: Text fix
61ce519944 CMake: Update libgcrypt to 1.12.2, second try
0c2dbf3887 Geneve: Add new GCP options.
028902b43e ORAN FH CUS: Flag all-zero bfw bundles
c88f1f7fbb epan: Add tvb_get_string_int functions
c67a6f77fd HTTP over TLS: Set the tlsinfo apphandle
452516d4b1 NTS-KE: Fix leak of exported secret
e22fa7662b Dissectors: Avoid some string copies to parse integers
2f5d99793e Dissectors: avoid more double fetches
0c3a37e8ea CMake: Revert libgcrypt back to 1.11.2 on Windows
114ca3e64e add support for DPOE OAM port ingress rule result - increment counter
95d0302005 oampdu: Dissect value field in Port Ingress Rule Set result
3388d98fd2 ws_attribute.h: explain what WS_NONSTRING means. [skip ci]
d0b730e021 wsutil: strtoi: Add signed versions of the buffer to integer functions
87265d81be packet-gtp: Use unsigned offsets.
1bc1919d4a dumpcap: Remove "TCP@" interface
213db48c6f IKEv2: Begin process of renamining isakmp to ike
32e71e73cd DICOM: Integer promotions: still weird
d69dbc8a02 DECnet DNA Routing: Prevent possible overflow
30a0696193 WCCP: Fix possible underflow
d036d3191e NCP NMAS: Fix string handling
1fadfd8f1b SMB: Integer promotions are weird
ff03834604 GitLab CI: Try to use the real commit SHA on the tests
a75528e310 GitLab CI: Another rclone fix
440be8675f GitLab CI: Fix a typo
f60e59eca0 BT-DHT, SDP, RTSP: Use tvb_get_string_uint to eliminate string copies
4a0cacc9b4 ORAN FH CUS: Check for prohibited symInc setting in U-Plane
0fb2e4acae kNet: Fix content length calculation when 4 bytes are used
b2fe6e1548 GitLab CI: Start using rclone
5c778c8105 wsdg: lua debugger - Editor shortcuts
741a3de875 bthci_evt: Add missing string for encryption enable parameter
08df007732 ISAKMP: Eliminate some unnecessary buffer copies
9476a6e234 editcap: Fix strftime sizeof usage
801d3d2530 Move G_NSEC_PER_SEC to glib-compat.h
f6d94092e6 Resources: Compress the other PNGs
2a1d745cda Doxygen more wireshark headers (3)
7da6e6d22d tshark/strato: Make common code for profile handling
e099d7cd4b frame: Add a table for custom string options, display unknown options
1e5f196005 RTPS: Take a tvbuffer subset for each submessage
f207d25f4b wiretap: pcap[ng]: Don't let the reported length underflow w/ phdr
e8fac3e1a2 ieee80211: Add labels for the HE 6 GHz Regulatory Info subfield
badcc16cfc rtps-virtual-transport: Initialize the rtpsvt_data struct
3ffd894b4a Qt: document Ctrl+= zoom in
6b87303491 tools: rpm-setup: Don't fail on a missing PNG compressor
7772f311c7 extcap: etl: Only define G_NSECS_PER_SEC if not defined
d51f684834 Qt: Lua Debugger: Refine section headers
7c9aef45e4 packaging: RPM: Optionally install libnghttp3-devel if available
eb7f1b94f3 Remove a libwireshark dependency on libui
d155860765 epan/prefs: Remove dependency on libui
eff8bd34fc CMake: Use separate project directories in MSYS2 by default
2251673c14 filesystem: Fix directory locations on MSYS2
5e79628c7e GitLab CI: Fix Fedora build
6f62de9db7 WSDG: Document the Lua Debugger
a57a8db0b2 etw: support TraceLogging, Extended Data, props, new capture settings
bc6891c012 Qt: Lua Debugger: reorganise dialog into modules
9aaab5a1d3 ENIP dissector: Adding support for LLDP Data Table
06be43b09b DIS: improve audio playback controls
ef0e6f7790 epan: Fix signed_time_msecs_to_str for INT32_MIN
a04f6c86ed recent: Fix persistence of sidebar recent prefs
adb50acc8b OCP1: Take a TVB subset and eliminate double fetches
3bb95bb4e8 docs: Losslessly compress the PNGs
03103bce4a DIS: fix stream jitter calculation
67e9eba775 [Automatic update for 2026-05-03]
708b1756d3 Improved send timestamp presentation in HiPerConTracer dissector.
18303d1a6f PROFINET: Fixes for PROFIsafe subdissector
aa47b62581 dissectors: avoid some more separate fetches of field values
a063632bec reassemble: Don't compare with uninitialized data
a81929c202 capture: Identify more interfaces
44c600e0b5 wslua: Split step and breakpoint pause flags in debug hook
75a4808d4b CMake: Update GLib to 2.88.0 and libxml2 to 2.15.3
347cfb9280 ITS: Update to ASN1 descriptions as of 2026-04-28.
8669d6ee4b Resources: Compress the Welcome banner PNGs
a03e0f2f3e wsug: document IPv6 subnets file
f5e33ed2ad CMake: Fix a copy+paste error
4a597d797c MACsec: Fix size check
57453189d7 Fix content codes for CAEX live view packets.
44b886ac28 CMake: Update GnuTLS to 3.8.13 and libgcrypt to 1.12.2
c870085758 Doxygen more wireshark headers (2)
3fee732b88 Gitlab CI: Check added PNGs for compressibility
a37ae33cd1 Qt: Lua Debugger: Conditional / hit-count / log breakpoints
8b16ea8b15 tools: Avoid race condition with pngcrush output name
23735c4857 packaging: Skip icuuc.dll on PortableApps installer
86a948e538 tools: Uncomment installing the PNG compression utilities in setup
838948179d file-pcapng: Display additional details in Block header
baf8624ed1 packaging: Windows: Don't install icuuc.dll
b96777df43 wiretap: JSON: Reject degenerate cases (zero tokens needed)
d8242c14fe VeriWave: Fix finding the signature
a0f22a5dc2 wiretap: Fix procmon_read_string
1c693e3d34 WiX: Install the sharkd man page
604fecd03f editcap: Use strftime instead of snprintf
7ff76b099b CMake: Add sharkd HTML page to be installed in one more place
4dccb85589 wiretap: BER: Prevent overflow
de719cc5ac peekclassic: Fix possible signed overflow
41640d9f53 Qt: Lua Debugger: Support Lua expressions in Watch panel
aab6a4cc57 docs: Add an initial sharkd man page
40ade08599 wmem: Return newly created frame in wmem_list_(insert|append)_sorted
493d100178 Qt: Lua Debugger: Add remove-selected button to Breakpoints
47a2568802 ORAN FH CUS: Add filter for non-zero PRBs
0a79d693cc C12.22: Use tvb_captured_length_remaining
9bdb3ee47b E.212: Use tvb_get_string_uint16
72ad363ea3 DHCP: Use tvb_get_string_uint
1dad0118ce fuzzshark: Move zeroing of app_data out from ifdef
b6c5ca11a9 GitLab CI: Coverity: Exclude lemon source
2a1a577f0b SIP: Fix up previous commits
a4eff83549 slides: Add sponsor slides
e7d42c8f08 maxmind DB: Log fcntl failure
7dfcba531e androiddump: Log fcntl failures
d5a35b54e1 IEEE 802.15.4: Fix Coverity warning
ddbc11006f SMB2: Fix Coverity warning
33d68ce58e Zigbee Direct: Quiet a Coverity false positive
50a4160a65 capture: Get rid of a useless NULL check
83ec3c23d6 wslua: Fix Coverity MISSING_LOCK for debugger shared state
cab45e4ad5 Dissectors: fix or suppress some more script warnings
c39c367c1d MS Procmon: Don't read past the end of an array
d1bddce7ed SIP: Use tvb_get_string_uint
8f555c58a5 RTP-MIDI: point to right octet for quarter frame value
9c0960a4fb tshark: Reassure Coverity
b79a0d52d4 Qt: Profile Model null pointer dereference
ae80e049dd SIP: Add Mode (mod) to RFC 3329 Security Mechanism
5133a99c11 Coloring rules: Fix display bugs, refactor, and avoid full redissection on pause
2302cdc6f4 matter: Support network recovery in BLE advertising
eef6ad2a9d SIP: Fix parsing Security Mechanism
9ec10bc8f2 wmem: Warn if wmem alloc or realloc return is unused
d60a87cbb3 Qt: Lua Debugger: Polish context menus, gutter and shortcuts
e0c932847a dect_nr: Fix PCC-only feedback parsing
660231d328 wslua_tree: check types in TreeItem:add before adding
426434c36f Qt: Lua Debugger: Stabilize section headers and panel layout
c98f2c5d16 DHCP: Implement dissection option 82, suboption 10 flag
bc31de5e5e epan: reassemble: Make sure we don't go past the size
bf41a3d646 Qt: Lua Debugger: Add Run to line toolbar action
6693e15943 Qt: Lua Debugger: Watch and Breakpoints controls in section headers
9beda2de21 CMake: Set MSYS2 default install prefix
0802389026 CMake: Don't look for Chocolatey on MSYS2
eb6f2cf1df Qt: Lua Debugger: Theme coloring improvements
7fcc751a04 Qt: Lua Debugger: Make enable/disable behavior predictable
c3bd2b49d3 TPNCP: Fix a possible NULL pointer dereference
6391ee433b epan: reassemble: Only copy fragment data once for partial reassemblies
ccfa167146 epan: decode RADIUS attributes in option 82/7
3474674f73 [Automatic update for 2026-04-26]
a842bd88b1 Decode etype 0x8905 as Cisco TTAG by default.
d5e913f43d packaging: MSYS2: Install whatever version of Lua DLL is there
6e42ba2c2b GitHub: Update msys2 to print output in case of error
b1a5e9417d VeriWave: Keep Buffer length accurate in other versions
1a9ac16e55 ecatmb(plugins/ethercat): fix Dead Store (increment) found by Clang Analyer
a3962a310a mka: fix Dead Store (increment) found by Clang Analyer
2ca6ca6faa dbs-etherwatch(wiretap): fix Dead Store (Assignment) found by Clang Analyzer
298e603333 mka: fix Dead Store (Assignment) found by Clang Analyzer
bb5a3b23e4 http: fix Dead Store (Assignment) found by Clang Analyzer
d43714ee35 GitHub: Clear GitHub Actions warnings about Node.js
a5146f361e Qt: fix DIS stream analysis build without QtMultimedia
a87ba37765 Qt: Lua Debugger: Unify shortcuts and key handling
d3ff88ce96 netscaler: Keep Buffer length accurate
bffb827c4b epan: Return false on zero length for tvb_get_string_uint functions
e295d631d6 RTPproxy: Use tvb_get_string_uint functions
9c61fc9ef0 GitLab CI: Try to fix the Visual Studio Code Analysis job
f61f43d21c UDS: Fix infinite loop from invalid addressAndLengthFormatIdentifier
8511c45dc8 Various fixes from checking scripts
fe58a01310 DCT2000: Fix buffer length in wiretap
7516c22b11 epan: Add tvb_get_string_uint(8|16) and use them
93ffe07b03 Kerberos: Remove the 3DES-only libnettle implementation
90bdace9ab wiretap: Increase the buffer length in full file read
6e61bca421 packet-http2.c: Fix memory leaks and use-after-free
0dc876da68 Qt: Lua Debugger: Add-watch from selection, skip duplicates
3a3047c5d2 tshark: Improve profile support
2d5092aa9e epan: reassemble: Pull out common code to static functions
4ecdda0cc7 .mailmap: update Chuck Kristofek email address
e96313f7e4 CMake: Deprecate Heimdal Kerberos
5bda590d55 BGP: Accept zero-length Source Address in MUP Type 1 ST route
637dca3d3d Qt: Lua Debugger: Show yellow arrow on paused line in gutter
c9fa00ebeb Qt: Lua Debugger: Freeze the main application while Lua is paused
1f078b66fd DIS: add radio stream analysis support
b83cc816fb ENIP dissector: Adding support for LLDP management
afc5da3f27 Qt: add hex-view annotations and offset markers
c893734c6a Move file_packet_provider into libwireshark
0295d4d697 CMake: Update FindLibXml2.cmake from upstream, use IMPORTED target
0a1e7ed9b8 Refactor Profile Dialog and Profile Model
574ef5140b androiddump: Fix up includes and linkage
c8da9e9a30 CMake: Eliminate extra targets that depend on Asciidoctor output
b1d560f739 GitLab CI: Don't build OpenSUSE 15.6 RPMs
c55f56c5ea androiddump: Respect ANDROIDDUMP_USE_LIBPCAP option
13981de1e1 kerberos: Fix compilation with Heimdal for recent changes
39bb083c01 wslua: Debugger: Value highlighting, selection sync, Watch UX, Breakpoints menu
f6176bbe10 wslua: Debugger: Migrate Lua debugger trees to Qt model/view
4a9c2970d9 RTPS: Enable DATA_FRAG reassembly by default
b1244e948c Subnets file IPv6: adding subnets functionality to IPv6 much like IPv4
40ccce9bdb libwiretap: Warn and assure space if cap len is larger than Buffer
4cf7c292d0 Frame: Check for custom options in all block types
d946760c6a Move sync_pipe files to capture
0e0c8c3b00 HTTP and Megaco: Use tvb_get_string_uint
34254670cc Also move cfile.c to epan
62e03f52f2 Move cfile.h to epan/libwireshark
cd294c2f3b CMake: Update nghttp2 to 1.69.0
1deb346561 http: fix UTF-8 handling in expert info for status code token
fffc801313 CMakeLists.txt: update a comment.
efd3dbb880 wiretap: Move a Procmon bounds check
318ed26c5f pcapng: Fix Netflix BBLog custom block length
ef8327db49 wsutil: Buffer: Add an assertion when increasing length
2561b3b725 HTTP: Add expert warning for malformed status code tokens
3ed625cac9 dissectors: some more separate fetches
ad25c21a98 sharkd: Reset cumulative bytes when loading a new file
4fb5dd2bad RTPS: Add DDSServiceRequest topic info for Service Request channel
d9a661a384 epan: Add tvb_get_string_uint[64] functions
cdfad14943 CMake: Use -Wstack-usage instead of -Wframe-larger-than
fb08fe50f2 GitLab CI: Update a path
4f2ebb9183 rpm-setup.sh: Fix typo in previous commit
dcbc63e146 Protobuf: limit recursion depth while matching uri pattern against uri
dd8c3294f8 wslua_gcrypt.c: Fix memory leak
1dba9fd80e PluginIF: clean up memory leaks
ba346c75d1 tools: rpm-setup: Don't install asciidoctor on SUSE 15
e6fa3e1fe6 DNP 3.0: Check the length
39b397a513 RTPS: Skip signature display when sample signature length is zero
7972b98eea memcache: Use ws_buftou
a220dfbf17 http: Guard get_hf_for_header() against NULL header_name
0de94495f8 ldap: Guard get_hf_for_header() against NULL attribute_type
90147f0d61 docs: tvb_get_nstringz[0] don't exist anymore
c061669f7a RTPS: Add Topic Information to NACK_FRAG submessage
c86da93b77 RTPS: Fix filter name rtps.flag.undisposed to rtps.flag.disposed
303ee487aa RTPS: Dissect PID_CHECKSUM_PROPERTY (0x9000)
8e66352239 NAS 5GS: fix S-NSSAI location validity information dissection
851ba3e967 RTITCP: Register heuristic dissector on TLS table
df88078b13 wsutil: strtoi: Add reduced size versions for string buffers and use them
e4c2561a6e GitLab CI: macOS updates
40deba5eca Qt: Lua Debugger: Remember Variables tree expansion
a47dec1adc tools: Clean up checkAPIs a bit
68570b1eaa CMake: Update libmaxminddb to 1.13.3
a6495d4a11 Update tvb_length_remaining from dissector comments
b7a37f838e sharkd: Various bounds errors are also possible
d8bee197d9 GitLab CI: macOS Python updates
eb1e65e017 GitLab CI: Install dmgbuild in the macOS Universal Package job
64af6afece GitLab CI: Update the macOS package build
913c757260 Qt: Add Lua Debugger to Stratoshark
3b208b220b RTPS: Fix Topic Information display in APP_ACK submessage
62748062f5 NAS 5GS: upgrade dissector to v19.6.2
6eefcd6b01 packet-http2.c: Fix copy-paste bug
49f45597d1 sharkd: Catch exceptions from tvb_ functions in process_frame_cb
ba0c6cf551 Qt: Move Lua Debugger sources under ui/qt/lua_debugger/
3dd7f337f3 wslua: Debugger: Add Watch section
0159b22499 wslua: Improve __tostring for capture/file and dissector classes
4ea7f6722d wslua: Add __tostring for Pinfo, Columns, Conversation, PrivateTable
475d44e54e wslua: Add __tostring for Dumper, Dir, Pref, Prefs, GcryptCipher
a492f2f189 wsutil: Add counted string variant to ws_strtoi
f361a7c8f9 conversation: Don't use X.25 conversation after dissecting IP on X.25
710f89f995 DNS/TDS: drop two unused variables
b4f26c5502 wsutil: Fix generated documentation for wmem_strbuf_new_len
14083dc967 RTPS: Use wmem_strbuf_new_len appropriately
a8f60a2a35 sharkd: Empty the filter table when loading a new file
8c2b898a2d wslua: Expose attributes and iteration for debugger introspection
a62c4ce83f wslua: Debugger: Polish Variables view around attribute introspection
bfcb6055ae wslua: Debugger: Fall back to __pairs for userdata introspection
20e082c73e wslua: Debugger: Hide functions, expose userdata attributes
7801e2ce1d [Automatic update for 2026-04-19]
7c91ecb973 sharkd: A comment is a mandatory parameter for setcomment
b99a08a872 GitLab CI: Add a ASAN test
e7ca22f41d wmem: Fix generated documentation
edafa2da99 RTPS: Fix append_len
9144a54679 sharkd: Implement a skeleton of cf_close, and call it
54ddfcb450 CMake: Fix parallel target XCode issue for docs
fb29af67c3 RF4CE: Eliminate snprintf call and possible integer overflow
eb7ba0321c radius: Don't set a tvb free cb for data allocated with pinfo->pool
8865117f13 wiretap: netmon: Fix leak when dumping
a7ff796e9c editcap: Don't try to remove more of a VLAN tag than is present
b71d269357 Lua: Plug leaks in new bulk field request functions
7572536246 CLI: Show proper -G fields option format
6ce8b07208 RLC-NR: When manually configuring UL PDCP, allow SDAP
212b067223 RTPS: Move standard PIDs from RTI-specific handler to v2 parameter sequence
9dbcde8ee7 RTPS: Use a wmem_strbuf_t
92b4f171b4 RTPS: Check snprintf and g_strlcpy for truncation
002b18d4e3 text_import: Use a Buffer for the prefix
a766e25cdc wslua: Align parameter name between declaration and definition.
6ced21e698 Qt: Timeline Delegate and Percent Bar Delegate colors
a5318a25c0 Remove warning when building in Xcode.
c962b08d14 CMake: Xcode produces its own PkgInfo
c9ee675f29 cmake: Add qrc handler module
3391ef76a6 Qt: Conversation Dialog: Fix timeline delegate when first row filtered
27340a1ccd epan + wslua: Create a panic button for Wireshark/Lua longjmp issues
3204f42874 UltraEthernet(RUDI): Add missing reserved field on Header
bc55b6df44 RADIUS: Fix typo in previous commit
9f0c525338 TTL: Don't g_malloc before a call that can throw an exception
0b751919dd RADIUS: Use wmem scoped memory for VSA buffers
f6d7110074 Qt: Lua Debugger: Improve location
cbd838371a Qt: Lua Debugger: Use regular application font
4c6de9af96 epan: except: Get rid of an old GLib workaround
a34841ceab ORAN FH CUS: for ext11 disableBFWs, link back to frame where BFWs defined
76283ad0a8 CMake: Follow the rules on generating files for multiple targets
2709ad157a Qt: Add a menu separator in Tools
c1c2c95906 wslua: Debugger: Show unsaved indicator
15ebcdeb07 Doxygen more wireshark headers
dfe7ca7054 wslua: Debugger: Tie Locals/Upvalues to selected stack frame
efbbb5b7f8 wslua: Debugger: Editable Lua script editor
d3c3d84804 WSDG: Make hyperlinks for doc and source references.
fa533f9432 bthci_cmd/evt: Add detailed dissection of BT channel map
bedc57eb3c RTPS: Fix DATA_FRAG reassembly when submessage has multiple fragments
08de841fa6 RTPS: Add SM2/SM3/SM4 algorithm recognition in security attributes
62b5ee6032 RTPS: Fix PSK flag placement in PID_PARTICIPANT_SECURITY_INFO
c839b4625b NDPS: Make align_4 unsigned
33a4f8081e CMake: Add a separate Arm64 Asciidoctor bundle for macOS
aa126dcad3 wsutil: Make xxhash a private library dependency
09a15a97b3 wustil: Link wmem_test against wsutil_static
466fc11c2d Release Notes: Fix typo
086ac43393 Release Notes: Note the extcap binary location changes
52a6705a50 epan: Add a note to tvb_memcpy suggesting tvb_memdup
90d103b4f4 Lua Debugger: Add Step Over, Step In and Step Out
b2ea1c3067 epan: Test for wmem_array_grow failure in LZ* decompression
9a6664beb7 wmem: Add another overflow check in wmem_array_grow
8bb824dd49 RTPS: Use tvb_memdup instead of tvb_memcpy when possible
48034d261e wsutil: wmem_array: Return a bool on allocation failures
c464c57562 wslua: Check for failure to convert a literal string into a GUID
4d144294ab wsutil: Don't let wmem_array_grow shrink an array
01c8fb7b1d epan: LZ* compression types optimization
3ad6e503ab wslua: Fix Coverity issues in Lua debugger
770f8a5d8e ICMPv6: Padding issue in NDP Handover Assist Info and Mobile Node ID options
8f3f598f54 ENIP dissector: Adding support for more DLR functions
e917df22fc RTPS: fix redundant parameterData for vendor-specific PIDs
bd2386de03 RTPS: fix malformed packet on encrypted user-data payload
be6ebdaa86 RTPS: fix negative participant_idx for RTPX messages
8e3303b3d2 SMB2: Put bounds on total chained compression
6795150d29 Qt: Allow closing the Lua debugger when paused
2a465f8b77 wslua: Fix Lua debugger step skipping to next packet
4ebfcc450f wslua: Defer plugin reload when debugger paused to prevent crash
ed3801e24b wslua: Handle re-entrant seek_read during Lua debugger pause
84e4a647df wslua: Debugger data races and gutter perf fixes
85dfc770ba wslua: Debugger security, crash and UX fixes
72025777bd wslua: Debugger UX and settings improvements
187b99f54d wslua: Add Lua Debugger
0fe4d78601 SMB2: Optimize PATTERN_V1 decompression
76914957e9 packaging: rpm: Fix spec on older rpm versions
6fc954bbb3 GSM RP: Don't use a global
acbb5f23b8 RTPS: fix off-by-one in NACK_FRAG bitmap display
d655b4ebc7 WebSocket: Put some bounds on zlib decompression
ef01993f3f capture: Don't define static get_unix_sdl_type fxn on _WIN32
c59940e8c2 Diameter: fix uninitialized read in dict parser (command + enum)
797bd2768c Diameter: fix uninitialized read in dict parser
98a91a6885 GSM A DTAP: add missing bits in emergency service category dissection
6add14a3f3 Lua: Make tests pass on Lua 5.5
450c9f457d ENIP dissector: Adding support for more Ethernet Link attributes
8f18a16d13 packaging: rpm: Provide the group
de2792aab3 packaging: rpm: Only exclude strato[shark] binaries if building them
40192dff2e Remove _findalldevs from the names of our routines.
c15c25919c OpenFlow v5: Prevent more infinite loops with tvbuffer subsets
9242787c04 Cleanups to the interface listing code.
65c4e3e0ea RPKI RTR: Check for overflow in the unknown PDU type case
ecb8fe9934 IEEE 802.11: Fix length passed to WPS dissector
f29bfead89 ORAN FH CUS: SE27 - number of entries comes from ST5/ST10/SE10
e0b93dfc6f MBIM: Check for overflow
5d5bc7bfd5 [Automatic update for 2026-04-12]
6ef0555e64 caputils: Add better interface descriptions
c8b1052935 Openflow v6: Add a length check for OFPBPT_TIME
92fdf8e04f Openflow v5: Prevent infinite loops
5ad84d5f1d GitLab CI: Fix copy-and-pasteo
443409481f tools: rpm-setup: Install asciidoctor on openSUSE 16.0
18ba58f50b EAP-SIM: Check for attribute length zero
80cc851674 dissectors: address more warnings from scripts
b7dc2dda7d UBX: Implement dissecting of UBX-NAV-RELPOSNED messages
0af37000e4 Qt: Proto Tree: Make protocol background distinct on GTK3 platform theme
20cd654daa GitLab CI: Build Rocky/RHEL 10 and SUSE 16 packages
88d03b584e Qt: Free WelcomeHeaderWidget ui on destruction
9da34b4c2e VoIP Calls: Set SIP call state back to setup when retry occurs
860db7b1e5 Qt: Software Update should check without sidebar
58f04df371 SMB: Enable dissecting of NEGOTIATE response for Windows for Workgroups 3.1a
dae485a918 GeoNetworking: catch overflow in packet offset calculation.
3824278f8f btatt: make dissect_handle() retun value as out param
500026dd5a tools: clean up fuzztest command line parameter handling
6715df1f94 Enabled protocols: Update WSUG image and dialog description
6a586ea20f Qt: Improve keyboard navigation and visibility
ed50b2df93 RTPS: Fix malformed packet error in parameterized serialized data dissection
bf66f4c630 Qt: Expose packet flags and expert severity to accessibility
e87cd4c9a5 JSON wiretap: Fix Use After Free and Uninitialized memory issues
b9d8a2a64d dissectors: fix more warnings flagged by script checks
334a467666 snort config: Fix leak
b8da69b5e3 pcapng-sysdig: Tweak the error message
3ab9874cab SMB: Improve wc and index description of SMB1 NEGOTIATE response
84ce80cdfd RTPS: Improve InstanceStateDataResponse dissection
71410c7954 Qt+CMake: Fix build without Qt Multimedia
60851bf53d Revert "QCDIAG: Improvements and Coverity fix" (mostly)
59823a5f4c Qt: Add a welcomepage banner that also handles update
fb02a30314 CMake: Add GLOBAL_PROFILE_DATA_DIR to customize profiles install
2cbe215f2f IEEE802.11: Convert IEEE802.11 Vendor Specific OUI to dissector table
738be12df9 RTITCP: Fix TCP reassembly of large RTPS data messages
8b83d61cee QUIC: Tighten heuristic by strengthening draft version check
ec2030055a Qt: Enable smaller sizes for the MainWindow
19c4e8d77b Qt: Move capture interface selection to own widget
a4da116b82 Qt: Create stylesheets for LearnCardWidget
c1c3cbfbd2 RTPS: Dissect PID_IDENTITY_TOKEN and PID_PERMISSIONS_TOKEN security tokens
45fe8adc4a ieee80211: Add dissector for Huawei vendor specific IE
de37853db8 Commit message tweaks
a139f9d08f SSH: add support for `sntrup761x25519-sha512@openssh.com` key exchange method
62a4c4ba07 MySQL: Use character_set_client for Bulk Execute Stmt parameters
c93c29bd71 oran_tap: Show UL beamIds in row output
70feff28d8 wmem: Check for overflow when growing wmem_array
f272041e89 OpenVPN: Fix Wrapped Client Key fields
6af5cff064 ieee80211: Add dissector for Telecom Infra Project vendor specific IE
6fb3a21c8c SMB2: Fix some endian issues on fields
8d2a11b7b1 CIP dissector: Fixed size calculation for STRINGN
6b78d72bfa CIP dissector: Adding support for more Identity Object attributes
652c2e0521 pcapng-sysdig: use ckd_sub() to subtract and do sanity checks.
17acf114a7 Qt: Fix InfoBanner warning
427d1b1b80 Qt: Move content of sidebar widgets to json
fb749b60e7 HTTP: Factor out common code
78311470b0 HTTP: Check strstr() return before incrementing and dereferencing
2841ce2812 ISO 8583: Use a wmem_strbuf_t
69e413859f Qt: Add check for development version during runtime
b3a991b9bb CMake: Add JSON translation tool
f3f6c85de4 CIP dissector: Adding more vendors
ddee59dc0f Qt: Move sidebar configuration to global recent_common
ea3fcb8e79 snort config: strlcpy is not snprintf
0d0f9d9593 git hooks: Don't warn about empty commit messages
60631b80ed IPSec: Check a length before allocating a buffer
64136a3628 Qt: Update to 6.10.3, the last 6.10 free release
369a7cf475 BT HCI Vendor Android: Use a subset tvb to prevent overflow
c20bb8f7ce MKA: present Key Management Domain as an UTF-8 string
1eabc588f2 bthid: Fix dissection of packet header
18bb1e13a4 Qt: Properly guard Update on Windows
1c3986a8b5 Qt: Fix Qt6 deprecation issue
72cc623eb5 BT HCI Intel Vendor: Add a comment
cb5962db1c BT HCI Vendor Broadcom: Use a subset tvb to prevent overflow
126a6fa806 JSON Dictionary: Plug leaks
3f79e9099f AUTOSAR DLT: Remove a vestigial loop.
6c6aab5ada BTHCI Vendor Intel: Use a subset tvb to prevent underflow
bc0eb1a15a tools: Add Objective C++ (.mm) files to license check
46b3b60d50 IEEE 802.15.4: Fix leak of GByteArray
b00e2b5905 rtps-processed: Fixed leak
694b64b090 Snort config: Free rule and rule string on error
8046cf12e9 QCDIAG: Free the return value of g_build_filename
22e0f916f5 TRDP: Fix double-free
285e351fb1 JSON: Add JSON heuristic dissector to HTTP, disabled by default
d8964fac30 Qt: Add new SystemUpdate handlers and checks
d703e4526d Qt: Fix various smaller issues with sidebar and welcome page
5754c8b391 BT HCI Intel Vendor: Fix read version command lengths
4b48d4f546 asn2wrs: Assume that any open type might be in a cyclic dependency
40125eefdb RTPS: Remove unused field
3579cbb777 pcapng-sysdig: add some sanity checks.
d43c4cda81 OpenVPN: Attach the info to the proper proto tree item
d367d46293 HTTP2: Update frame length size
c08365672f ICMP: add expert warnings for malformed extension object lengths
ca338d088a QUIC: Add support for draft-ietf-quic-multipath-19
0c8bb485fa netxray: Don't remove padding that isn't there
b88617aeba sgp22: Remove registration of ProfileInfo
bfccf88e7b dect_nr: Fix a coverity warning
6a6a360200 wsutil: Handle all format size unit types
62e26a51cd MKA: Separate live and potential peer list dissection functions
dda15595ef TLS Utils: ECH: Fix possible infinite loop or buffer overflow, comment
aa7f9baf6f dect_nr: Fix sequence number filter name
eba43a6f74 [Automatic update for 2026-04-05]
881f1d05fe dect_nr: Add DLC extension header
f20ba0d10b dect_nr: Fix MAC IE length handling
2cfe98b2d6 epan: Add increment and decrement dissection depth by n functions
44c3268b15 dumpcap: Ensure the buffer size is large enough for the SHB
aa90d44308 MKA: generalize parameter set size and padding handling
e13f09e8b0 Qt: Allow font zooming with CTRL + scroll wheel in Show Packet Bytes
3f5600717b WSUG: Tidy up formatting of filter string documentation.
bca8a5fa1d WSDG: Fix some typos in reassembly documentation.
ceb9300834 Zigbee RF4CE NWK: Take a subset in the unencrypted case
20a1340265 dissectors: eliminate a few more separate fetches
b9b241d185 HI2Operations: Make variables static
ce473cbdfd TRDP: Fix leaks related to libxml2 xmlGetProp
63d43f5018 RTPS: Provide default app id hash if one isn't provided
dc99991b16 packet-gsm_gsup.c: Remove DISSECTOR_ASSERT
48cf051a28 packet-osi.c: Replace DISSECTOR_ASSERT
7a284824c9 iLBC codec: Report proper decoded length in multiframe case
801576be9e tls: Register Ivanti VPN unregistered Upgrade token
2a44f117ad DCP ETSI: Check that all fragments are the same size with R-S
44157891c8 asn1: Fixup previous commit
d377f05b7e bthci_evt: Fix up LMP feature dissection
95cceea6da Qt: Follow Stream: Keep the font the same when zooming
a93d4d9870 HTTP: Make the upgrade dissector table case insensitive
05940086cf asn1: Use errno and expert items instead of DISSECTOR_ASSERT for get real
5730ab7fbd Qt: Create RtpStreamTreeWidgetItems with the current Time of Day setting
8452a734ce Qt: Do not restore column state on file open
a62abdd9a0 MACSEC: Show Ethertype as part of the (decrypted) payload
863b6b6d03 Qt: Change Startpoint for slidedeck rotation
bae46b748f mka: fix Coverity Dereference after null check
bd2652a994 SANE: Avoid empty looping on illegal option types
11ec9d839f Qt: Rework splash overlay for direct updates and extcap progress
1167dc5c82 extcap: Set Windows SSH config location depending on libssh version
4fc54c8940 Qt: Update click behavior and remove double code on info widget
b836936018 Doc: Add an explanation for cmakeuserpresets.json and how to use them
212f575dfe Seasonal banner slides for April Fools' Day and Wireshark's birthday
a349f70bb0 ORAN FH CUS: some minor cleanup
6db1626dc2 Qt: Accessible names/descriptions for hierarchy
caecd6ba8e RTPS: Fix domain ID calculation for domain 0 multicast
f40fdf43ac RTPS: Fix PID_TYPE_OBJECT dissection for non-RTI vendors
c0bb5bb2e0 CIP dissector: Added support for StringN
6555054ce9 extcap ssh: Add comment about previous fix
45f2e1281f LZ77 Decompression: Check size before allocation
cd6e74e5d6 kismet: General improvements (and fix Heap-Buffer-Overflow)
a3286c9b92 CIP dissector: Added new vendors
21e3f89bc9 LZ77 Compression: Sanity check uncompression size
b2cc1d2a96 Coloring Rules: Corrected memory leak and clang errors
8e786eaf92 CIP dissector: Improved File Object support
05e0907c43 Dissectors: fix some warnings
f9c83e16ab RTPS: Add dedicated filter fields for sequence numbers and fix field labels
5be2027a27 RTPS: Fix builtin type dissection and add secure TypeLookup entity IDs
3392e774cb extcap: Quiet libssh logging about no known_hosts file
9ed3457896 USB HID: Skip items with a report size of zero
db3e7964fd QCDIAG: Improvements and Coverity fix
d5929f8e93 Zigbee Direct: Check the size before decryption
f5fcb9aede USB-HID: Add tests
bfca0518ce USB-HID: Fix byte order in data
59bc3b713a USB-HID: Fix usage byte order in descriptor
a75bde0d28 USB-HID: Extend usage to uint16
45edc1c3b9 MKA/MACsec: Support retrieving the MSB 32 bits of the XPN
e228be2171 oran: fix Coverity Resource leak
9d747dcbb8 BEEP: Prevent overflow and/or stack overflow
d86692d98b dissectors: avoid some more double-fetches
39eb698c3f [Automatic update for 2026-03-29]
49e9224fb1 Wireshark: Add note about critical bug fix for profile import RCE vulnerability
9035813383 wslua: Fix some tostring formats
47996a0766 MKA/MACsec: Refinements and extensions
1599134044 Fix some spelling errors
8a34aaffb0 VXLAN: Add VNI and Group Policy ID in the tree item
46b6db525f ETSI DCP: Fix some minor issues
e8ef9df09d ETSI DCP: Fix heap buffer overflow
91fb2d9c3a NMF: Prevent overflow in nmf_get_pdu_len
f4d8fb3b27 RDP: Do not crash on reassembly when the first fragment is missing
4734ea694c EtherCAT: add Mailbox-VoE dissector
f11020935c EtherCAT: activate mailbox dissector for VoE
cf36abf352 ENIP dissector: Added new TCP/IP Interface Object attributes
5bb0ce5645 MKA: Don't define Cipher Suites values twice
a164710a12 oran_tap: use wmem_strbuf for getting column text ready
3a9174f978 Diameter: MWD-Status Decode
7acebdd6cd epan: fix Coverity Untrusted loop bound
d35940719f ENIP dissector: Added support for new QoS attributes
c073699eb6 MKA/MACsec: Implement XPN Cipher Suites
6324bad587 SSH: Don't memcmp if the MAC size if larger than the maximum supported
53dd0b9a1e Diameter: Add new s6c AVPs
6b5ff490f4 BZR: Improve an infinite loop check
894f1e5b21 CIP dissector: Improve STRINGI support
701b21aa2e MKA/MACsec: Handle ES and SC bit both unset
9660b0d987 Qt: Pad the Learn card label
f0c83cd547 BT HCI ISO: Add a comment
c9047da849 CIP dissector: Added missing device types
29d8af2ffb NGAP: fix dissection of PSCellInformation IE
d0c9b173c9 Create better boilerplate build macros for plugins
b77ce0d218 Coloring Rules: Add ability to display multiple coloring rules
f685d6f21c PROFINET SXP: Refactoring and improvements
9d9248fcfc Diameter: Enhancements for S6c
5a24f3e6bc XnAP: upgrade dissector to v19.2.0
f18f231c2a NGAP: upgrade dissector to v19.2.0
7009c1b82c E1AP: upgrade dissector to v19.2.0
9818ece040 F1AP: upgrade dissector to v19.2.0
70c86bd39c Qt::Guard better when loading zip files
97bc327525 ORAN_TAP: Separate out reported beam counts by direction
e9343d2da7 TTL: Fix use-after-free
fcf652a70e SSH: Unified PQ hybrid KEX processing
89587ab331 TCP: Update RST diagnostic payload for draft-17
edc8c6e8eb eyesdn: add a esc_read_append_buffer() version of esc_read().
87fb30a03d RDP: Check for too long segments on the uncompressed path
b80d283fd6 wiretap: Keep record Buffer length accurate in all formats
24ba8d3ba4 iLBC codec: Fix double-free
8faae143d3 [Automatic update for 2026-03-22]
af7e700c19 AMR-WB: Write leftover bits in the proper place
11497589e2 AMR-NB codec: Fix overflow in mode 7 bandwidth-efficient
52da4caeac SDP: Avoid incorrectly freeing the rtp_dyn_payload mem
051b192255 epan: Make a pref check less noisy
157d2fe352 sbc: Fix Big Endian, Don't byte swap twice on Little Endian
2f23e64bc3 MP2T: add a wtap_read_bytes_or_eof_buffer() routine and use it.
db67edfd74 sbc codec: Fix heap buffer overflow and possible infinite loop
a62cdf89f6 Epan: Add dissector for LS ELECTRIC XGT protocol
558e528505 oscore: fix Coverity Unchecked return value
dccc64a8a5 CMake+GitLab CI: Add a CMakePresets.json
27978676f7 tools: optimize use of regexes
dc99840ae4 QCDIAG: additional logcode implementations (NR RRC/NAS)
7c21644082 PDCP-LTE,PDCP-NR: Fix possible overflow
c7ee0a061b WTP: Use wmem_strbuf_t over sprintf
bef756466e NATS: Add Decode As Handling
82215253cd Modbus: Distinguish "RTU over TCP" from "RTU only"
ff9a3bfbdc Test: Always use a defined test environment
a02094ccbe TTL: Dissect FlexRay next layer
62b06c1dc7 FlexRay: Split frame dissection in new function
759032c2fe TTL: Dissect CAN next layer
f5e340f155 CAN: Add can_get_bus_id_from_interface_name function
e8786642df TTL: Dissect LIN next layer
72c5bf6868 LIN: Add lin_get_bus_id_from_interface_name function
cf42f635e4 TTL: Refactor some code around recent changes in master
3723e8ae9c TTL: Add support for Segmented Message Entry reassembly
0e643392f4 TTL: Add preference to dissect the payload
bbbe5693f4 TTL: Add TTL Ethertype
f3599fd2e6 TTL: Split common functionalities to packet-ttl.c
1de9836507 NAS 5GS: upgrade dissector to v19.6.0
cf0f6b3204 NR RRC: upgrade dissector to v19.2.0
da41f3f996 LPP: upgrade dissector to v19.2.0
332cf9d8d4 LTE RRC: upgrade dissector to v19.2.0
042fec799d ieee80211: add dissect of Aruba VS ARM IE
625992167e yami: sanitize values for coverity
9c1a18b281 PRP: Fixing missing length check that breaks MACsec padding
d8f60a0ce4 packet-silabs-dch: Add support for BLE dissection
ed23622cf6 blf: fix coverity resource leak
8a7ca53fcb Cap File Prop Dialog: show iface name and description
83229202f7 wsdg: Document CMake idioms and plugin use
eaa0a886fb xml: fix Coverity Unchecked return value
6d7f9c3dbf TLS: Regression on EAP, PEAP, with TLS conversations handling
43df768001 Docs: Update "issues" links
e714d769cb CMake: Add option for separate install folders for Wireshark/Stratoshark
88c08992b3 CMake: Update the Falco plugins on Windows
50f4026309 toshiba: Fix a possible buffer overrun
157a8ae671 wiretap: Fix incorrect Doxygen comment
8067689a20 TRDP: Reapply leak fix
e621438e4b Fix IPv4 parsing and 'Address Origin' field for IEEE1905
a51a0cb019 CMake: Update Falco plugins on macOS
22b5a995e4 Stratoshark: nsis packaging: Adjust stratoshark profiles path
ebe0f273a0 WSDG: Add some more detail to Wireshark logging feature description
008a36f1c7 add new Roon Discovery field: code_signing_keys
bb26386c6a isakmp, solaredge: Initialize some arrays used by libgcrypt
1a797add2f GitLab CI: Don't run the AI Trailer Reminder on merge trains
8a0deb976d DNS: make DnsTap available in public headers
5cfdb56ac9 cosine: guard against sscanf returning EOF
61c81fd070 Don't duplicate certain include directories
e339336ec5 packaging: fix Couldn't load plugin "amrwb.dll"
438da284b7 CIP: Added new objects
563de46dd5 IKEv2: Restore some names of obsolete attributes
8d91b42a57 proto: fix Coverity Dereference null return value
ff979587d8 Qt: Fix invisible separator spacing in filter expression toolbar
a0a9d59454 Stratoshark: Add an initial K8s Audit profile
db0beded03 epan: Fix potential overflows in zlib decompression
64b422a24c Add translation files to CMake install
5c6d5eedb5 NSIS installer : Add a few missing codecs
2e85504542 wiretap: Use Buffer functions instead of raw array for some file formats
00647cca18 PROFINET: Update SXP dissectors
faa9fdd549 P4RPC: Make whitespace consistent and fix comments.
35bb25b9f5 ICEP: Fix overflow UB
696c31892f TRDP: fix bad UI-function-call, switch to libxml, merge CRC use
dcbb5994b7 Install JSON "configuration files" with NSIS installer
714e32ae51 ieee80211: fix Dead Store found by Clang Analyzer
1f5936ee3b cosine: sscanf with unsigned char length modifier
17a5e46949 epan: Check appropriate flags are used with a NULL computed_checksum
79ef45076d P4RPC: Fix typos in user-visible strings.
5d7e27a07d TLS-Utils: Check that ECH payload length is as long as the auth tag
30df177a74 IKEv2: Update parameters from IANA assignments
08e217add6 UI: Remove x86 support from our software update code
559345f382 packaging: Update the SUFeedURL architecture on macOS
cbfae3b948 EAPOL-MKA/MACsec: some dissector refinement and cleanup
435f3faab5 EPAN: cleanup proto_tree_add_checksum functions
7fcd0ef267 [Automatic update for 2026-03-15]
426bbeb975 monero: Add new commands for FCMP
a6ad53f8c1 TLS: Take a subset TVB of the Client Hello to prevent overflow
04e76c0230 cola: fix Coverity Identical code for different branches
528bae23e1 nettrace: fix Coverity Explicit null dereferenced
138edc9cf0 sip: fix Coverity Dereference null return value
a4c97dc7a8 h223: fix Coverity Dereference null return value
8841ffbe83 btavrcp: Fix Coverity Dereference null return value
a79be0f589 K12: Fix a possible stack overflow when writing, and print error
102ae9237c CMake: Make FindLua work on CMake < 3.25
f2883ad757 Enforce consistency on config.h include and WS_LOG_DOMAIN
fef99946a1 MKA: Properly get M for the ICV from EAPOL
0389e96fb7 CMake+tools: Remove our text release notes
94906b823d pcket-trdp.c: Use wmem_ascii_strdown() isof g_ascii_strdown()
ab73e06bb2 homeplug: fix Coverity Unchecked return value
58f7179438 iuup: Fix Coverity Structurally dead code
791099d06a CMake: Restrict OSS-Fuzz linker job pool even more
6b0d6d3f21 tls: Fix heap buffer overflow in ECH dissector
360741bd49 test: Add OVS Generic Netlink dissector tests
8eec2fa9ca netlink: Add Open vSwitch Generic Netlink dissectors
d545fad357 TRDP: Fix build on platforms where time_t is a long long
df202a86d1 IKEv2: Change display filters of fields changed in RFC 9370
7f709a4d4a IKEv2: Rename Transform Type 2 according to RFC 9370
20f96d0a1c packet-trdp.c: Use wmem instead of gnew()
c9f183f4fe MKA: Verify the ICV if possible
b559386202 packet-charging_ase: Fix coverity report - Structurally dead code
ff05ad019a nvme: fix Coverity Operands don't affect result
c2afbaed3f Fix Coverity Structurally dead code
8f265c37b5 isis-lsp: fix Coverity 1604195 Overflowed constant
172e227cb8 MKA: Correctly store the ICK
bc56f61210 CMake: Update Sparkle to 2.7.3
e90e8a271d Don't include .editorconfig files for INSTALL_DIR folders
7c43ca074a CMake: Restrict OSS-Fuzz linker job pool more
61199d1099 LIN: Dissect go-to-sleep command
d55cdba605 TRDP: switch the dissector to the TCNOPEN-community origined version
4c4d6cd579 GitLab CI + tools: update-appdata.py updates
0e48f1dd18 RTPS: Reassure Coverity about a static string's length
fb7b1546ad CMake: Increase memory allocation for linking for OSS-Fuzz
a9bf5590e0 Bugfix preference memory scope improvements
31bc621336 mcdata: Avoid "never read" warning
16c08298e0 QCDIAG: fix Coverity unsafe_xml_parse_config issue and general improvements
353f01e009 packet-btle: add Silabs DCH as recognized upstream dissector
ee64c474fa tools: install required libs when install-all with macos-setup-brew
0c3d4fcb97 tools: install dmgbuild with macos-setup-brew --install-dmg-deps
09c680afe8 BLF: Add forwarded event state values.
0cb4aecf01 AFP Spotlight: Use ENC_BOM
4b7cfb31c2 Include SNMP MIBs in the CMake "install"
7ab22489ad CMake: Don't use project name for installing components for Windows/MacOS
a0d4b464b6 tvbuff: fix Coverity annotation for ensure_contiguous_unsigned
d3e73c301e Fix unchecked g_strlcpy return values
d1d83ba361 RDM: fix len and make fallthrough explicit
6abb63feb4 AFP Spotlight: Add recursion checks
faec893deb Qt: Disable antialiasing in the info banner on macOS
ac7d2b6866 ICMPv6: Fix typo in previous commit
6693c4c25e syslog: fixed decoding of SD only msg
0f4b619f8c P4RPC: In INFO column, group func names by segment and fix formatting.
259d520b65 CQL: Fix metadata offset desynchronization for NULL and empty compound types
bd8a20156f editcap: Free the wtap_rec (and thus its buffer) on exit
3c77728a8f DLMS/COSEM: Make sure the offset advances
060cc6852c Qt: Use explicit signal connections in WelcomePagePreferencesFrame
507ca69a40 GitHub Actions: remove obsolete lockdown workflow
48e66a5e24 CMake: Also make the stack 8MiB on non-MSVC Windows builds
941a545816 ICMPv6: Don't parse RA options outside a PvD option when parsing PvD
3824da6754 nettrace: Add debug statements to find bad xml.
729b944136 CMake: Add Glib and PCRE DLLs/PDBs to THIRD_PARTY_DLLS and THIRD_PARTY_PDBS
181ecac432 Qt: Fix welcome page sidebar leaving empty space when disabled
d4a9219dfa Slides: Replace SFEU image
abe0953fee CMake: Update Npcap to 1.87
b7e96b7eea PN-RSI: BugFix for RSI with sec decoding (ERR-RTA)
5e506aa471 BLF: blf_add_idb doesn't populate entries (Bugfix)
7bf3b7b8de WINS Replication: Check for bytes existing
202b29b237 fcswils: Add recursion checks
469b158dd1 Qt: Extend welcome page accessibility information
41c51e702d Qt: Set sidebar settings early
38246051e4 BLF: Bugfix in interface mapping from BLF input
f3f9ac7f71 Fibre Channel: Fix reassembly with a NULL tree
21984e264a Monero: Add recursion checks
4bf10c9ed5 PNIO: Fix PDInterfaceDataReal field name OwnChassisID -> OwnStationName
7f1a0f0297 Qt: Overhaul welcome page start screen with InfoBanner carousel
029a9bc44a Eliminate Coverity Unchecked return value warning
41addf0cb6 Profiles: Ignore directories with invalid characters
f936094712 MS Procmon: Fix some dissection bugs
7b2de9d1d1 BT DHT: Add recursion checks
54aa420e78 ICMP: Validate Code=0 for Code=0-only message types
f033dd3ba7 ieee80211: Add Aruba VS AP Health (10)
6247e3647c Plot: Add alt-arrow key support for moving 100 pixels at a time
15e754b19b Wi-SUN EDFE info column improvements
103dd71bc3 BT-DHT: Initialize a variable
b85c56fcb3 SMB2: Check for offset overflow in two more places
b778d50f12 PROFINET: Eliminate unnecessary NULL check after dereference
b82d9793c6 ilp: Fix a asn2wrs warning
6869d58898 RDM: Updates for E1.20 2025 and E1.37-5
13b2b0de7e ACN: Introduce dissector table for SDT wrapped protocols
ff741494b1 akp: add more registrations
056a7ca34f tools: Fixup data fetching in generate-bacnet-vendors.py
daf7d878dc Add DATA_INDICATION check for MS-TURN packets
92cbc06744 ASAM CMP: Fix Ethernet Padding detection for Transmit (bugfix)
a634ae3186 PROFINET: Make global address list static
7635d42be5 [Automatic update for 2026-03-08]
aff312a026 [file-pcapng] Added missing values for Darwin-specific options.
9f2b3799a0 tools: Ignore BACnet Vendor IDs with no organization name
3faef159dd Add support for G_REGEX_MATCH_DEFAULT
ebf930bf02 BLF: Improve compatibility by setting a file start time.
fec5cc838b OPCUA: Coverity dereference after null check
6fd3e40947 TECMP: Fix integer overflow (OSS Fuzz issue 468513074)
3f36d4ddaa SRT: Fix malformed packet error for control packets without CIF
d84f46fa02 ASAM CMP: Adding support for ASAM CMP 1.1
259f2634b0 TECMP: Fix macro MIN/MAX comparison with unsigned
a97b88f12b Lua: use `lua_closethread` when available
d1f586d15a TPNCP: Avoid passing function call to MIN macro
64c6671047 Plot: Fix plotting without current filter
56d8bbf877 Remove ws_debug_printf (and ws_printf.h)
43e8e287d7 SolarEdge: Fix leaks
fba00e17b7 tls: support dissecting ECH configs inside RFC 7468 files
84d9e01255 epan: fix Coverity Resource leak (1680294)
e883f563dd prefs, recent, filter files: Sanitize user inputs for newlines
6fd3aef45a Qt: Add accessible name/role/index information
b98e20c929 tvbuff[ch]: Remove deprecated tvb_find routines.
1d8acb21ab SolarEdge: Fix buffer overflow
7c43b37f31 Signal-PDU: Wireshark should not stop on illegal profile (bugfix)
12d1b6a645 packet-hl7.c: Replace tvb_find_uint16() with tvb_find_uint16_remaining()
6f074ebdfc packet-xcsl.c: Replace tvb_ws_mempbrk_pattern_uint8().
61ac6d6e67 ORAN FH CUS: Updates to SE30
d5bdf4aadf ASAM CMP: Do not show Ethernet Padding as CMP (Bugfix)
1b0e97f4db Thread: MLE: show CSL Channel page and channel in root item
557bdbc13a pkixalgs, x509sat: add OIDs from RFC 9925
98636e06f0 ISAKMP: Add SHA1 verification to NAT detection payloads
ec16791d8d Lua: Adjust for Lua 5.5 lua_newstate parameter extension
ca55aaa87f Thread: fix parsing CSL Synchronized Timeout
7dd6fbd649 docs: Update the Wireshark release notes
e1033766e9 DMX: Fix: Don't pass start-code to sub dissectors
e72df4fc3c ieee1722.1: Stream Input Counters do not contain a TX count
a038f9e8a9 CMake: Make FetchArtifacts download failures noisy
fbf8f4d39e solaredge: Fix operator precedence
d6e3b2acd8 tvbuff: fix Coverity annotations
2810c9d1fe gsm_sim: Disable extended length for SIMtrace
7d4c1ba094 sgp32: Register SGP.32 specific objects
56f325b92c gpg: Signature made Wed Mar  4 03:21:39 2026 PST
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
MGCP,MSN-Messenger: correction of finding line length
0d4d4e610d procmon: Fix a couple of issues found by clang scan-build
f757819a53 QCDIAG: fix memory allocation
49c790b423 LUA: Extend Wireshark Lua TreeItem API for Tree Navigation and Field Access
f5f5b9d546 darwin: Terminate a generated value_string
6a11f0e206 Glib-compat: adding g_hash_table_steal_extended
dd6612474c gpg: Signature made Tue Mar  3 07:00:05 2026 PST
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
ui: add errno import
6202845fe6 BT HCI_ISO: Don't create a TVB with uninitialized data
194f8c1934 PA-HBBACKUP: Prefer col_add_str()
0d38f6fdf4 GitLab CI: Assign environments to some jobs
dd9ce53a9f gpg: Signature made Mon Mar  2 07:19:54 2026 PST
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
packaging: Update OpenCore-AMR for SUSE
f2da5682bd gpg: Signature made Mon Mar  2 06:38:07 2026 PST
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
rpm-setup: Add correct OpenCore-AMR for SUSE
279f5eaba9 procmon: fix coverity resource leak
549177418c dissectors:  avoid some more separate fetches
3e9d89d1a2 PDCP-NR: Don't take off the SDAP bytes a second time calculating digest
2628c40d8c QCDIAG: additional logcode implementations (WCDMA)
e4540f4a8e Removing proto macros (batch 4)
c6b8a6160b solaredge: Do some error checking and fix Coverity issues
d52d4ce4f1 CoLa, Navitrol: Initialize tm_isdst
9e18eb280e nettrace: fix Coverity unsafe_xml_parse_config issue
3a808fee32 [Automatic update for 2026-03-01]
91089a358d Eliminate Coverity Uninitialized scalar variable warning
d259c34133 editorconfig: CoLa and Navitrol dissectors use tabs
614267e141 wimaxasncp: fix Coverity unsafe_xml_parse_config issue
fc6cf414a2 Eliminate a few Coverity null pointer check warnings
4ac4b8f1c1 Quiet more Coverity warnings about unchecked return values
d36e83350e Make a couple of dissector symbols static
1d850f540c Qt: fix Coverity integer_division
ab7990da09 wmem: Remove G_GNUC_MALLOC from fns that return a pointer to allocator
93ca20f4ea CITP: add dissector
7ee77c434b mms: Fix ASN.1 typo for variableAccessSpecification
3accedff0a tvbuff.[ch] Remove tvb_find_line_end()
690d01eb62 UAT: Fix parsing empty hexstrings at the end of files
89cc1d388c Quiet some Coverity warnings about unchecked return values
e738abca01 ORAN FH CUS: Add SE30
b1ea49d00f HomePlug AV: Support VertexCom MME dissection
1ee6c63359 Disable automatic updates for portable builds
98e4714f7c Plot: Fix automatic range of x axis to fit all data
f59d0acb02 IOGraph - add alt-arrow key support for moving 100 pixels at a time
4467ea55ae NFS: Add support for NFSv4 filename snooping
d48a0c3bd3 NFS: Use 64-bit key for filename snooping hashtable
b85d46f06b NFS: Remove broken NFSv4 filename snooping
111c2cbcfb NFS: Fix NFSv2/v3 SYMLINK and MKNOD filename snooping
622126abb8 NFS: Fix NFSv3 READDIRPLUS filename snooping
f48f64f6bd NFS: Fix detecting NFS4 callback packets
6401013415 NFS: Fix logic for displaying empty NFS4 "Attr mask:"
bdf95021d9 NFS: Remove warning about empty NFS4 attribute mask
15461ffb6c NFS: Use %u printf format for unsigned integers
731db34070 NFS: Fix dissecting NFS4 CREATE_SESSION cb_sec_params
211dc04054 NFS: Fix dissecting NFS4 mode
9fdf9cba2e NFS: Consistently show NFS4 fileid/mounted_on_fileid in decimal notation
0c5abdd2cb NFS: Dissect NFS4 nfstime4 into human readable form
20096b0472 NFS: Do not show NFS4 Close deprecation warning for the expected State ID
d6c201df97 NFS: Use macros instead of magic numbers in NFS4 dissect_rpc_secparms4()
160085d757 NFS: Update comment about NFS4 callback versions
58137ae83e NFS: Always show all possible NFS access bits for ACCESS calls and replies
ad8e3c434b NFS: Dissect NFS4 create_session callback parameters: flavor and gss service
e070cdfc7a NFS: Dissect NFS4 GSS OID
09b8ae9e19 NFS: Fix detection of NFS4 packets
89359ff540 TCP: Update RST diagnostic payload for draft-15
96fed9f340 ASN.1: Fix includes
ada6a784f2 Multipart: Fix test now that a variable is unsigned
ca6a98bdac PROFINET: Implement first version of PN-SXP dissector
5e8bded048 ieee80211: extend RSNXE to 4 octets and add EPPKE
bb0625a560 TCP: Add RST diagnostic payload dissection
01c94a230c MGCP: Remove unused variable, possible overflow
28714eb431 gsm_sim: Add channel number
deefb257a0 Art-Net: Fixup the protocol short name
c3ea85a97e dissectors: eliminate more double fetches
0ed957a3f8 NVMe: Ensure that tr_type is initialized
d3bdf975f2 Plot: Fix unavailable saving option
5a0e48d42e [Change] MCData added to the SDP media
67ab4db41f Replace tvb_find_line_end() and change to unsigned offsets in a few dissectors.
400f86e3bd QCDIAG: introducing logcode xml dictionary
5a829e91ac packaging: NSIS: Fix profile paths with spaces on MinGW cross-compile
84fbadc522 BLF: Avoid error in case of truncated log container
d3fba774c1 CMake: Update GnuTLS to 3.8.12
b05551fe3a IEEE802.11: Do not try to retrieve Special User Info in HE Trigger
94555d20b6 Multipart: End looping when CRLF is missing
9ccf612c71 tap-rlc-graph.c:  selected bearer may be LTE or NR
81b24a356c extcap: Update our SSH configuration location on Windows
c872a1f70e Telnet: fix error: comparison of integer expressions of different signedness
d2b00f17ed Diameter: fix tvb_find_line_end_remaining argument order, 2
5f62b05eda tap_oran: fix check for reaching end of beams column
6f4869daec WCCP: Always validate the address length
8658bf0daa GTP: Mark optional bytes as optional and fix a gap dissection
9c4c52d3c0 dissectors: eliminate a few more double-fetches
040f360553 Replace tvb_find_line_end() and change to unsigned offsets in a few dissectors.
c1b34b3f88 Removing proto macros (ASN.1)
8defce5067 ICMPv6: Enhancements based on/required by RFC 9926
b547532207 [Automatic update for 2026-02-22]
7857d2cc3c vcs_version.h: Update where included
82debec262 Replace tvb_find_line_end() and change to unsigned offsets in a few dissectors.
d69adc06a1 dissectors: avoid more double-fetching of values
c1e5f7b30c make-version.py: Fix initialization typo
be4360add9 ICMPv6: Update 6LoWPAN Capability Indication Option
e892436bc3 WSDG: Update the WIRESHARK_BASE_DIR / Homebrew text
a10fe753c0 Reduce use of VALS_EXT_PTR
1ae2b205eb ORAN FH CUS: Tap breakdown of eAxC so can show parts correctly
fd626f7fca Replace tvb_find_line_end() and change to unsigned offsets in a few dissectors.
fbe2f37d3e Diameter 3GPP: Fix tvb_find_line_end_remaining argument order
e605998b98 DSR: Fix typo when eliminating double-fetch
7fce763f5f guid-utils: Fix stack-use-after-return
6387dda45e Qt: Update the File->Open Recent menu when a file status changes
4acc817fed QCDIAG: addressing header field issue and other improvements
80170e05a8 dissectors: fix where first line misnames file
c46d86b960 Removing proto macros (batch 3)
78a1aac705 BLF: Add padding to last log object when closing log container.
ec021b4d71 LUA: Add Lua Functions for Bulk Field Requests
9c4cbd8513 tshark: add some additional WS_EXIT_ codes and use them.
1f07646a62 Replace tvb_find_line_end() and change to unsigned offsets in a few dissectors.
11ed15f007 gsm_sim: FCI ISD-R Proprietary Application Template
7fdb5c230f Qt: extract filePathsMatch() with runtime case-sensitivity detection
d99710b09f Replace tvb_find_line_end() and change to unsigned offsets in a few dissectors
e53cc35bc7 tshark, strato: fix exit status.
3448ed1177 workspace_state: have a common routine to compare file names.
d518e16df0 megaco: fix dead store found by Clang Analyzer
f2f788ae4b Handle sub-dissector exception in Silabs DCH
22d2d411ae Replace tvb_find_line_end() and change to unsigned offsets in a few dissectors
f1ef116d9d Lua: Treat plugin directories with `init.lua` as package
e2e254c037 Qt: Add back a comment about possible case-insensitivity on Mac
ce4ba01377 Fix some spelling errors
745425fde1 Qt: Fix spacing on welcome page
ff4bf0c7da oran_tap: be paranoid about array limit
abbe56cd76 packet-telnet: Change to tvb_find_uint8_length() and unsigned offsets.
27779adc80 packet-smpp-,-syslog,-tcpros,-ucp,-sir: Use tvb_find_uint_length or _remaning.
8529968f61 P4RPC: Decode "haveRec" fields, display time as ISO-8601 strings:
eac65ee8dc CAPWAP: Add support for WTP Static IP Address Information message element
d5a60a7f2c DLMS/COSEM: Add correct address parsing per Green Book specification
43edbd6539 Qt: Remove extra vertical layout from Capture File Properties
c8153f190f packet-sip.c: Refactor to use unsigned offsets and unsigned tvb functions.
a2ee564315 QCDIAG: additional logcode implementations (LTE NAS)
5a4b479cee [Automatic update for 2026-02-15]
ce24af3bdc SMB: clean up some left over GLib gbooleans and consts
dc78ebead5 tshark: Coverity warning - Unused value
2d27640af9 wsdg: git commands (formatting; typos)
29bbb0d874 CMake: Update libssh to 0.11.4
a3e1dc6f04 wsdg/lua: group display filter functions
67cfc06fc9 Removing proto macros (batch 1)
8cd58ec893 Removing proto macros (batch 2)
8327787651 git: cleanup .gitmessage; print message standards if needed
40be5501bb dissectors: avoid doubly-fetching some values
761216c2b6 QCDIAG: introducing cmd 0x10 logcodes
e770730d7a packet-rtpproxy: Use unsigned variants of tvb_find_uint8() use unsigned offsets.
82170a6f2d M2AP: upgrade dissector to v19.1.0
96d2734315 Fix const pointer usage for gcc.
daef189610 docs: Fix typo in "Packet Dissection" guide
510a87449d Replace tvb_get_token_len() with unsigned versions, use unsigned offsets.
5d3a0f826e Qt: Remove Details title from Capture File Properties
d755e30b36 packet-qcdiag,-rlogin,-rsh,-rtsp: Use tvb_find_uint8() and use unsigned offsets.
be5cfd209f SOCKS: Check the matched port not just the default port
822055418e Diameter: add a missing 3GPP RAT-Type AVP value
81fe19c363 extcap: Sort out Stratoshark extcaps from Wireshark extcaps
11fe145dde ORAN FH CUS: Always log UL max delay value
6151c6d567 NSIS: uninstall removes global plugins
0bc0e481e9 packet-osmo_trx, -ppp: Replave yvb_get_uint8() and use unsigned offsets.
cf84caf687 packet-mongo, -mrcpv2, -msrp: Use unsigned tvb functions.
33e164896a packet-nats, - nmea0183: Replace tvb_find_uint8() and use unsigned offsets.
0dfb765d25 tshark: remove an extra semicolon.
a4ace7abcb Diameter update 3GPP RAT-Type AVP values
077501fb7c packet-mgcp: Change to unsigned offsets and lengths use unsigned tvb functions.
467b5be85b dissectors: another batch of double-fetches
e40543462a SCTP: add DTLS key management parameter
c441f60d75 e212: Updating with all currently documented operators
57b70ca886 tshark: handle errors when printing packet dissection information.
af71d884e0 secrets: Use wtap* instead of full capture_file
9c796d13a6 gsm_sim: Show STATUS application status in Info column
9b7afe3180 tools/check_*.py: Handle Ctrl-C better
165b7f4361 Windows installer: Try to fix WIX schema usage (blindly)
268d8df101 packet-lpd: Use tvb_find_uint8_remaining()
e65b65ce27 isakmp:Change to unsigned offsets and lengths and use tvb_find_uint_length()
24d76e27d1 WIX: For cmpProtobuf_mysqlx, only set KeyPath for one File entry
21232500d0 packet-iscsi: Change to use tvb_find_uint8_remaining
f1ee2194ea make-version.py: fix check for git
c852f935fd Add MySQL X Protocol
6dbe50fa40 packet-indigocare-netrix: tvb_find_uint8_remaining()
51f787ea03 [Automatic update for 2026-02-08]
ccfd20b1b0 GitLab CI: Validate the source commit for a merged results pipeline
624e46fb55 SOCKS: Create a proxy conversation for each outer conversation
8b370c77a8 tools/check_static.py: add option to say which Windows build
b86e180024 EAP-AKA: Check for attribute length zero
3e07358e4d RESP: Add Map and Attribute support
dfa89a751e Update to unsigned tvb functions and unsigned offsets.
17215397c1 RF4CE: Check that the input data is long enough
916c68f758 packet-ncp2222.inc: fix compilation failures
15ffb508bb TDS: Fix dissection of variable-length data types in RPC
b5ef72c47e dissectors: avoid double-fetching some more values
7cb2fc242f Revert "validate-commit: dump out debugging information."
d88ba3d22e sgp22: ProfileInstallationResult is a response
c766203b67 gsm_sim: STORE DATA Le is only present for last block
b1db20eb3b mbim: Add UICC APDU padding field
5354910b63 at: Make AT+CSIM quotes optional
c2e4c36333 gsm_sim: Append to Info column
0c957b0c82 mbim: Combine UICC response APDU and status
995267c872 validate-commit: dump out debugging information.
7bdc9098e7 packet-imf.c: Change from tvb_find_uint8 to tvb_find_uint8_length();
e31a8ffa61 SMB2: Fix compilation on MSYS2
89fe959bf2 alljoyn: Fix compilation on 32-bit platforms
065dbc3168 silabs-dch: deal with potential 0x00 garbage byte in Wi-Sun Payloads
bd727a9218 gpg: Signature made Thu Feb  5 09:02:10 2026 PST
gpg:                using RSA key FDC8309C16E1AACB048944539F2B309A9E5F8D37
gpg: Can't check signature: No public key
NAS-5GS: more correction of Rejected NSSAI
5fdfc57804 NTS-KE: check alpn string presence before calling strcmp()
c5e434965c .mailmap: Update of January
25c32a8b84 Change tvb_find_uint8 to unsigned version and unsigned offsets
f9ff139143 validate-commit.py: show what the subject line is if it's too long now is the time to come for all good men to come to the aid of the party
342f34fb67 JSON: Fix memory leak in read_cli_parser_preference()
65488f4be0 ICMPv6: Revert part of previous commit
88e0cc30f1 packet-qcdiag.h: remove qcdiag_logcodes_ext & qcdiag_cmds_ext
65b96d1afa Pipeline: Update check_static.py to run on Windows too
bb031a458a mikey: Extend general extension list
2dc5452e2b debian: Don't use bashism in rules file
692a66d05d SMB: Dissect additional reparse point buffers
6b3193c237 debian: Replace - with _ in libqtui shlibs file
2d99396304 wiretap: Fix BLF writing all Flexray interfaces to same channel.
974752236e Tools: have validate-commit handle newline issues better
9ca666be7e debian: Add libuiqt-plugin-dev path to include-headers include path
8bc66c0363 dissectors: avoid more double-fetching of values
38eafd37d6 blf: expand the interface mapping when a new IDB is supplied when dumping.
2b163010fd wiretap: fix crash in handling of BLF as output format
63ae069e0d QCDIAG: additional cmd implementations (36, 41)
86080aa474 HTTP: Fix a comparison after a variable is now unsigned
31271e53fa debian: Create a -dev package for libuiqt_plugin
029738e8f7 Zigbee Direct: Set necessary packet pointer to the global short_table
82db2faf45 pcapng: Fix writing Custom Options containing a UTF-8 string
3bd23100c4 pcapng-darwin-custom: Fix option length handling
6cebe22f1f Debian: also change the libuiqt-plugin0.install filename
da6bf13ef0 IPV6: adding NAT64 /48 to wildcard prefix
f1c7f6a3ca NAS 5GS: upgrade dissector to v19.5.0
e9183fadd2 Zigbee Direct: Make sure a loop iterates
1f2a984089 NAS-5GS: correction of Rejected NSSAI
ae57ee2603 ORAN FH CUS: Delete empty handoff function
ca1cae34a8 Pipeline: check_spelling.py wireshark_words.txt update
1f09b158bb Pipeline: fix check_spelling.py on Windows (wiki_db)
45578d04b3 Change tvb_find_uint8 to unsigned version and unsigned offset for more dissectors
987d43d2af NAS EPS: fix dissection of EMM transport message
e0a8f28583 Tools: define AI-Assisted tag in more logical order
9aa275634c EPMD: Fix order of parameters in tvb_find_line_end_remaining
f86520d56e NAS EPS: upgrade dissector to v19.5.0
ce7410d98e Change tvb_find_uint8 to unsigned version and unsigned offset.
e8aea49cae JSON: Add dictionary-driven JSON Protocol dissector
7a55f0c244 QCDIAG: additional cmd implementations
06132d1f06 pcapng module: Don't use a C++ reserved keyword for an identifier name
7551171435 artnet: Fix wrong RDM Status for Output Status
f3e91062c3 dissectors: remove some more double-fetches
553f2020a6 tls-utils: Revert to using libgcrypt for pre master secret decryption
b14784fef8 Update the use of tvb_find_line_end in more dissectors
b640e18410 Replace tvb_find_uint8() with unsigned version(s) and make offsets unsigned.
56adcd0504 rsa: Use gnutls_pkcs12_simple_parse
5b1dfffd18 rsa: Use proper free function
6b2dd055b8 [Automatic update for 2026-02-01]
b9b07ee87a wsutil: Modernize rsa_decrypt_inplace
1b42484841 QUIC: STREAM frame out-of-order and retransmission handling
2d8dbf6d1d packet-ar-drone: replace tvb_find_uint8() with tvb_find_uint8_remaining()
4414f06199 NATS: Fix length of proto_item in header_version field
706ade0bcb epan: DISSECTOR_ASSERT that we have a tvb in tvb_get_ptr
590a92bddc epan: Only call tvb_get_ptr in proto_tree_add_bytes* with a tvb
38578a76f1 Qt: Redissect when the RSA Keys list changes
634e2aaa0f GitLab CI: Clear our Python virtual environments
806af16d88 secrets: Fix return type
bc87ed62db CMake correct indent
4592d56f5f docs: Fix the Transifex URL
7cbcce9f24 btle: Fix CRC validation for data channel packets
3d465501ff Fix Coverity defects
5482e2bc7d Avoid some more double-fetches in dissectors
796b7a01ae packet-isakmp: IKEv2 EMERGENCY_CALL_NUMBERS Notify payload cannot be decoded
a42fc057a9 Gitlab CI: Qt 6.10 requires macOS deployment target 13.0
a5d3cddc0a CMake: Update some FetchArtifacts comments
c507160fac FetchArtifactsCmake: Fix a typo in package name (copy-paste)
f6b40f9d12 Update glib bundle on MacOS and Windows
11715d4c96 QT: Update to Qt 6.10.2 on Windows and MacOS builders
c0a0fd3b9c Replace tvb_find_uint8() with unsigned variants and use unsigned offsets.
a7b6bb8162 CMake: Qt 6.10 requires macOS 13
abb7413f62 Qt: Use Application attribute UseStyleSheetPropagationInWidgetStyles
ea8d400bb2 ORAN FH CUS: Check for > 14 symbols addressed in one slot
4c27be9bec Qt: Enforce QMessageBox style with QProxyStyle instead of app stylesheet
00e10aa632 systemd-journal: Field names should end with '='
4b7c3df411 Qt: Always update WelcomePage style sheet on ApplicationPaletteChange
81dd29bd23 tools: use relative path when setting up dev environment
2485d39256 wtap: re-export pcapng_module.h
67461cbb46 wtap: don't include "pcapng.h" in "pcapng_module.h"
b4686e963c Qt: Make the hex protocol background distinct on GTK platform theme
4204d61a87 TCAP: Add conversation filter
98c8a77715 ICMP: Bugfix checksum validation for Interface Identification ICMP Extension Object
e7723d8760 QCDIAG introduction (under GSMTAP type QC_DIAG)
90f66636a5 Qt: Add Show Selected tooltip to Show Packet Bytes context menu
d00969ae1f Update tvb_find_line_end use in several dissectors
03445829ed DVB-S2-TABLE: Avoid some repeated fetches
33ed8e1017 MAGACO: Fix typos, tvb_LBRKT used in stead of tvb_LBRKT_found
188b0a9224 MCData: Check for a possible underflow
fcc874998e packget-bgp.c: Fix bgp cluster-list dissector
b8b1fcce05 MEGACO: Change tvb_find_uint8 to tvb_find_uin8_length
d37f533676 Replace all uses of tvb_find_uint16
c79060df0f Qt: Consolidate and fix mainApplication pref handling
46b73bed89 MEGACO: Replace more tvb_find_guint8()
b10df896cc tools: handle commit messages from commit -v
0301eeac1b tools: Make a couple of scripts executable [skip ci]
0e8aceb552 tools: Just use `open` in our Python scripts
f87c426b30 packet-usb-hid.c: Replace proto_tree_add_uint_format use
eb67c207ae Consolidate IANA data collection Python scripts into one
b441ce1c46 MySQL: Correctly decode pre-4.1 field packet
bee850179e [Automatic update for 2026-01-25]
ee1fda9585 MEGACO: Change a few calls to tvb_find_uint8 to tvb_find_uint8_length
964bf0822a More double-fetch changes
b0403cf9d1 MCData: Add support for MCData protocol (3GPP TS 24.282)
09be011343 MEGACO: Start to use unsigned versions of tvb_find...
eefcb60115 TECMP: fix position of invalid_cycle_repetition expert info
3510913635 gitignore: Update .gitignore for in-tree builds
f2791659ed Qt: Speed up expert info proxy model
be66fffbaa Qt: Speed up expert info item row calculation
bef3d6590b ieee80211: update code to final 802.11be amendment
fa9691e723 Debian: add Build-Depends to libopencore-amrwb-dev
c5933ad583 Another round of double-fetch changes
d95fed58f1 XnAP: upgrade dissector to v19.1.0
ff7f32e179 pfcp: Update to 3GPP TS 29.244 V19.4.0
9c49d71ec9 Qt: Use the common hoverBackground on ProtoTree with Windows
e4bae38787 SMB2: Remove Fixed Part/Dynamic Part subfields of StructureSize
4285f33f64 MySQL: Fix random access dissection of frames with compression
d261a79ae2 Qt: Make Packet Bytes hover highlighting like Proto Tree, Packet List
0e93a6f3fd Revert "Qt: unhighlight hover bytes when mouse leaves Packet bytes"
54ccce237b Qt: Fixup our icon initialization
92fc5fafce MySQL: Fix short packet for login with CLIENT_SSL
84e7ba6db7 Standardize on "dissector data files" that contain no dissection
31030d5702 Add AMR-WB RTP Player Support
2640192b70 docs: Update the Wireshark release notes
a02d9cda5e NGAP: upgrade dissector to v19.1.0
9c1ce84a3f SRVLOC: Fix encoding
0e20077fa3 Expert: Make offsets unsigned, convert last ones to _expert_remaining.
12412ebf93 Qt:Fix open recent file
1fea84f1cf FGCP: Add TLV Interface Inventory
364cf7fb0d FGCP: Add HA CHECKSUM TLV
b50a0da9ba Qt: Fix deprecation from Qt 6.11 (#20965)
83d7fdfb43 TECMP: Fixing FlexRay Replay format
d9b25fec2b CMake: C++ minimum version updates
c074ae7e74 TLS Utils: For JA4, test if ALPN characters are alphanumeric
6dbb98b030 tools/backport-wireshark: Add license
3c3e88079e debian: Add Ubuntu backporting script
167c70664f NRPPa: upgrade dissecrot to v19.1.0
a013284ca6 DRDA: Make sure a parameter length value is non zero
15249fc978 Use expert_remaining and unsigned offsets
88631d7dc3 CMake: Require C++14
6d60a5474c MySQL: Decode Public Key
c63575569f Qt: Move Recent Capture files to model implementation
620af07cb5 Use ...expert_remaining and unsigned offsets.
9dd46012e2 Avoid some more double-fetches
f79e601200 wsutil: Remove unused #define
e62bf7d9f3 Qt: Ask before exporting PDUs if there are unsaved frames
8215f5532c NSIS: change WinPcap wiki link to Npcap
b9bbc96e0e Use _expert_remaining and change to unsigned offsets.
4a3ff781e2 CMake: Reapply our FindLua changes
1bf12a13e7 CMake: FindLua update for Lua 5.5 from upstream CMake
53c9b26faf X2AP: upgrade dissector to v19.1.0
b4cadc7e57 DRAFT: Update our introspection enums
60ca009c0c S1AP: upgrade dissector to v19.1.0
ca4bdda488 Eliminate comparisons of tvb_reported_length_remaining with 0
3bbaf03e99 LPP: upgrade dissector to v19.1.0
dde279301d Lua: workaround a clobbered error reported by gcc 15.2.1
41172d7789 E1AP: upgrade dissector to v19.1.0
739806d962 F1AP: upgrade dissector to v19.1.0
2d73ce897e MySQL: add support for progress reporting MariaDB extension
097162fe7b Lua: Get the length of stringz from the TVB API, and return it
41eea578dd NR RRC: upgrade dissector to v19.1.0
45568af550 Lua: Free func savers when resetting thread
3395406ccf Another batch of changes to avoid double-fetching values
847d704e13 WCCP: Ensure that the address length is at least 4
459800a471 GTPv2: Fix Dead Store found by Clang Analyzer
43cb7712ad protobuf: hide toplevel fields
c71de75f03 GitLab CI: Fix the Arch Linux job
e9a06b6020 epan: Have tvb_reported_length_remaining return unsigned
36cbc5f437 CMake: Update our Falco libs variables
d11bf0ba8d LTE RRC: upgrade dissector to v19.1.0
3836d6e420 SLSK: Make items unsigned again
66ff24fb5c Add proto_tree_add_item_ret_uint8() (and uint16 version) and start to use
8b2e6a77b2 NSIS: Fix the Stratoshark installer
28e3921987 [Automatic update for 2026-01-18]
2da34553a8 CMake+GitLab CI: Update Falco libs to 0.23.1
ac4aa6510e PPI: Fix use-after-free of ptvcursor
e5d7eac031 Zigbee Smart Energy: Remove a test that doesn't do anything
e56ab1c282 ui prefs: Free modules on exit
9ed19520ed NSIS+WiX: Fix our plugin paths
dd9e3004bd tools/check*.py: check for main - needed for ProcessPoolExecutor in 3.14
ae7cedde69 resources: Fix our pkgconfig file
d914ae550b Use expert_remaning and change to unsigned offsets.
7879bc805e CMake: Split our plugin build directories
4b1fd41f01 Soulseek: Update URLs
5a8efd7836 ptvcursor: Free the ptvcursor_t structure itself
0349e79210 epan: Try to satisfy Coverity
2a30bc0d96 TLS: Don't pass -1 into ssl_proto_tree_add_segment_data
138791284f btrfcomm: Display the associated Service UUID for every packet over an RFCOMM channel
87ed4e5c4b Fix more ineffective checks versus negative reported length remaining
d09ec32402 Remove more ineffective checks for reported length remaining negative
6829f67d17 Mobile IPv6: Update Mobile Node Identifier subtypes
2005b98e95 IEEE 802.15.4/MiWi-P2PStar: Fix ineffective reported length check
3fb19eebc1 DCERPC: Make sure our UUID table is initialized
7bb2951160 epan: Check for a valid dissector table
2d1771a6d3 GitLab CI: TEST_EXTRA_ARGS is a CMake list
48bcc8a81a DHCP: Fix some impossible tests
49256c60eb FP Hint: Prevent out-of-bounds write
0184d99a03 epan: ptvcursor: Use unsigned offset in ptvcursor_new, ptvcursor_offset
f33ffb6f74 RESP: Add support for REdis Serialization Protocol (RESP) v3
647594ec4c test: Update our Stratoshark-related tests
35b2a81f6c cola, cimd, cups: Use new find API and unsigned offsets
aae8f64d3a ptvcursor: make some of the "get" functions use unsigned length(not strings)
d288f8a921 Kafka: Fix previous fix for count -1
e6c3f311da SSH: Coverity warning unsigned comparison
e9707428bb gsm_sim: Improve BER-TLV functions
f6707b9b35 IUUP: Satisfy Coverity in that a switch default is not reached
08bcec9015 Add support for int and float (double) preference types
1fd6632f2d DHCP: Handle more than one user class in MS Option 77
bbc554e845 sharkd: wait for child processes
2ce2461be1 btatt: Make the handle-UUID mapping device-aware
62585c6b85 Fix some easy examples from check_typed_item_calls.py
2628752600 Fix erroneous check-typed fixes
50d38a7149 check_typed_item_calls: Add ENC_BOM and ENC_VARINT_*
3e7cab6e8c check_typed_item_calls: Move main logic under if __name__ == '__main__'
63b374a996 matter: Add BTP fragment reassembly and automatic Matter dissection for BTP/UDP
06b4168979 TTL: Allow 0-length normal CAN frames
9de79d2527 epan: Use unsigned offsets and lengths with tvb_get_ptr
a2c3c647ea Qt: Use plural forms for stream(s) in RTP dialogs
d0e643f2d6 RTPDump: Use newer find API and unsigned offsets
55b2074d9e Kafka: Fix some overflow UB
272fe1829e cipmotion: Make coverity happier
ef2ebf22a5 tools: Update falco-libs version in macos-setup-brew.sh
474b0b4a22 ANSI A: Fix overflow check
5c02e61835 git: Make sure .gitmessage uses UNIX line endings
a38895e61e epan: Make more protocol names easier to grep
9707d6aede stats_tree: Fix initial value of maxvalue.float_max to be -FLT_MAX not FLT_MIN.
0894198693 Changee to use expert_remaining and to use unsigned offsets.
50f3263b24 Qt: Fix stream count in RTP Stream Analysis
6789992208 tools: Remove our old macos-setup.sh patches [skip ci]
c5bb3f71d6 tls-utils: Update TLS 1.3 SignatureScheme list
7a08b32b59 dumpcap man page: fix glitches.
2e010bef49 use libpcap from FindPCAP.cmake instead of SystemPath
8ef4ff2dcb O-RAN FH CUS: csf magnitude correction
0e2c2dff2d Fix crash writing language preference file
6882a71a2e Start creating the interface to support true UI preferences
1878ef9651 NAS 5GS: fix NSAG information dissection
617287c838 AUTHORS: Update my email address
a183da459e Change to expert_remaining and unsigned offsets
c6dc4f8ee6 epan: HPACK Huffman encoding unsigned offset, length
c733916919 epan: Use ensure_contiguous_unsigned in a few places
ffd91b99df Lua: Use memcmp in Tvb::eq
09742b1f4f Qt: Don't compute the scroll minimap while packet list is frozen
8e8c56d900 ORAN FH CUS: Tap compression method + width
518bf26e2d Fix Ixia/Keysight netflow field session-ip-scrambling-key-hash
f3ef7faabd NAS 5GS: fix extended CAG information list dissection
eeec3533b3 ISAKMP: Add support of IKETCP (RFC9329)
a698a95fbc QUIC: Add notification about where stream segments are reassembled
780f7697d0 Release notes: Add an item about the new application icon
4ae9f40806 MaxMindDB: Ensure that the maps are created on init
ca4ea7eab8 SOMEIP/SD: Don't yell at the user
55ec8b3db4 SOME/IP-SD: Fix a buffer overflow
400780d228 tools: Note that you can auto-close issues in the commit message template
bd2de11b33 macOS: Remove some old icon assets
4c46f58628 Windows: Icon updates
970c278777 ORAN FH CUS: When working out SE6+SE11, stop when all PRBs covered
a929d23730 bt-dht: decode version field
562c3c070c QUIC: Update reassembly ID for a new MSP
3c819272a9 HTTP/3: Fix prefixed integer handling
6dd22eacd2 Fix german text in gitignore
3cc9c11a38 tools: Fix CI pre-commit hook and validate-commit syntax error
567415f996 tools: Improve setup-dev script output formatting and UX
49cbd87cff tools: add setup dev hooks and codecheck
8b8d3495cd tools: Add AI usage disclosure and configure commit template
0c2df45162 exported_pdu: Always add column strings
8e063c8533 WSDG: fix a tpyo.
b97a76825f Qt: Add a function to convert e_guid_t to QUuid, and use it
1e164ad4d1 [Automatic update for 2026-01-11]
5a44bc8f26 doc: refactor 'Build Windows' doc
56f2841d5b asn2wrs: Include epan/asn1.h if a non-empty export header is included
301751baed Remove support for converting from really old preferences
abe840b175 dfilter: Improve macro parameter completion
80eea3bfa1 Qt: Require a non-empty first argument for RPC SRT Dialog command line
002b780049 dfilter: Improve error handling / autocompletion for layers
7c9f9e5597 epan: Implement tvb_find_tvb_remaining with unsigned offset, ret bool
67c28e66e8 Lua: Use tvb_strsize_enc in TvbRange:strsize
1e5ef1a1f3 Qt: Update Discord Invite Link
d0b895b55d Coverity: Fully initialize some stat tap ui items
efc0945177 show_exception: Add include
3d58852432 Qt: More small Coverity warnings around null checks
4b48ee36f1 ieee80211: Avoid using a fixed array for multi-link per-STA subelements
62bf190b53 Qt: Improve field autocompletion in DisplayFilterEdit
c64e8a0202 Qt: Pref module NULL deference
c51bafed77 extcap: add search bar to multiselect
f1cbfc8cf0 Qt: Fix leak in ExtArgMultiSelect
3fdc64d2f6 Remove empty ASN.1 dissector headers
12d7b86658 T.38: Add include guards
29ea798fcb CAPWAP: Add support for Image Identifier message element
ba518489a0 Move handoff functions in a few dissectors to the source file
c32147c896 Make preferences more memory scope independent
8f5931d2a3 GitHub Actions: don't get cmake via chocolatey
e633d5d25e GitHub Actions: Don't get asciidoctor and docbook-bundle from chocolatey
28ca5f4407 Download winbisonflex as an external artifact in CMAKE directly
1436ba4038 Update the bundled libpcap headers to 1.10.6
a1e2f99358 CMake: Update NPcap to 1.86
dce95f7fde epan: Use unsigned offset and length for tvb base64 functions
4988cfd31b check_static.py: Look for references from event-dissectors object file
2a730ea009 Fix some spelling errors
a63f9aeac4 Resolve Tracking Area Code (TAC) to name
59eba0ae57 DIAMETER: append information to grouped AVP
27ddff0d63 DIAMETER: remove tree inside grouped AVP
34708ff0ff Sharkd: Bugfix remove forced synchronous DNS resolution
1755de041e epan: Include what you use, but be smart about it
e93ba2c384 ESUN Dissector
e16ec641b4 LoRaWAN: Avoid overflow
07075a551b Replace some uses of tvb_find_uint8 with new functions
3945dd9eea GitLab-CI: ENABLE_ASSERT on Coverity
5123922e04 Use expert_remaining, change to unsigned offsets.
fd3d0d15aa TCP: Regression fix MSP with out-of-order preference
6bbf09e6f2 snort: Move alerts to reassembled frame once
fe085dcc40 debian: libuiqt_plugin0 -> libuiqt-plugin0
806a4d9a33 Look for repeated fetch of 64-bit values
f32773295a Warn about encoding args known not to be supported
4de06fdc12 epan: Add tvb_strsize_enc, use it to speed up get_full_length
5e08c4e721 proto: Add a NULL check
1bd624e321 .mailmap: Update of December 2025
16c2802a90 epan: Use unsigned reported_length for tvb_new_real_data
67b60c7768 802.11: add Vendor specific/AP name in 802.11 beacons for Meter
8175870829 epan: Report bugs for unsupported FT_STRINGZ encodings
b93b5585fa expert_remaining, unsigned offsets, ...ret_uint
6e72b2dd92 LE 32-bit fields: don't separately fetch/add some values
06a915ef8c IDN: Use the 0 array index to avoid a buffer overrun
d7924705b6 btmesh: Quiet Coverity about overflow
32e93df70f dvb-ci: Use tvb_find_uint8_remaining
8ccb34c02c Add wmem_tree_get_data_scope()
a1659aa178 Move pluginifdemo to plugin/ui folder
afb38f0b04 Move plugin_if from epan to uiqt_plugin library
375878fe27 Add support for UI plugins
39fc87a3be Refactor the preference "singleton" architecture
afe646c6ee check_common: wasn't failing on errors
5a640cb017 KAFKA: use proto_tree_add_ret_int() for signed fields
1189352181 sgp32: Show MCC and MNC from rPLMN
21dc8b667f proto: use ws_error for more ENABLE_CHECK_FILTER
40634e4f14 epan: Unsigned lengths and offsets for the TVB BCD string functions
8638423a19 Use expert_remaning and unsigned offsets.
b17485fa33 packet-btsdp: Switch to unsigned offsets and length use expert_remaining.
111bc898c0 packet-smb.c: Duplicated value in TFS string commented out tfs.
275d4af850 GSM A RR: Tell Coverity to ignore if a return is checked
2470abf9a3 S1AP: blind attempt at fixing build failure on Ubuntu Plucky AMD64
f42ae684e3 Use expert_remaning in a few dissectors.
75b4629aab OER dissector: Fixed 'dissect_oer_enumerated' function signature
11ff06d1f3 epan: Use unsigned lengths and offsets with tvb_bytes_to_str
129f588e20 epan: Use an unsigned no_of_bits for the tvb_get_bits* functions
7bfe736161 More tvb_get_ntohl() -> proto_tree_add_item_ret_uint()
31d0448683 Use expert_remaining function in a few more dissectors.
fc4daa72b2 gsm_sim: Add back a removed bitmask
c88d5c1024 Add a check for fetching values twice, part 1
e15e68d130 Use expert_remaining function in a few more dissectors.
2acd871937 epan: tvb_ascii_isprint unsigned offset, length
56314a77c9 wslua: Handle the other string types in add_packet_field
efd778ae58 epan: Remove remaining uses of tvb_get_ptr with length -1
70848a8e14 [Automatic update for 2026-01-04]
ee4fc39ae2 SOCKS: Use tvb_find_line_end instead of tvb_get_ptr
7f3464f915 Remove a stray backslash in the source.
e2b56d82ca sa1p: fix build with ubuntu builder
8af2c0b455 Use expert_remaining function in a few more dissectors.
0d2ffe6a82 GitHub Actions: Don't bother installing Perl
82942e773f wps: Simplify logic to prevent future null pointer dereference
d8a4de3107 macOS: Switch the Stratoshark icons to Tahoe / Liquid Glass
3ce64d0d6d tvbuff: Try to convince Coverity that data is sanitized
79b3037d08 expert: Have coverity ignore allocation of expert modules
7164f07113 expert: Add back check for bytes existing
72e81e4d6b NLM: Request/reply handling
3fa8b2e130 openflow_v6: Use a subset tvb to fix an infinite loop
2988e4b91c H.248: Fix a NULL pointer dereference
7a3fd1ab74 SMB: change TFS back to original
6cb3027daa lwres: Do not claim (unregistered) port 921
6d02488a4c wiretap: Add some comments about seeking
ed21f770f4 macOS: Tahoe / Liquid Glass icon updates
08c019c548 idp dissector: additional packet type and well-known sockets
2be6899941 CMake: Update docbook to archived site URL
dd8a0ad7a7 wiretap: Plug leaks on open failure
00a735ccfc blf: Check for wtap_dump_file_tell failing
ab795cfb5e BLF: Writing must seek
65f766763b BLF: Fix leaks when dumping
8cefba06fd MySQL: binary field flag
69b4ea5ade Create an main status bar specific to Stratoshark
cc297ad8f3 blf: Avoid buffer overrun when dumping
d3e294e7c9 Create an plot dialog specific to Stratoshark
c3820972bb Fix tvb_find_line_end_unquoted
68befebbc4 DCT2000: Use tvb_bytes_to_str instead of snprintf
5bac0e5986 epan: Implement tvb_get_token_len_remaining with unsigned offset, length
430cdda6c2 macOS: Add Tahoe / Liquid Glass icons
056adf306c LLDP: Avoid overflow
0292ba53a4 epan: Implement tvb_find_line_end_unquoted_remaining
2da9407eba BGP: Check for underflow in MCAST NLRI
092ed8517d profinet: Avoid overflow
f5434aa83c tecmp: Remove another unnecessary macro
6086252fde epan: Validate the initial offset
909de88a1f expert use the new ..._expert_remaining functions.
3c15dd48f3 capture: Use pcap_init on Windows if we have it
6fd52d7432 Happy New Year 2026
6aaf907a84 epan: Implement tvb_find_line_end_remaining _length
9cd94e3834 expert use the new ..._expert_remaining functions.
c46a4dde65 wslua_gcrypt: Fix some casts
0d192b2773 gsm_sim: FCP file RFU byte abbrev
bb572c431b Remove codec_get_compiled_version_info
b162c936f8 RTPS: Fix test using OR instead of AND
4f45f945f4 dot11decrypt: Add MLO EAPOL decryption support
a3d33ed5f6 dot11decrypt: Support decrypting MLO packets using TK
d86f779af1 dot11decrypt: Support AKM 18, 24, 25 with different PMK length
73566a1a35 Revert "ieee80211: Add AKM 24 EAPOL decryption(dh group 19, 20, 21)"
a1751472fa Revert "ieee80211: Add an address null check"
df6b8ee872 syslog: Use new tvb_find_uint8 functions
0ac5c9b5f1 expert: Add ...remaining functions highligting to the end of tvb.
1d7fedde62 TECMP: Remove an unnecessary macro
df14d1af50 G729: Fix null pointer check
ff458321d7 epan: Return unsigned from tvb_raw_offset
8ed60b1b1b packet-ipsec.h: Don't include cfile.h
ae2c09d22b KeyboardShortcutsDialog: Use application API to get application name
5de2f362a0 epan: Use unsigned offset and length for tvb_get_raw_stringz
6af7a4214d dumpcap: Use PCAP_ERROR instead of -1
d057c9c887 Create an I/O graph dialog specific to Stratoshark
f8e900605e Create an welcome page specific to Stratoshark
2d027c4a5f mpeg-audio: Advance the offset each find loop
26fe7d7f7c wslua: Use tvb_get_uint8_remaining
c7ac9597b3 IEC104: Adding decoding for missing types, fix bad endianness in BSI
94cfaa4b1e Move VCS version functions to the application layer
7f3f4fa9a7 GitHub Actions: Specify Windows generator
be80a1515d ASN1: Remove no longer needed MSVC pragma
ddcdc75698 IEC104: Adding references to sections in the IEC standard.
d45644e47f IEC104: Adding processing of file services
71cd97a277 IRC: Interpret CTCP commands with a Name Only protocol again
9092059644 epan: Implement tvb_find_uint16_remaining, _length
d968191b09 Add application_extcap_dir()
0b5d1f7855 GitHub Actions: Update Perl version on Windows
e4e6a3087b doxygen: Fix macro expansion for variadic C functions
2badc3bc86 OSC: Avoid tvb_get_ptr with length -1
a7d01b0c46 wsutil: Pull out "application flavor" to its own folder
2f4b0c7ad2 DOF: Avoid tvb_get_ptr with length -1
7937890eb6 mpeg-audio: Use tvb_find_uint8_remaining
047893f7bc wsdg: Clarify all documentation is in doc directory only
e7b01c94d7 [Automatic update for 2025-12-28]
bab1360f1e MEGACO: Use tvb subset for TerminationState and LocalControl descriptors
f42b85fb06 Qt: Have hover highlighting setting correctly initially
a95fc356e5 wiretap: Read procmon hosts entries
8cd11f948c SMB2: Fix vulnerability
c6aa74ae94 Remove epan_supports_packets()
eebd953f0e Create registration and handoff functions for "event" dissectors
87250fc6c0 MEGACO: Use subset tvb and new find API for statisticsDescriptor
58078512f8 epan: Unsigned offsets for tvb_get_string_[time,bytes]
5d3b200a7a thrift: Check for failure in dissect_thrift_t_map
34b08f8347 DCERPC: Use unsigned offsets and lengths
9034533b44 tools: make-dmx-manfid.py fixes [skip ci]
0c965a7396 Have dissectors reduce rather than expand the protocol item length
07a2e4f47c tvbuff: Make tvb_bytes_to_str_punct use unsigned offest and length
9c76dfe734 MEGACO: Use subset tvb and new find API for auditdescriptor
ffd7ecfa4e Bugfix Stratoshark dissector dependencies
4ab0cf33d9 MEGACO: Use a subset tvb and new find API for observedEventsDescriptor
8aec610670 DCT2000: Fix uninitialized variable
1c75b5315e btatt: Enable the detection of ATT transaction timeouts
5f3d8b32a4 btatt: ATT transaction tracking should account for connection handles
7e78050e25 do-irp: Prevent UB
844e862d23 TCP: align flag characters with those used in tcpdump
0f1bafc72e DHCP: More processor architectures
75cdb4826e SMB SMB2: New and fixed access masks
d8de872e7f BGP: Support RFC8654 (extend the max packet length to 65535)
d124e488b4 Make tvb_address_with_resolution_to_str take an unsigned offset.
e4ce183215 NSIS: Automatically generate our profile manifests
7a86844ddc p4rpc: Fixup truncation
a68bc76333 Generate IANA IP Protocol numbers dynamically
c01894cd7b Generate IANA address family numbers dynamically
3c1f18defd Split out the dissectors needed for Stratoshark
422c2ea8e0 epan: Use unsigned offsets for tvb IP address and GUID accessors
ee5abec4c0 MEGACO: Pass a subset tvb to dissect_megaco_eventsdescriptors
5f0f35ade6 GitLab CI: Reduce timeout, increase retries on MacOS Build
5f0940fa17 KNXIP: Small leaks
5718648b80 addr_resolve: Make the tvb_get_ functions use unsigned offset
4a8d0611c8 Create "file error codes" for use in wsutil
e13c0ece60 iseries: Free a buffer in the case of bad lines
8489dc2308 RTPS: Move prefix constant string inside static function
9b8fd140ee V5UA: Use proto_tree_add_item_ret_uint
ddadaab00b blf: Remove unnecessary NULL check
3eef1854eb LBM/29West: Don't include netinet/in.h or winsock2 just for IN_MULTICAST
e1ba23704e Epan: fix offset and length of CBOR bitmask fields
bca0bf0926 tvb_captured_length_remaining return unsigned offset.
3f62f64e49 BPv7: Add bundle and block statistics window
1bc5d92765 epan: Use an unsigned offset with tvb_get_bits_array
65d36007b2 wsutil: Get rid of HAVE_ checks in socket.h
40c2c3bcda idl2wrs: Fix a check for a single bit set in a bitmap
21a0bc362b Another header include what you use
2854f2624e check_typed_item_calls.py: add a missing arg
bc9e889a6f tvbuff_zlib: Fix build when ptrdiff_t is same rank as unsigned (32-bit)
2edee2bed5 epan: Use unsigned offset and lengths in tvb_skip_wsp, _uint8
59aee0d4ba BGP: Fix false positive in add-path detection
f593d840de epan: Add some missing header includes
459a7cd827 libwsutil: Deal with platforms where ferror is a macro
ebddf618ba UET: Retrieve the flags and use them
3d25764f4d profinet: Don't return -1 as failure when callers don't expect it
82681a2304 GitLab CI: Fix our macOS third party download cache
d62ebd14bf epan: Use unsigned offsets for the tvb_get_ accessors
f6559650af OPCUA: Check libgcrypt error return values
b070d4dd24 Use the new tvb_find_uint8_ calls in a few dissectors
ead9560bf7 P4RPC: Prevent partial UTF-8 char at end of "var=val" field:
7996926bdb mate: Check return value of g_hash_table_lookup_extended
33810d77a3 erf: Suppress Coverity false positive
5a70faae69 ORAN FH CUS: Fix some beamforming details
6a38202fd6 ICMPv6: handle field overloading by MRD
3ecf308a2d wiretap: Check for file_seek failing
d1d0bd0989 H265: Use value_string_ext for message summary type
86515eedf6 wiretap: wtap_dump_close unnecessary NULL check after dereference
d4e2f19666 wiretap: Free newly allocated wtap_dumper if fix_idb fails
86e6a478b0 dfilter: Convert FT_SCALAR to FT_UINT64 for non Number types
cf663666ed epan: tvb_ws_mempbrk implementation with unsigned and returning bool
539d26d554 megaco: Fix Dead Store found by Clang Analyzer
6b2b2c6410 MEGACO: Pass a tvb subset into dissect_megaco_descriptors
cc07a340d9 ORAN FH CUS: Add measType 7,8 for ST10
d451ef8d6c NTLMSSP: Domain and Workstation in Negotiate are never Unicode
1a381d8415 QT: Document SCTP Graph Dialog using 2 FAMs in one struct in C++
a3ef1f8ac3 tvbuff: Use unigned offset and length in tvb uncompress functions.
684f6ab9e6 dhcpv6: allow RFC9686 message types to use Client FQDN
827fc3cf95 DCOM: More while loops post-decrementing the test
1c3a2b49c3 epan: Implement tvb_find_uint8_remaining returning a bool
0d1dafa01d epan: Don't overflow LZNT1 decompression at output offset 0
889847df43 DCERPC-MAPI: Set start_offset to offset after aligning offset
e9816a12ad S1AP: Fix error handling and setting offset with TRY..CATCH
34a022afe8 H.265: Fix unintentional integer truncation
d7ed53c98d tools: Make sure some Python scripts are executable
623efc0d50 nl80211: Add support for more nested attributes
dd9add8a20 [Automatic update for 2025-12-21]
b66c028457 rawshark: Fix rlim_t handling on Big Endian platforms
9ff63cab38 plugins: Don't unload plugins when using Valgrind
e342a99154 req_resp_hdrs: Pass the desegment condition into tvb_find_line_end
e82fbfce46 PCNFSD: Improve deobfuscation of identity and password
eea3a3b04d RTPS: Fix memory safety by using a subset tvb
4a9c45712f NATS: Use UInt64 as data type for max_msgs field
7e9a8cda88 Qt: Check the results of dynamic_cast
69d54a8916 MRD: Check the address type
5d53c06be1 Diameter: Flag and return on bad too short lengths
74f51240d0 Qt: Fix QCustomPlot adaptive sampling in one more place
fa620502fe epan: Use unsigned offsets and lengths for tvb new_subset functions
347e4d5514 ORAN Tap: Was reading from wrong tap struct member.
ed35402b14 linx: Use add_item_ret_length instead of an extra tvb_strnlen
38ebed33a8 gsm_sim: Add Terminal Capability
4d61588a70 P4RPC: Remove some plugin variables
337cc022b4 Fix more script warnings
e56b4629bf Geneve: add Option per-vendor dissector
d28ec297cb NATS: Further dissect header fields
ca19e392b1 UDP: fix conversations for RTP/T38
07995c0068 epan: Use unsigned offsets for more tvb functions
6afc882ac4 ORAN: Show how many symbols appear to have taken too long
f74786b51b asn2wrs: Generate unsigned offset
7797566b95 epan: Use unsigned offsets and lengths for tvb_strsize, tvb_get_stringz_enc
66b8002f42 SABP: Get rid of some code that doesn't do anything
ed58c72a76 MRD: Support RFC 4286 standard
4754338ce8 SCSI: More header includes
08460d2032 TPNCP: Add preference for tpncp.dat path
961d9db235 dissectors: add Ultra Ethernet Transport
f1054327b3 P4RPC: First public release
ebdbb3832c epan: Switch back to a DISSECTOR_ASSERT from ws_assert in octet_aligned
ab838a0ec5 rdp: Free an allocated buffer when returning NULL on failure
6f030318ef Fix some Include What You Use issues in public headers
510c20d867 gsm_sim: Add FCP template
8f19fe2280 ISAKMP: Add dissection of Forticlient_connect payload
2dd01c285d isakmp: Add FORTICLIENT_CONNECT (61696) notify message
4761fcd145 Various dissectors: FT_STRINGZ fixes
f2deda4921 Falco events: Add back a const qualifier
10a0686012 Fix some warnings flagged by checking scripts
b0252bfe6f HTTP URL Encoded: Keys and values are not FT_STRINGZ
04af95bf9f btl2cap: Add BR/EDR SM channel to the list of fixed CIDs.
975b768547 RTCP: Minor fix for MCPC PCK_I_MESSAGE field
03f4bb9a1b ISAKMP: Add INTERNAL_DNS_DOMAIN (25) Config Attribute dissection
a59549ded2 ISAKMP: Add Fortinet Auto Negotiate (21514) and Keep Alive (21515) Config Attribute
e1f2716437 epan: Use unsigned offsets and lengths to tvb_get_string_enc
bfcb1cc77a GSM A common: Suppress Coverity false positives
6aa84a775c epan: Another attempt to quiet Coverity about mark_truncated
8e936f8c17 BTMesh: Attempt to quiet Coverity
bf2fcf504e Correct some incorrect uses of proto_tree_add_* functions
717baa224a GitLab CI: Fix disabling plugins
14e22e6ae4 ciscodump: Initialize bytes_written
462b93e9cd epan: Use size_t for lengths in get_*_string charset functions
204f4c7c67 megaco: Handle a find failure case
b5b7bd0cd1 Gadu-Gadu: Prevent minor case of overflow
5a346d94a9 tpm20: fix CC_NVRead parseing missing authHandle
ae0607d7d7 Bitcoin: Use tvb_reported_length_remaining
7c9469e853 epan: Initialize proto_registrar stats to 0
26b5856d95 KNX/IP Decrypt: Check for failure
78643a26b4 IXIA Trailer: Add LEARNED field for 3rd Party Timestamp
e5a796d98b Const-ify a few more things.
e30f32ab68 isakmp: Add Fortinet DNS Suffix Config Attribute
daff23f988 epan: Use unsigned offsets and lengths for tvb_format_text* functions
512370d3c4 NMEA2000: Mostly spelling fixes
65f7e259c5 isakmp: update config attribute to last iana update (2025-12-03)
5408012dcc capture: Fix some unnecessary casting away of const
fc0bae164f editcap: Fix some unnecessary const casts
9ea89767d5 wsutil+macOS: Add is_plugin_filename and disable some plugins
eb0d6b4fe4 opensafety: Avoid some technically UB signed overflow
9a07a60398 SPOOLSS: overflow
523c6ff848 Fix a typo in the diagnostic controls to turn back on cast-qual
40a2f82d76 RTSP: Fix Dead Store found by Clang Analyzer
1bf480b17c epan: Use unsigned offsets for tvb_strn[case]eql, tvb_memeql
dca6445183 test capture_from_stdin: fix checking whether is_gui
9197fc1dba epan: Remove an obsolete comment
89e5f7cc2a epan: Add static ensure_contiguous_unsigned functions
276e8c3f17 Qt: Initialize some members
222625bf9c netscaler: Fix absolute time when saving v2.0-v2.2, at least when not seeking
4359795323 KNXIP_DECRYPT: Use %d where values will be promoted to integer types
21555cf910 epan: Const-ify some non-dissector sources.
0c2e05ba3e nmea: Fix Dead Store found by Clang Analyzer
94846a8392 Checking scripts: Use Result type for futures in all scripts now
b533f746a1 epan: Use unsigned offset and length for tvb_memcpy, tvb_memdup
076b699474 asterix: Const-ify and fix an UB.
b920c3bb99 Lua: update globals and test for 5.0 release
2fe7773374 Declare NATS protocol header as public
9b8e1dc397 KNX/IP: Add files to .editorconfig
4301c6c8bc KNX/IP: Log gcrypt failures
7b35446114 ttl: Fix leaks
228c1c74e8 lua: Check if lua_get_metatable fails
7b7d22adcb epan: Check if zlib inflateInit2 fails in one additional case
8de18f5ae9 epan: Use ws_abort_if_fail to satisfy static analysis in mark_truncated
277e688512 CMake+tools: Update our dissector lists comment
e962ee1ef3 WSUG: minor typo on the Protocol Hierarchy section
b01025e3a0 peak-trc: Fix some leaks
b0419d62f3 pcapng-darwin-custom: Free error string if ignoring an error
7dda04a1eb Qt: Help Coverity static analysis in wireless timeline
8ae3bd4164 procmon: Fix another leak
e685351387 nettl: Don't create the private data until the file is accepted
d801ac3b78 netscreen: Fix return value of parse_netscreen_packet in one case
5c7efdfa6f Qt: Check if a dynamic_cast fails in WlanStatisticsDialog
5e17a6560d Qt: Don't pass -1 as a length to tvb_get_ptr to copy a single field
73e2a03068 SMB: Fix parsing SMB1 non-UNICODE fixed length strings
c0c09164fd SMB: Fix dissecting SMB1 UTIME
dc64f7d0fe SMB: Dissect SMB1 NT IOCTL Setup response
8d2d4fee61 SMB: Show NTLMSSP empty username as anonymous
4f0ff1d164 SMB: Primary Domain in SMB1 Lanman Negotiate is always in ASCII
764cc06fdd SMB: Fix dissecting of Negotiate cryptkey from LAN Manager 1.x and 2.0 dialects
461ca45eb6 SMB: Add comments about CorePlus dialect into dissect_negprot_response()
7078877233 SMB: Recognize SMB1 DOS error code 52 (0x34)
6481ed0e90 SMB: Fix displaying SMB1 non-NT status codes
09aca3e4c8 SMB: File name in SMB1 SMB_FILE_NAME_INFO response is always in UNICODE
3308abefa5 SMB: File name in SMB1 SMB_FILE_ALL_INFO response is always in UNICODE
18cea9e96e SMB: Update comment about REPARSE_TAG_AF_UNIX
1961e1ce75 SMB: Fix SMB2 SESSION SETUP REQUEST NTLM workstation domain/name decoding
10e8f81ba8 SMB: Dissect all NT/SMB/Windows access mask bits
f7ff05a76a SMB: Move non-generic NT/SMB/Windows access masks out of the generic subtree
44a8ec7d15 SMB: Fix description of NT/SMB/Windows Specific access mask constants
701d0e64b7 Fix NT/SMB Security Descriptor control bit description
dce3ffc7e1 SMB: Dissect NT/SMB/Windows access mask constant 0x01000000
565d237a45 SMB: Remove NT/SMB/Windows access mask constant 0x00800000
c8e8693f81 SMB: Update description of SMB access mask bits
0d85cbc9c5 [Automatic update for 2025-12-14]
58f20b73e1 NATS: Add tree item for each operation
ae5a371610 debian: Check if including all public headers together compiles
84c9e9c43c GitLab-CI: Increase macOS aqtinstall timeout from default 5 s
b8a4ea32b6 epan: Allow 0 length in tvb_new_octet_aligned
0ad98e5dd7 RTPS: Use tvb_memdup
c9d6a95ffd x509af: Add a note about the const cast of tvb_get_ptr
f152657a59 WiMax: Make some variables const
625a6767ff tls-utils: Fix signature of ssl_md_update static function
24ee8f3937 NATS: Add missing operations +OK and -ERR
5e3e90d6b8 doc: Remove reference to moved file
771e3bdb50 asterix: Sync with asterix-specs 788dc3d773.
80d9abf291 Doc + Test: Don't use tvb_memdup with length -1
27dd1552af NATS: Write individual operation names into INFO column
f90238c7e6 SNMP: Remove uses of length -1 to tvb_memdup
026a79dd05 epan: Remove an obsolete comment
c462f1f4d2 infiniband/smbdirect: fix dissecting the first smbdirect negotiate request
65ef5167fd Fix some minor leaks
36a19a1be7 Qt: Use QAudioSink::reset in RtpAudioStream
97271e5b21 CMake: Update c-ares to 1.34.6
c6372f5f3b check_typed_item_calls: Use futures for parallel speedup
b5b868d6b6 CMake+tools: Automatically generate some of our dissector lists
7932299103 Fix some incorrect uses of -1 as offset
dfce6e922f epan: Use unsigned offsets with tvb_*_length_remaining
5a32fcc08f LBMR: Don't use negative offsets
b763ad39ca WiMAX ASNCP: Use tvb_new_subset_length
f72aff43db SOME/IP: struct/union/array Filters
de0949e22a stratoshark: Inherit patch, build version and version extension from the project
2b4973c890 epan: Add a user name column and pinfo field
7987033d4f infiniband: remember dissector from dissector_try_heuristic() when reassembling
5b1e2e74fb Process Monitor: Add a configuration profile
382411b517 wiretap: Fix Process Monitor event timestamps
ad2356fdaf Process Monitor: Fix IPv4 address endianness
f373e628b5 ieee80211: Look for Mesh Control field in the proper place in a A-MSDU
3cd4d3a44b SRP: Use common checksum function
2442009483 tools: Add system() to the prohibited list
724ddca84b GitLab CI: Cache third party downloads on macOS
9420063c7e CMake: Allow users to override _FORTIFY_SOURCE without them undefining
c9b72e32c9 epan: Use unsigned offsets with tvb_bytes_exist and _offset_exists
153cf8519a tools/check_val_to_str.py: use concurrent.futures
79c44dee47 acn: remove pdu_len for some function and fix Clang Analyzer
289a1ca0b2 eCPRI: Show eCPRIPayload (size) in root header
571b7ed710 NATS: Use the JSON dissector to parse the options found in INFO/CONNECT
2b273203a1 ieee80211: Fix Dead Store (increment) found by Clang Analyzer
03dd9625ba IPSec: Fix null heuristic check for bytes existing
da79253487 CMake: make PKCS support explicit
1a70eb70db CBOR: Prevent undefined behavior
cd6424fb52 ITS: Remove unused OMIT_ASSIGNMENT
f9dcc65517 IUA: Prevent undefined behavior
78dcda23d8 mate: Try to prevent a bogus gcc format-truncation warning
f13530eee8 TPNCP: Support placing tpncp.dat in plugins directory
c4fc86e8e1 Qt: Display all the MEGACO and MGCP Response Time Delay timestats
70ffff4647 asterix dissector updated (new feature, refactor)
d26c21eefe Lua: DissectorTable_try don't call data dissector
52b717bd76 epan: Use unsigned offsets with tvb_ensure_bytes_exist
464dfdf13e MsgPack: add missing information in Protocol and Info columns
87467700d2 p1: Fix asn2wrs warning
f88643a329 Speed up tools/check_tfs.py using concurrent.futures
2661c54ab2 asn2wrs: Don't warn about identical duplicate directives in quiet mode
58a676884f PKIX1Explicit: Remove unnecessary define workaround
3f27fb7720 Fix a few typos.
422446852b VoIP Calls: Check whether Q.931 calls are complete
88b66b69a6 PTP/NTP: Add support for NTP over PTP
c697958054 GitLab CI: Regenerate the CORBA IDL dissectors
19c5f4c40b ASN.1 Dissectors: Add missing EXPORT_DEPENDS
2aac4b49a7 CORBA IDL: Use a tree stack instead of randomly named subtrees
437320af8a Qt: Check to see if the aggregation preference exists
a7fc2ab5ef SPNEGO: Return failure on failure in ARCFour functions
c6e913a685 test: Fix using wrong fixture
dc489f15cb epan: Add get_data_source_name()
f417ee50ea RoMON: Initial dissection
70533d0cf0 proto: Fix proto_registrar_dump_fieldcount() to skip index 0
6f06ac5fce wslua: Always check the return value of lua_next
c9ff4881ff epan: Replace a print statement with ws_error()
9ea1c1c993 UMTS RLC: Make Coverity happy about initializing members
7ce96f017a observer: Fix saving files
2b1818c157 PROCMON: Make a function static
a2b445be47 ieee80211: Add dissector for WFA Capabilities subtype
55d3f9abba MIDI: Adjust naming to reflect that SysEx is MIDI.
8f2a04f9fb commandline: Create structure to handle option differences between Wireshark and Stratoshark
c2d1730797 Fix a few minor Y2K38 printf warnings with time_t
5a12334f54 NMF: Move some dead (TODO) code under the #if 0 guard
8fca341d3b prefs: Fix constness of string return value
7772f7bca8 Relocate, Update and add more references to ESTA manufacturer IDs
6dfe529a78 tools: Remove the datestamp from generate-bacnet-vendors.py
f39c8d49df RTPS: Make some fixed suffix and prefix strings const char * const
dd54d10ff7 GIOP: Fix evaluation order violation
7738509dbf NMEA2000: Basic nmea2000 dissector.
68bdc877e0 HTTP3: Fix quarter stream too big calculation
c397512d21 PTP: Remove if(tree) fences
eb7ca7c27d [Automatic update for 2025-12-07]
4c239abd94 ./tools/check_col_apis.py: speed up using concurrent.futures
06d240dcf1 CMake: Add target to rebuild corba IDL dissectors
1918de0629 MIDI: Move packet-sysex.c to packet-midi.c.
9cb1d48645 LTE RRC: Fix dissection of NR RRC ReportList
896977bbc3 Qt: Initialize RtpPlayerDialog members
e5395e9168 Qt: Initialize OverlayScrollBar row_height_ member
3aaad804ab WiMAX: Fix a variable set but never used
8336d0be40 nettrace 3gpp 32 423: initialize start time
ae33a73588 802.11: Avoid overflow on unknown PV if FCS is reported on short frame
78cf5630e3 nettrace_3gpp_32_423: Fix use of proxy src port
438828f856 CORBA IDL dissectors: Fix ambiguous function argument evaluation order
fa481f8428 procmon: Fix a couple of memory leaks
a3907dc3f7 RADIUS: Increment include depth before testing value
5e6999a5c2 SMPP: fix for #20891
50c7eb3854 tools/check_static.py: Speedup using concurrent.futures
9c615edd85 X11: Make sure we don't overflow when stepping to the next message
233f654782 jtckdint: Workaround C _Generic lvalue conversion
64f0d58283 Replace all uses of proto_tree_add_text_internal in dissectors
3cf60aa8f1 Thrift: Enforce varint maximum length
0d280980c3 Add WS_DLL_PUBLIC to several APIs used by dissectors
48693e6820 Move knowledge of registering protocols to the application layer
b559aae83f Qt: Move Keybord shortcuts to View->Internals and add print
30bc529ecf Homeplug AV: Add to COL_INFO even with a non-NULL tree
ff39300ead dcom: Refactor post-decrementing while loops
f3c572adda NMEA0183: FT_BYTES -> FT_STRING
4c5831ccc6 asn2wrs.py: tweak relpath for Windows
31ec4e2945 QUIC: Fix some trivial issues
23e295f165 procmon: Parse and dissect process information and use event offsets
b90e7b7953 QUIC: Fix a use of a negative offset with tvb_bytes_exist
cc44c2cae4 epan: Use unsigned offsets in tvb_ensure_*_length_remaining
1741e96cbf rdp_dr: check that the ioReq is exists
6238b1d72c rdp_drdynvc: add support for compressed payloads
444e24f711 CBOR: Prevent signed overflow UB
135598f38b doc: Stress that call tvb_reported_length_remaining avoids overflow
34c9c6c530 XTP: Check reported length remaining when we use it
1c6c088b6b SMPP: request/response tracking
ee19790b1c Acknowledge jtckdint
90561437a9 packet-ip.c: Replace snprintf calls
e4d19b09c9 alp: Coverity does not like post-decrement in while loops
90190ae28a ieee80211: Add dissector for DMS Request and Response element
f288fb6487 wifi-dpp: Retrieve reported length remaining when we use it
3aba6cdb46 Enforce -Wpointer-sign, and thus -Wall -Wextra, everywhere
29fb90dacc tools/check_spelling.py: speed up using ProcessPoolExecutor
fb36fc1649 mergecap: Option to inhibit adding capture comment
e2d7324f20 MMS: Dissect ASN.1 REAL
6bd028c66e mms: remove trailing whitespace from ASN.1 file.
37bafb47e6 ASN.1 BER dissector: dissect_ber_integer pointer-sign warnings
873cb46eac Hide various protocol registration declarations
131338e14d Add more expert_info checks to script
ab257c7654 pkcs12: Put a maximum limit on hash iterations willing to perform
649c4153a8 funnel: Whitespace cleanup
ac7e1e82e4 funnel: Avoid callback_data double-free
fbb1ceb9b7 gsm_sim: STORE DATA command reassembly
ae4532d489 Add extern "C" for C++ compatibility
3235b7a0fc uat: Fix types involved with uat_esc and uat_unesc
501706c2ce asn2wrs: Rename option for no constraints check
01e4563f56 x509af: Use unique key for proto_data
01b7dd8b38 .mailmap: Update of November (2025)
284739d103 J1939: Add a value string for NMEA2000 PGN:s
14e7dba300 ASN.1 BER dissectors: VAL_PTR pointer-sign on constrained integers
b6d2f47855 bacnet: Update vendor value string to a separate file
ddb072f841 BER: Export the constrained functions
9430254f93 ASN.1 PER dissectors: VAL_PTR pointer-sign issues on integers
e95527ac21 RRC: Fix pointer-sign issue on ENUMERATED types
516ba22c34 BLF: Validate length of uncompressed segments.
ed4cf50091 PER: Fix CHOICE VAL_PTR pointer-sign warnings, document
64f3756956 NMEA0183: Dissect binary messages.
992edd99f4 NATS: Failed to build after commit 50c1fb9
17d660e7cb BER: Fix and document dissect_ber_choice VAL_PTR usage
242bfa02a0 check_typed_item_calls.py: Consider duplicate expert info display filters as errors
7323417195 Fix non VAL_ITEM related pointer-sign warnings on ASN.1 dissectors
999cba3a4d Enforce pointer-sign warnings on non-ASN.1 dissectors
bda4fb3415  Fix duplicated expert item filter names.
397726d5d2 packet-gtp.c: Fix duplicated expert item name.
a62404fed3 SMTP: Make sure the line is long enough for a BDAT chunk size
aba1fbe626 MEGACO: Handle tvb_get_uint8 returning -1
9931660e63 TPKT: Call it continuation if the length is bogus
8751b49537 Create an Capture File Properties dialog specific to Stratoshark
d92da5c5bc RTSP: Use tvb_ API functions
dc1ce9820b Another batch of -Wpointer-sign fixes
d1b2c8de41 EAP: Warn on missing fragments, handle fragmented TEAP
deefa49dac Another batch of -Wpointer-sign fixes
9609911b00 [Automatic update for 2025-11-30]
2611438848 Qt: Move internal uat and pref headers includes out of headers
12d16c97a5 Another batch of -Wpointer-sign fixes
b2c44528a2 Another batch of -Wpointer-sign fixes
d69f6c2559 Another batch of -Wpointer-sign fixes
7316fb3744 Another batch of -Wpointer-sign fixes
5d8f3e184d Another batch of -Wpointer-sign fixes
6824dcff90 Another batch of -Wpointer-sign warnings
1040c3f606 More -Wpointer-sign fixes
af32e9dec0 Another batch of -Wpointer-sign fixes
dbb98ffbe7 peektagged: make peektagged_skip_cpid() a general block skipper.
48553fd009 ssh: Use uint8_t consistently
7adcdbef01 Next batch of -Wpointer-sign fixes
378d63b477 OTP: Make some functions and variables static
cb83cc2804 Next batch of -Wpointer-sign fixes
7adf026f2d Next batch of -Wpointer-sign fixes
2f61eeb151 CMake: Fix which dissectors are ASN.1 dissectors
c97ad08787 ieee802154: Use uint8_t* for byte arrays
51b71fb79a MC-MNF: Use tvb_get_varint
b8ac867e0f Steam-IHS: Use tvb_get_varint
6544131b29 ZigBee: Use uint8_t* for byte arrays
3e069b1e50 Next batch of -Wpointer-sign fixes
9992190ee4 packet-nmea0183: Handle multiple tags and messages.
46b5f2c323 Latest batch of -Wpointer-sign fixes
428ef7c654 Get rid of some unintended extra comment lines.
1f855f6061 Work around a Lua 5.4.5 API botch.
9444b32091 Latest batch of -Wpointer-sign fixes
01a25bb2ef Another batch of -Wpointer-sign fixes
a4726af249 ArtNet: split out ett_ values
631a52be58 Next batch of -Wpointer-sign fixes
7a826592c2 wiretap: Fix a bounds check in the BER file reader
0772b92eee GNSS: dissect Galileo OSNMA MACK messages
9e58cbc219 Next batch of -Wpointer-sign fixes
80f41691cf Fix some spelling errors
c31188322b Another batch of -Wpointer-sign fixes
7617234487 Zigbee ZCL: Support Generic Tunnel cluster
69c2b9ed20 Zigbee ZCL: fix ZCL cluster ID in comments
3bcafd3dcf bvlc: Use tvb_bytes_to_str
1bd890ee5d Another patch of -Wpointer-sign cleanups
b2e536b90d GitLab CI: Fix our Falco plugin path
2d96e52c1b test: Fix the Lua Unicode feature check
6e23cf6c7f isakmp: Add dissection of Unity SACE_PASSWD and SPLIT_EXCLUDE
5f66e25011 CMake: Update Falco libs to 0.22.2 and plugins to 2025-11-24
42c873fce8 NMEA0183: Fix a copy/pasted filter
1faa5f7bec packet-nmea0183: Handle udp broadcast messages.
04bdcd0edc Revert "GitLab CI: Print the tshark version at the end of the Windows package jobs"
aaeaec28a3 Revert "wsutil: Call SHGetKnownFolderPath on Windows"
6959b17efd Another batch of -Wpointer-sign fixes
8196050224 ORAN tap: show eAxC broken down into 4x4 bit subfields
da07d00b31 Fix -Wpointer-sign on WIN32 code
d3aa0a5f32 Next batch of -Wpointer-sign fixes
3b53682d07 Next batch of -Wpointer-sign fixes
e8e5f6788b More one line fixes of -Wpointer-sign
1c7f45b0ed per: Fix and use BLEN macro to calculate item len
2b1d351e6e RTCP: Add MCPC support
433e235add OTP: add dissector
aae324482b More simple pointer sign warning fixes
3d5274114d bmp: fix not fully parsed tlv expert info + fix offset for bgp pdu and vrf tlv
4ce7e17344 Riemann: Use built in varint functions
06a89d9324 Fix some simple dissector pointer sign warnings
daddf5976b GitLab CI: Print the tshark version at the end of the Windows package jobs
e0610a5cb6 packet-cosem: use expert info instead of asserting
ab9bf021ca Add info abut protocols for AIM and alljoyn
f6c9e11b9d wiretap: Put Ixia VeriWave and CAM Inspector at the end
a5f7da3290 epan: Document mark_frame_as_depended_upon a little more
77b2487dc0 WSDG: restore missing Proto functions
deedb8c5ac dect_nr: Improve SNR rollover detection
e0bc370a7c more tvb subset_length_caplen conversion
12e209e8f2 ICMPv6: Add support for ND option DNR
1d4aa8a518 ZigbeeTL: Fixed dissect_zcl_touchlink_device_info_response().
76d1c77787 asterix: enum pref variable signedness
80c960297c peektagged: Handle (skip over) "cpid" sections
5bc5f1f0dd Dissabled protocols: Don't use separate lists for global and personal.
43428237e6 wsutil: Fix build on MSYS2 (or any Windows with -Wpointer-sign)
0fbb44b17d nflog: fixes accordingly to MR !22230
cc8f012c0e ORAN FH CUS: Add part of timing header info to reassembly key
dee5042f7c Clearly distinguish I/O graph and plot graph value_strings
23f91d6da3 snort: Get signed or unsigned rule parameter as appropriate
43e9cbe437 rdp_egfx: add diagnostic PDU id
e7f5a8cc5d rdp_cliprdr: dissect more format packets
dc4c2f039a rdp_egfx: correct offsets for frame acks
ae2532c03a rdpudp: various fixes
cd7f30326e rdp_ecam: initial implementation of the MS-RDPECAM RDP channel
4cf930a8f5 rdp_dr: add parsing for smartcard and printers commands
e407693c77 rdp: add parsing of AAD flag
1487880f6b rdp: add initial dissecting for the conctrl channel
4d6ee2a8e5 rdp: implement reassembly of channel messages
415f501ea0 rdp_dr: parse capability packets
0344cd7ddd rdp_egfx: parse capability payload
749da463e7 rdp: parse more bitfields in clientInfo and capabilities
fa84a6eb2a rdp_rail: parse windowId in new undocumented RAIL commands
aa4c33b2f2 rdp_egfx: parse more fields and treat some "modified but unused" warnings
f8045cf1e5 file-rtpdump: Just add the timeval with the encoding
f278b3dc19 rtpdump: treat the magic number as just an array of octets.
60a251f423 CMake: packet-log3gpp is not ASN.1 source
3f79e190ed asn1: no need to convert between uint8_t * and char *.
1148184267 isobus: fix year field decoding in the Time/Date PGN
04f0630221 kerberos: Fix adding PA-SPAKE choice
c546021042 cosem: remove post-decrementing of the count in while loops.
56ceae2f82 wsutil: Add short version of units for format_size_wmem
04b4f7df2f NTLMSSP: Check gcrypt returns a bit more
5f74c6c38d iLBC codec: Fix -Wpointer-sign
e97cd5c048 wsutil: More -Wsign-conversion issues
08cfbf206a [Automatic update for 2025-11-23]
84ea02bd22 CMake: Only disable pointer sign conversion warnings on dissectors
04df93d257 Change str_to_eth() to take a pointer to an array of 6 uint8_t's.
2d73f270f1 Fix -Wpointer-sign warnings for non-dissector source
28857c60c3 wsgcrypt: Check error return
d8d038f0df ORAN FH CUS: Implement radio transport layer fragmentation
f4897f5775 wsutil: Fix some more sign conversion issues
daae9bc116 LIN: Fix subdissector not being called
bfbccddf04 wsgcrypt: Fix leak
a8a9f3acfe ReLOAD: Fix signed overflow UB
7fcf50d425 Cosem: Prevent signed overflow UB
70a4094ae4 fc00/cjdns: Remove variant Base32 algorithm, do not decode key
ef14c927bb prefs: Fix -Wpointer-sign warnings
665698ca00 nl80211: Add NL80211_ATTR_MLO_LINKS dissection
a3364e2afd wsutil: Fix a few sign conversion issues
c2cdcb486a Revert "CMake: Move the Npcap and USBPcap downloads to FetchArtifacts"
399c995616 GitLab CI: Enable release tests in the Windows package jobs
e1e4736ef5 TPKT: Don't use tvb_new_subset_length_caplen
e1808793fc SMB: Don't confuse the compiler/optimzer marking used parameters unused
c0d935d028 CMake: Find winsparkle only for Wireshark/Stratoshark on Windows
cae1035912 nl80211: Update nl80211 consts to latest
7a2cc73a41 Update nl80211 generation tool with latest enums
74d9da4eda Update nl80211 generation tool source URL
168e7f97dc tipc: Use reported length as reported length, check for negative
9ceeeb1179 dect_nr: Association Request - Current Cluster Channel
d7119779be WiX: Fix our directory layout XML and add a component group for gcrypt
6f53db25aa CMake: Update GnuTLS to 3.8.11
4933c787e0 Yahoo messenger: Dissable dissector by default.
6f90eab735 ORAN FH CUS: Make a function static
6be5edcd13 packet-dplay.c: Dissable heuristic by default.
0a44842fdf CMake: Move the Npcap and USBPcap downloads to FetchArtifacts
c7e51e0ba6 packet-cigi.c: Dissable heuristic by default.
0d753efd10 packet-clique_rm.c: Dissable heuristic by default.
cecaf11808 MS/TP: Remove tvb_new_subset_length_caplen
0e17fcb534 packet-e100.c: Dissable heuristics by default.
aa77350783 packet-caneth.c: Dissable heuristics by default.
0bb67fed19 packet-applemidi.c: Dissable heuristic by default.
40c46d0138 Bittorent: Dissabel heuristics by default.
cc6425cfaf packet-asphodel.c: Change heuristic to default off.
5f688dd323 NTLM SSP: Add NTLMSSP_NEGOTIATE_LOCAL_CALL
17359aaa99 MS/TP: Use common CRC16-CCITT function
5a0d83597d paket-ar-drone: Dissabe heuristics by default, cleanup hf,ett and ei
7d57742347 packet-t38.c: Dissable heuristic by default.
53f456891b NSIS+WiX: Create a dummy gcrypt configuration directory
1aac27ec58 Move funnel ops outside of being a tap
4fa36721d2 IPSec TCP: Remove length_caplen
7fa07fdabe MS/TP: Make alignment consistent
913bbcaa2a ORAN FH CUS: ST9 - show correct PRB entry against SINR values
bae104a855 RTP: tvb_new_subset_length_caplen -> tvb_new_subset_length
f0cf102d2d isakmp: Add VID Fortinet Forticlient EAP Extension
23b3ed51f5 isakmp: Add missing ) for Fortinet network ID
f35ed53230 DHCPv4: Add support for option 162 Discovery of Network DNS resolvers
ad6212b4a4 V5DL: Get rid of tvb_new_subset_length_caplen
0205ad6800 Transifex: Set our resource names in the config file
8a67299479 ORAN FH CUS: Check that reserved fields are 0
4f4ccae253 ATM PW: Convert tvb_new_subset_length_caplen
d9a3d2eeef DOCSIS: Get rid of length_caplen, use maybefcs Eth dissector
d64cfbfaaf More conversions of tvb_new_subset_length_caplen
6e666aeea5 CMake: Enable (stop disabling) format-truncation warnings
213e1c3124 DOSCIS: Update URLs
cf3ce2637d Fixes for -Wformat-truncation warnings
fe1e49d840 KDSP: Dissect timeval as time
7bee4cdaec KDSP: Prevent some bogus expert info warnings
1731e9fc62 docs: Update README.dissector for ENC_TIME_SECS_USECS
d3ca17f7b9 x509af: Add an expert info for cert validity
963c78c8c2 Fix some spelling errors
80be9e427c epan: Make some protocol names easier to grep
6f9badd1db tools/check_common.py: avoid returning binary files after querying git
d17b7f6876 Convert funnel ops to use GSList
9b6024f505 btl2pcap: tvb_new_subset_length_caplen -> tvb_new_subset_length
50c1fb9393 NATS: Add Dissector
bc263238d5 Funnel ops are not taps for CLI applications
3c6942323f Register tap listeners after wslua is initialized
ea72454418 UMTS FP: fix routine name typo.
7f855f3dc1 ELF: Handle fuzzed data better, avoid undefined behavior
2f65aac84f epan: Remove unused struct member from tvb_composite
27b485b2f8 make-enterprises.py: Remove extra quotes in enterprise names
a9b38c3d8d PSN: add dissector
77d5df2478 HTTP3: Put a limit on the maximum bytes decoded in a header
f4591d260a [Automatic update for 2025-11-16]
0ce229b542 LTP: Fix a pointer
8ca207b84c HTTP3: Fix reporting error codes
de623560eb HTTP3: Fix individual compressed header length
9139917bd8 epan: Use a GSequence for tvb_composite and make it non-recursive
45798cb719 btl2cap: Fix cut and paste error
f2140499db LTP: Use dissector table for client service handling
905a6fee7d x509af, x509sat: Add UTCTime as a FT_ABSOLUTE_TIME
8e6005104a ORAN FH CUS: SE 24 reserved bit is now posMeas
aa963ace35 IPMI trace: Invalid millisecond value can lead to overflow
db6a5b76d3 GitLab CI: Catch macOS Build job failures again
3265de8a3e BLF: prevent overflow (cid1666424)
f3b18bbe6a ORAN FH CUS: Add new ST9 field
cf03d3860d NAS EPS: do not append "Ciphered message" to info column if deciphered
fa6ad6372b ORAN FH CUS: SINR - create subtree for each PRB
0bc6580f9e DTLS: Add recent DTLS-SRTP Protection Profiles
4b948df231 DNS: disable experimental DNS over DTLS conflicting with DNS over QUIC
3b77c1d188 Const-ify an assortment of dissector data structures.
685e9a4e86 ber: Fix constrained bitstring size check
765493e07c Fix some spelling errors
a7dd09c06b gpg: Signature made Thu Nov 13 03:16:06 2025 PST
gpg:                using RSA key 21412672518D8B2D1862EFEF5CD5D12AA0877B49
gpg:                issuer "dreibh@simula.no"
gpg: Can't check signature: No public key
NetPerfMeter dissector: Fix for payload length check.
8f551dd8e2 COSE: Fix COSE_Key issue and include latest algorithms from IANA
76ccd33e5c CBOR: Use full byte string heuristic dissector list
2497f40704 BT L2CAP: Don't add incomplete reassemblies
33b154e8cb SNMP: Restore BulkPDU request-id abbrev
388f8545e8 Take application flavor out of capture functionality (continued)
461566a97a asn2wrs: Respect VAL_PTR for BER UTCTime
c4c36a2a87 A few more value_string -> value_string_ext
66f50b4ff1 ACDR: Fix crash when filtering acdr && !rtp
36bd1936ad BT L2CAP: Fix reassembly of I-Frames
0c588fd7a8 Mongo: Use tvb_child_uncompress_snappy.
4b3bad8241 PPPoE: Align
90389d4165 Have plugins use epan_get_environment_prefix()
51e6c3bcb7 PPPoE: Remove if (tree) guard
0409a38cb3 USB-HID: Add support for GET_DESCRIPTOR in bRequest field
aae5b76405 Initialize postdissectors in packet_init()
038d0995a3 Properly initialize stat tap and tree components
2f50f1ecc4 BT L2CAP: Check FCS
44854f36de Convert more tvb_new_subset_length_caplen
0540bb8d70 Convert more value_string to value_string_ext
15f82a0d35 PGSQL: Dissect CopyBoth response
1caac3fba0 cpfi: fix Dead Store found by Clang Analyzer
11c8f32f84 More fussing with value_string_ext
8d125249b7 NFLOG: Enhance nflog dissect:
55b375d505 Qt: Fix a leak in Export Objects
7ca07b27f7 LTP: Fix SDA offset for each sub-ID
4ba09b6d52 Abstract decode_dcerpc_add_show_list() for UI
fe4a815a4a wslua: Handle DCE/RPC dissector functionality locally
6a37ca43b4 HTTP2: fix http2_set_stream_imsi losing imsi
9fbc1a4825 Don't immediately exit on failed tap registrations
f06851b28c Properly initialize some epan components
373d8521bb GitLab CI: Let the macOS Build job fail for now
8c2188c35d Qt: ExportObjectDialog does not need to be Application Modal
4c82d9ce71 DCE/RPC: Cleanup proto_tree_add_guid_format use
f28ca85a4b More tvb_new_subset_length_caplen conversion
b4f4d7100c RTTrP: add dissector
4372a0e385 FCOE: Don't allow the frame_len to be negative
bea6093b0b Fix DCE/RPC Decode As so it no longer crashes
5e831e4810 IPv4: Add Expert Info when Reserved flag bit is set
81f4a5b512 nettrace_3gpp_32_423: Don't print libxml2 errors on OPEN_NOT_MINE
af52a06394 .gitlab-ci.yml: Add ruff (Py linter) to Commit Check
f9a9fb6dc9 value_string_ext: make some uses choose VS_INDEX
b41cea6836 [Automatic update for 2025-11-09]
5b77cfb339 ISOBUS VT: Fix UTF-16 endianness
48c1203fd0 Fix Ethernet CFM BNM PDU dissection
a5a14506ae More tvb_new_subset_length_caplen -> tvb_new_subset_length
22eba03b96 Check that value_string values are ascending
1edd9ad6e2 brdwlk: Fix a field size (and signed overflow)
892866d334 ORAN FH CUS: Add pref to ignore UL C-Plane udCompHdr settings
ac693cf877 Convert more tvb_new_subset_length_caplen -> tvb_new_subset_length
54dd23c237 LLRP: Add support for ImpinjRFDopplerFrequency parameter
c52d6b2f48 Register tap listeners within epan_init()
898cc7492b TrueConf: add new dissector
567ce82e37 nettrace_3gpp_32_423: accept rawMsg packet without any payload
308977265b MySQL: Fix parsing PREPARE STATEMENT responses from MySQL 4.1 servers
960bcf6519 epan: Remove final "application flavor" API
b50cafe59e peektagged: Increase maximum section size
cee55f5d44 CMake+Windows: Update WinSparkle to 0.9.2
f38dbbce27 EPMD: parse node list in ALIVE/NAMES responses correctly
1f2f2e5579 Convert some tvb_new_subset_length_caplen -> tvb_new_subset_length
251e2cd01f Clean Ruff findings in Python scripts
77e4473283 extcap_example.py: Remove broken example code
6130d850a0 Replace tvb_new_subset calls with simpler versions without -1
1764675c52 OSPF: Print "Auth Crypt Sequence Number" in hexadecimal
e6f1c58291 Couchbase: Use big endian byte order for opaque field
a1b93ac34a Bencode: Fix signed overflow UB
356022cc64 Colorfilter: add http3 to http colorfilter
bcadfeeaf4 sharkd: Use SAMPLE_BYTES macro
8f8b548f14 HTTP2: Handle overflow of flow-control window size
eee12d69ab packet-li5g.c: Fix memory leak
9f80e2f8f8 ASAM CMP: Make Data Message Parsing more robust and simpler
e50b90515f version_info: Suppress empty " With:\n"
be847a28c5 SUA: Fix trivial signed overflow
03dded4e6b Qt: Disable QTabBar workaround on Qt >= 6.10.1
db6ab7d5e4 check_tfs.py: Fix default set of files to test
ae921cf1de ANSI_TCAP: Fix a copy/pasted value_string value
09039dcb9a packet-frame.c: Remove "application flavor" API
e885b5b29d sgp32: Register CoAP URI-Path
7991625361 Create epan_get_environment_prefix() for dissectors
1867d2e6b6 coap: Add URI-Path dissector table
38bd65ae07 prefs: Remove calls to "application flavor" API
42f82a3486 pfcp: Update to 3GPP TS 29.244 V19.3.0
8cba7a8396 Fixes some errors detected by check_typed_item_calls.py
9fd3f7b6cd MIDI: Create a shared MIDI SysEx ID database.
90d436441e epan: Start funneling "application flavor" to epan.c
3e2f62ccbc Check some checking python scripts with pep8
ff646e1778 wiretap: Remove calls to "application flavor" API
608b04db26 ANSI MAP and TCAP: Fix two bitmasks.
0135584ce8 Dissect IEEE 802.15.4 FCS from Silabs DCH
9528390fe0 wsutil: Remove calls to "application flavor" API
88c378ef55 slsk: Fix signed overflow UB
cdb85c4dcd ASN.1 dissectors: Change some tvb_new_subset_length_caplen
600a863ae4 ASAM CMP: Fix MIPI CSI-2 filters
cd9cf8f537 CMake: Update brotli to 1.2.0
074b7ded71 ISUP: Use proto_tree_add_item_ret_uint
80d806caac misc: Convert GLib types to C99 stdint types
5d8a9bab9a Convert more tvb_new_subset_length_caplen with -1 reported_length calls
31aa4c36ce wireshark-pidl: Use tvb_new_subset_length
32cbed4b88 SGP22: fix asn1 generation
8beadd1611 Add and use tools/check_common.py with some common functions
b410df67d2 TCP: Handle a reassembly edge case
7446aa4375 BER: prevent possible signed overlow undefined behavior
de9bd40d1c ASAM CMP: Add GigE Vision and MIPI CSI-2 DPHY support
95b54100fa dhcpv6: Fix Dead Store found by Clang Analyzer
d52a94f677 packet-cql: fix and improve custom payload dissection
5185418dfa Fix memory leak in ws_init_version_info
bfe773f9b4 Have some tools take more care to check plugins dissectors
93f4d80b38 Explicitly require console title
9fa7dec2e8 ORAN FH CUS: Make a couple of functions static
56e29b4fec kerberos4: Make dissect_krb4() return int
19fa48c119 ASAM CMP: Improve Code Quality
595df4b34a epan: Convert GLib types to C99 stdint types
2af59c2d2b wiretap: Convert GLib types to C99 stdint types
be5a666f3f wsutil: Convert GLib types to C99 stdint types
bb6f8c4fac plugins: Convert GLib types to C99 stdint types
5237fc0133 doc: Minor impromevents
5f57a93149 ctdb: Make dissect_ctdb() return int
76f9aa5cd4 cmake: Put lix2 in correct order
07f3821021 [Automatic update for 2025-11-02]
7b2fe54916 Split I/O graph for Wireshark and Stratoshark
f8e4261338 Require "application flavor" for configuration_init()
bf4e30dd21 wsutil: Supply more version information for ws_init_version_info()
10253ab034 Ensure Python code tools open files as UTF-8
d4da0ec33a GitLab CI: Assume yes when running debian-setup on Qt5 image
4a9370c276 VLAN: Restore the dissection depth when leaving the dissector
48ec3defd5 Zigbee Direct: Fix leaks
81f95ab1fd ZigBee Direct: Don't use a packed struct
40d482c356 asterix dissector updated (bugfix)
daccc56d1b WSDG: Update wiretap documentation for new wtap_module include
a4fe5de20f IDMP: Update asn1 description to X.519:10/2019
af29e6c2f9 EAPOL MKA dissector: Fix SAK unwrapping length
9a839841b2 wiretap: add a separate public header file for wiretap modules.
b080bc352d wiretap: Add big endian support to the Procmon parser
f8ff3fa076 CMake: Don't link with static libm when linking static GLib2
16cb8dbe28 check_typed_item_calls.py: tell it about TTL non-contiguous masks
286662ceab check_typed_item_calls.py: Fix breakage from previous commit
dee96abe52 Stratoshark: Remove "evt.dir" references
af007c7894 nstime: Handle overflow in nstime_delta and nstime_sum
34efea211c wtap: Doxygen more of it
65ff8d60cb Python scripts: Prefer 'in' operator to str.find()
f840fef082 NetPerfMeter: Use ENC_TIME_USECS for timestamp
921ee4b394 3GPP Nettrace: Use libxml to determine file type.
85490c7374 gpg: Signature made Thu Oct 30 02:21:31 2025 PDT
gpg:                using RSA key 21412672518D8B2D1862EFEF5CD5D12AA0877B49
gpg:                issuer "dreibh@simula.no"
gpg: Can't check signature: No public key
NetPerfMeter dissector: Fix for wrong message length calculation
e1d3c01416 Qt: About dialog default view
63963b2a12 procmon: fix Dead Store(assignement/inscrement) found by Clang Analyzer
c63c8bee64 frame_data(epan): fix Dead initialization found by Clang Analyzer
16cb2208eb blf(wiretap): fix Dead initialization found by Clang Analyzer
4309e9cc50 ASAM CMP: Adding missing data message payload types
e7dc167802 wsutil: Define JSMN_PARENT_LINKS to speed up JSON parsing
dc38f74eac Replacing hardcoded ethernet frame lenght with macro.
d024a07477 Cleanup preference initialization
484d6a4ef5 Take application flavor out of capture functionality
e8aa4ba3cb LZ4: Ensure "lz4_prefs" is configured before use.
32e977cf71 check_typed_item_calls.py: Avoid repeatedly re-reading dissector files
bd77727d70 More spelling errors
f57feab3ff procmon: fix Dead Store(assignement/inscrement) found by Clang Analyzer
0bc575c98a pkix1implicit: Use the generated exports
f42650f2ed HiPerConTracer dissector: added "Decode As" support
cf4fde6466 NetPerfMeter dissector: added "Decode As" support
d5c6201670 wsutil: Fix NSTIME_INIT_MAX initializer
8690239bb5 TCP Stream Dialog: Use "follow" API for stream count
7e0fafeb36 Create an profile dialog specific to Stratoshark
74ba017537 DHCPv6: Reuse DNS SVCB param parsing code for DNR
1aa2e9b9e8 mmodule: Do not register common media_type
32912abaa4 Provide software_update functionality with the application name and version
b0e38e4a5f Pass application name through the capture interface
288600ad3f sgp32: Fix a CMake path to cnf file
70191ce8f6 Create an search frame specific to Stratoshark
d6ea3986fa Reduce use of global_capture_opts by refactoring
413206f576 Create an Follow Stream dialog specific to Stratoshark
ffbd36da06 File sets: Add a pattern for Falco capture recordings
a2ffbdd80c Create an About dialog specific to Stratoshark
50253f1bc5 NetPerfMeter dissector: Improved retranstrials output.
783b915247 CMake: If building with Qt 6, require at least Qt 6.2
e2e7590929 GTPv2: fix warnings after !21518
12e4744b3b nmea0183: Fix entry for lat/lon [empty]
5012754651 NetPerfMeter dissector: decimal Flow ID output.
3484b0b135 NetPerfMeter dissector: added rng_type_values.
d9f6bbe9ed Fix unsaved UAT records prefs
4788999472 ORAN FH CUS: Add SE 29
bea23cee66 TCP: Support  RFC 6675 to detect SACK caused Fast Retransmissions
d3dbd49370 NetPerfMeter dissector: Added segmentation support.
7142564618 cql: Fix Dead Store found by Clang Analyzer
b36146a622 Conversations: generalizing a function call
485bd920fa ORAN FH CUS: Implement modulation compression decompression
c749ba7d9a asterix dissector updated (bugfix, optimization, refactor)
e53c0880cd Qt: Display IO Graphs and Plots that fail validation
b23a9d24fb .mailmap: update of October (2025)
8b0473ae96 BER: Fix undefined behavior in OCTET STRINGs
cf5ae6c1f0 Doxygen: Fix more warnings
7091693368 BIST_OUCH: Avoid a shadow warning
f324a1c948 WSDG: Update the "Contribute your changes" page.
7ca3f41b65 Wmem: Doxygen the holdovers
ab2a65f482 wsutil: Include errno.h in file_compressed.c
a5a6cb2653 [Automatic update for 2025-10-26]
4e8e2e14e0 Doxygen more union definitions (and more)
9a1d01e0a2 X11: Check for overflow
e5c1b566bd wsutil: Doxygen os_version_info.h
21d92b9e2d DCERPC: init all fields of value struct (cid 1667188)
3effb5bb6d wsutil: Doxygen socket.h
43eb8320ff wsutil: Doxygen json_dumper.h
49137f8ce9 Kafka: Fix decompress_snappy with no xerial chunks.
98f8f78293 GTPv2: Fix Session IDs
1304c58e7d docs: Miscellaneous Developer's Guide updates
4748d8c21e EPAN: Have proto_tree_add_bits functions set correct FI bit offset
7c57320331 Qt: Hide Go First and Last conversation packet menu items
515e5fe288 Qt: Don't make the DataSourceTab visible if it wasn't
9c16d833f0 gpg: Signature made Fri Oct 24 01:13:01 2025 PDT
gpg:                using RSA key 21412672518D8B2D1862EFEF5CD5D12AA0877B49
gpg:                issuer "dreibh@simula.no"
gpg: Can't check signature: No public key
NetPerfMeter dissector: QUIC support
432a13cf45 wsutil: Doxygen regex.h
35e75625ad wsutil: Doxygen strnatcmp.h
f8b0d5caa9 wsutil: Doxygen filesystem.h
3876ec838e wsutil: Doxygen unicode-utils.h
432fadebae wsutil: Doxygen type_util.h
73c55fb7f1 wsutil: Doxygen to_str.h
3277d5337a wsutil: Doxygen time_util.h
aa4f5db8b1 wsutil: Doxygen tempfile.h
a62acca20b wsutil: Doxygen sign_ext.h
2036c3ca19 wsutil: Doxygen rsa.h
73381977cf wsutil: Doxygen privileges.h
8551c3f0ae wsutil: Doxygen please_report_bug.h
afedc8f1fb wsutil: Doxygen nstime.h
8df832ec56 PTPV2: Malformed Packet error when parsing IEEE_C37_238 TLV
e85b687897 wsutil: Doxygen mpeg-audio.h
2fdfc414a6 wsutil: Doxygen introspection.h
6666946782 wsutil: Doxygen interface.h
338394a63e wsutil: Doxygen inet_cidr.h
b60a49e4ad wsutil: Doxygen inet_addr.h
afe4fa0368 wsutil: Doxygen g711.h
4ed65cec50 wsutil: Doxygen filter_files.h
5d17f730a8 wsutil: Doxygen failure_message_simple.h
616e6e6285 wsutil: Doxygen buffer.h
009e8f4b0a wsutil: Doxygen clopts_common.h
2552a33681 wsutil: Doxygen adler32.h
80d9eb63a6 epan: Doxygen addr_resolv.h
2215b6862a epan: Generate the filter for a FT_NONE frame bytes fallback better
3391c5e977 Tiny improvements
744403da50 docs: More Windows quick setup updates
d2094f656a CMake: Prefer WIRESHARK_BASE_DIR and make it more convenient
49479d3c64 docs: Update our release tag conventions
e24334c917 TCP: Fix the Flow Counter statistics
2f0eea67e0 Procmon: Fix Clang warnings
884f804bdc Fix a few typos.
dfd7dd494a winreg: StringBuf and ValNameBuf are strings
b50c773a9b GitLab CI: Set FALCO_PLUGIN_DIR relative to WIRESHARK_BASE_DIR on Win
104da40756 writecap: Fix linkage on MSYS2
498570c8b4 wslua: Setup packet record in FileHandler
1dd8e12723 FTDI FT: Dissect missing request types.
ede7bd8c90 Qt: Don't try to update the context menu if it doesn't exist
b2759ef7a1 GitLab CI: Fix the Debian Stable APT Test job
d5a3b393a1 proto: set to ws_error when enable CHECK_CONFLICT (for CI)
13f8ca0b96 dot11decrypt: Remove some unused CRC macros, vars and includes
be07498d45 dot11decrypt: Rewrite WEP decryption function
8dd317c3f7 WINREG,CLUSAPI: Fix imported types
ed94b447a2 WINREG: Align winreg_String to 5 bytes
f467a9a668 ber: Use 64-bit values in ber_check_value()
e1d130de44 androiddump: Fix a shadowed variable name
eeac1c6ef6 tls-utils: Move gnutls includes to source file
02fcac163a bt-dht: improve whitespace consistency
88605d94be doc: Fix bullet list in TCP ZeroWindowProbe
cd959db174 remove space
00568ffba8 mongo: include command name in Info column
0254fe5f04 Fix C6336 warnings from PREfast.
f20e2e44f1 OPSI: Remove a manually-coded binary search.
7d2285ee2c pidl-wireshark: Handle unions with identical cases
22cdb8a51a tools: Add gnutls_init to our prohibited APIs
818d1cffa1 NR RRC: prettify t-Service-r17 and t-ServiceStart-r18 dissection
2929244182 detect_bad_proto_tree_add.py: Output enhancements
4c2f7390c1 tls: Improve cipher suite expert info
6dbf61010f wslua: Fix build on Lua 5.3
4ffdebd13b Qt: QTabWidget::clear() performance improvement from Qt 6.8.2
75d91bb70b Fix some spelling errors
b1c31489a6 GitLab CI: Build the Rocky 9 packages with Qt 6
8fdc738a52 debian: Check if all shipped headers can be preprocessed
a32bb865d0 headers: Don't include config.h in wsutil/file_compressed.h
357fe06ef0 Use proto_checksum_vals for dissectors that are no longer plugins
8a1a8a5949 Refactor injecting secrets into pcapng file
f04281c027 Bluetooth: Use wmem_strong_hash to hash UUID
595e4df20f smb: do not attempt to dissect wfw3.11 negotiate protocol blob
8bd6c2a3b6 SMB: Remove proto_tree_add_string from dissect_create_file_request
6dac146bfd Qt: Defer updating data tab layout and scrollbars when not visible
18568a92d6 GitLab CI: Update WIRESHARK_BASE_DIR in the Windows jobs
6aaf9baf8d Qt: Create the hex data source context menu on demand
4249ebcf90 RDPEAR: Change some IDL not supported by pidl
18f7ff6732 ams(plugins/ethercat): fix Dead Store found by Clang Analyzer
4d8b93339a PER: Don't add data sources that aren't new
1f753ba4d1 Windows: Update GnuTLS to 3.8.10-2
6c0bbe7c9e packet-http.c/h: reduce padding in structures
0e3c952d40 CMake: Properly remove our artifacts
afc63a5d8e [Automatic update for 2025-10-19]
653c35ddaa Netlogon: add dissection of dsraddresstositenames[ex]w
4e0a8945d8 ui: Make the text encoding tables "static".
845c005ab8 extcap: Do not try to read c:\etc\ssh\ssh_config on Windows
a3beec6d88 ORAN FH CUS: Getting ready to decompress modulation compression
7878316b92 Simplify and consolidate some "application flavor" functionality.
40b552fee6 Move the compressed file writing to libwsutil.
6e05d4e7b4 headers: Stop shipping broken headers
6a342cea31 ORAN FH CUS: Fix a clang uninitialised warning
8ded5ea9e4 tls: Abbreviated Handshake Using New Session Ticket
d99b02bc30 test: don't check the Lrexlib version.
68e8f8df5b wsutil: Call SHGetKnownFolderPath on Windows
07f5ddf675 Qt: Fix compilation with clang-cl
f45a52cc33 Give detect_bad_proto_tree_add.py execute permission
f2a672f2a6 decode_as: Abstract "reset all" call for DCE/RPC
c76c3b7ce3 Bluetooth: Register Bluetooth UUID type
491b3cabba Add tool for detecting bad proto_tree_add_* calls and fix known instances.
49090b3a34 wsutil: Use a common struct for SI/IEC prefixes.
65d51ec101 Create interface for handling generic UUID table lookups
f957c4b472 LUA: Move protocol specific functionality to its own file
6bb3628b81 HTTP: Fix upgrade info server port
362dd5aa9f Qt: Workaround QTabBar O(N^2) bug
124a045048 ORAN FH CUS: getting config in place for modulation decompression
907fe8aad8 gpg: Signature made Thu Oct 16 08:29:53 2025 PDT
gpg:                using RSA key AB9A0CFF814FA65614B5F474397DFEBE343AD96F
gpg: Can't check signature: No public key
FTDI FT: Register VID/PID dissector preference
d86f462f93 Qt: Put back the clear call in DataSourceTab
c18e05b88d Add support for Ubiquiti AP name parsing
cc059eac58 GNSS: dissect Galileo OSNMA DSM-PKR
c70ffe3ab9 BER: Prevent signed overflow in dissect_ber_choice
2a09c1a676 Qt: Hide the DataSourceTab before adding or removing tabs
7bf0354c36 AUTHORS: Update a feature name
92ae88e492 expert: Clear same_name_expinfo before insert
8688b27c07 epan: Enable ASN.1 constraints check
f4767f611c ORAN FH CUS: trivial comment updates
1c7ffb59da packaging: Windows version checks
2cb6cc4d60 RTP: Add payload encoding name to the tap data
72e070eb09 NTLMSSP: Check for negative offsets
1e16fb6274 expert: Track expert info with the same abbrev
8a63743526 WSDG: fix macOS Qt installation instructions.
3278f20dc2 debian: stratoshark: Suggest falcosecurity-scap-dkms
4cc8c18a23 asterix dissector updated (bugfix, code refactor)
062d01fc8d Falco events: Updates for Falco libs 0.22.0
f22ef54a36 packet-tcp.h: alignment of structures to reduce padding
23deaefa94 Provide bluetooth UUID strings as part of the tap data
37a5da9777 tools: Install Qt 6 by default
7475df058c Diameter: Adds (Tgpp-)Service-Selection to SWm interface
ac395eaed3 netlink-netfilter: Significantly expand dissection for nft
c7ed4e7e50 Fix spelling errors
db45cc0ad2 tools: Remove library installation from macos-setup.sh
8bf3fc79fe packaging: Fix comments referring to resources
848386acf2 WSUG: Add a mention of Windows 11
62dc58956b Always use the report_message routines.
1ff90f5d49 CMake: Preserve include directory structure
c1535a1eca MEGACO: Use a different hf variable for Context across protocols
e39cd5302f Qt: Fix an include
3e85fceae9 sgp22: Use the generated exports
dbfddbde36 SDP: Fix compilation with DEBUG_CONVERSATION enabled
219a927b9e sgp22: More type export
1f59a24486 PROFINET: fix incorrect field name in IOCRBlockReq
03eef694af TCPCL: Fix signed overflow UB
23f954e5fd PLDM: Add the PLDM Type to the INFO column
e20d45cd92 Qt: Set our application user model ID on Windows
807fecf6c8 wmem: Doxygen strbuf
560fa04c90 win32-utils: fetch exception descriptions from ntdll.dll.
976a4baffa RTPS: Fix signed overflow
e25588f54c wmem: Doxygen queue
11a38d8a16 wmem: Doxygen multimap
37b00b8614 wmem: Doxygen miscutil
ed462851e3 wmem: Doxygen stack
d0dd804fad wmem: Doxygen list"
d4a42e5c7d wmem: Doxygen map
9b4d49cd00 [Automatic update for 2025-10-12]
d25fb34e2c WSDG: Update Qt version used
79dc6e234f LSA: Fix TrustedAccessMask dissection for rename
7f37406d80 sgp22: Improve type export
c4635132c5 TDS: Prevent signed overflow
33d60c5153 capture_sync: fix a check for a read error.
3399d2082c tshark: clean up call to sync_pipe_start().
a05665c687 z3950: Use hf_index -1 to fetch octet string value
b4bb26aff3 credssp: Use hf_index -1 to fetch octet string value
dc34124ed5 ldap: Use hf_index -1 to fetch octet string value
461a17fec8 x509if: Remove unused hf_x509if_any_string
97153e9d09 wmem: Doxygen wmem_core
4bceb87a3f wmem: Doxygen interval_tree
d77c4d0f20 wmem: Doxygen allocators
3593446d78 wmem: Doxygen wmem_array
f9a51cfacd wkssvc: Fix platformID enum values
404d40c8eb wmem: Doxygen part of it
ea3ad85c3e WSDG: update the Qt installation instructions for Windows.
36556fc4c8 Codecs: Add a 24-bit linear audio decoder
78a0a51d77 ber: Remove unknown octetstring item for hf_id -1
4f55543f6b pidl: Check if a hf is used in a CODE block
b503627e82 Move app_mem_usage to wsutil
49d0c1445f winreg: Fix dissector param / string prettification
8d0b2e248a bpv7: Fix pinfo conv_elements address lifetime
401a10460d TFTP: Fix conversation lookups
3217a85af6 packet-cql.c: improve dissection of read/write failure/timeout errors.
9222342c9a Move /epan/slow_protocol_subtypes.h -> dissectors/packet-slowprotocols.h
8ee6e057ce Move epan/sctpppids.[c|h] to packet-sctp.[c|h]
caa528c7f3 Move /epan/lapd_sapi.h -> dissectors/packet-lapd.h
071285ed6c Fold iax2_codec_type.h into packet-iax2.h
312a1f45ec Move epan/eap.h into packet-eap.h
5763b746f1 Move epan/dccpservicecodes.h into packet-dccp.h
4e3f826403 Move /epan/cisco_pid.h -> dissectors/packet-cisco-pid.h
cc49ba26e4 Cisco HDLC: Move chdlctypes.h data into packet-chdlc.h
cbe729f39c AX25: Create header file to house PID values
0342ac38b8 ARCNET: Create header file to house PID values
81726041bc LLC: Move bridged PIDs and LLC SAP values to packet-llc.h
ee73e007a8 PPP: Move PPP type enumeration to packet-ppp.h
ad7097da7d packet-ncsi.c: Move generated data to within dissector folder
d2232d7e51 pidl: Do not produce a function that is replaced by MANUAL code
cc4a5944f2 lua: Fix Windows build
48899fa9a8 radiotap: fix unknown TLV item parent
74e5aa6495 pidl: Remove extraneous common hyper definition from cnf files
27eb2eef0b Fold conv_id.h into conversation_table.h
eb2a59a362 Lua: Create Lua threads to fix exception handling for nested calls
72634a64c9 pidl: NULL is not a valid value for TYPE alignment in cnf files
8a04cbee02 DNS: Add AMTRELAY resource record dissector
27517b91dc EAPOL: Move Key Descriptor types to packet-eapol.h
59f7bb0b2c OSI: Move data from nlpid.h to packet-osi.h
c61f196929 PROCMON: Fix some warnings
64a1306f95 rtp: correct variable name in conversation debug
c22eb015a3 E2AP: Const-ify ran_function_dissector_t instances.
5b3395981b packet-cql.c: additional improvements to CQL dissection
e3d8636109 pidl: Fix filter names for subcontext length fields
0a8d6e3408 fix(dissector:lda-neo-trailer): correct CRC invalid and Device ID masks
e028474e44 Initial MS Procmon wiretap and dissector
68e50d06c0 packet-darwin: fixed typo that causes the BK_SYS to be marked as "Unknown(100)"
edc98c1b53 pidl: Check for undefined SwitchType first
e36af6feb1 Fix a handful of typos.
04768ffe7f GitLab CI: Try to make the merge trains run faster
c65a65feb7 wiretap: Fixup our JSON Log extensions
9bbca5d3fd CMake: Require Qt 6 on Windows and macOS
448a0d6a23 pidl: Warn appropriately on unsupported switch_is discriminants
cce30c2cd3 Fix some spelling errors
65fb8a629b DNS: fix HIP PK algo field name
63dc61bf81 wslua: Add length check in TreeItem_set_len
2dbab37caa gmr1_bcch, gsm_rlcmac: Const-ify CSNDESCR structs.
c4c52241e7 dissector/ams: request/response tracking and calculated response time
663c114e16 SVCCTL: Fix typo in param
8dee860177 pidl: Use has_property to avoid comparing undef with the empty string
6ed482da5f SAMR: Fix a few hf renames
a86aa5ca01 Qt: Make PNG the default graph "save" format
ba0da02a1c DFS: Fix VolumeState bitmap
919f15ab2e pidl: Don't warn about params that are used
07bba19c48 DNS: fix field name for HIP HIT algo
8b2f5a3952 NR RRC: prettify t1-Threshold-r17 dissection
1aa0155a3e Revert "Switch our source tarball compression to zstd"
67c2614a33 tls/dtls: fix Dead Store found by Clang Analyzer
3621141004 SVCCTL: Add policy handle tracking
3253f44cba Const-ify a selection of arrays of function pointers.
07ee45062d ORAN FH CUS: Some fixes to SE28 (previously untested)
9757b0e0ec WCCP: Fix signed overflow UB
88c9912b49 JSON-3GPP: Fix a few GRegex-related memory leaks.
404bc3c48c SVCCTL: Update idl for GetServiceDisplayNameA and GetServiceKeyNameA
54b7fbac9c ORAN FH CUS: Use standard field names in section summary labels
8f986827aa SMB: Eliminate NBT Session message
9043440536 tools/find_filter_matches.py: test for usable tshark
1ec146a50b gsm_sim: Various improvements
6343845685 SVCCTL: Update idl for GetServiceDisplayNameW and GetServiceKeyNameW
dd72a836bd wiretap: Fix our JSON log timestamps
c06e86c76a ORAN FH CUS: Fix a couple of issues around beam-forming weights
a031302c6a GitLab CI: Build each of our RPMs with the same (non-)verbosity
bb8a9853a2 gsm_sim: Show length 0 as 256
d0f70b7f37 Fix some spelling errors
105b8279cb Support Wi-SUN FAN 1.1 EDFE frame format
de7b2e34aa kafka: support DescribeClientQuotas and AlterClientQuotas
e99d7faf89 CFM: Sender ID TLV wrong chassis ID length
9dc337ae2d H248: Const-ify some data structures.
e9d0409807 wiretap: Ship headers already referenced by shipped public headers
1d56cfee89 headers: Fix already shipped public headers
e4c0293e5a headers: Include packet.h as <epan/packet.h> everywhere
d084fc4b17 SGP32: don't update column with fstr() and %s, just use str()
27ffd93679 Qt: Fixup icon loading
0f4cacfc9d PLDM: Add GetFirmwareParameters command
11a2e5c9b4 asterix: dissector update
a0924c185c dtls, tls: show the entire decrypted plaintext
2632c9371f Qt: Reverse our icon loading order
172fb322ea RPC: Use SRT parameter function for UI
6e62a4479e guid-utils: Replace macros with native calls
3a4597a8bd Qt: Do not display capture start/end times when unset
d2c04864fc ORAN FH CUS: Consolidate prefs used as number of array elements
db89ecf7d5 GNSS: fix potential null pointer dereference
230313fe3d asterix: fix table_p initialization error
352ff7dd7c Qt: Run without Liquid Glass on macOS
61c2f4fb9f GitLab CI: Remove a no-longer-needed hack
a8e7d121a1 wlan_statistics_dialog.cpp: Refactor common elements
7089bd54b1 sgp22: Update to v2.6
a6e9234aee Gitlab CI: Build macOS and Windows with Qt 6.9.3
9f9fc3f6d9 sgp32: Register media_type application/x-gsma-rsp-asn1
5c0d244078 XnAP: Make it possible to dissect private IEs
4962fd7ccc NR RRC: upgrade dissector to v18.7.0
cc3010ed63 tools/check_typed_item_calls.py: make a couple of checks more pythonic
98e4c0f00f test: Serialize Lua numbers with the C numeric locale
a2df715355 debian: Switch to using scap -> _scap group name for dumpcalls
dceb9af659 packet-cql.c: dissect non-compressed CQLv5 frames
93d102b8e7 [Automatic update for 2025-10-05]
c7f11269cf Fix response code lookup when error bit is set
c7bfa185cc extcap: Make our interface probing less verbose
22d50276f8 wscbor: Avoid UB in wscbor_chunk_read
135c12677b DOF: Ensure that a string is null terminated at the proper place
252d1caa4b ieee80211: Fix display name of BIGTK
a92cc24d0c ieee80211: Support 16 bytes MIC in MME
210daeb807 gsm_sim: Improvement to file identifiers
47a4f6c8c4 wslua: Allow nil as column append separator
6115b211dc packet-cql.c: first part of supporting CQLv5 support
224146e05b Profinet: Segmented RSI frames fix
db38865501 Updated table entry usage for file-mmodule.c.
1a4bfe48dd extcap: Split falcodump into falcodump and dumpcalls
da48f5267e CFM: Fix linktrace reply ingress interface alias off by 1
ec0dc088e6 SMB2: Fix location of null check
dc59dd8630 wslua: Add support for column append with separator
22e0bdbda7 LLMNR: Request response tracking
cad16da9ef tvbuff.h: Doxygen the rest of it
b3822faa06 file: rename read_record to reflect that it doesn't read a record.
39279006ff asterix: rewrite asterix dissector
8d148e11ae GNSS: dissect Galileo OSNMA DSM-KROOT
2509f08969 dissector/btl2cap: Improved parsing of the l2cap control field format
fa0408afbe IANA-IP: Fix missing braces.
3ab389edd8 wsutil: doxygen ws_getopt.h
aa0fe89907 epan: Doxygen addr_resolv.h (partially)
026b808307 wsutil: Doxygen ws_assert.h
40107c622b wsutil: Doxygen codecs.h
9174674889 wsutil: Doxygen cmdarg_err.h
ef1fd651ea wsutil: Doxygen application_flavor.h
76bf7a54b3 wsutil: Doxygen bits_count_ones.h
ee211dea6e wsutil: Doxygen bitswap.h
aad0a829e3 wsutil: Doxygen cfutils.h
6c125b4348 wsutil: Doxygen feature_list.h
74df2c557f wsutil: Doxygen console_win32.h
e6177fcbed dumpcap: Eliminate a Mac OS X 10.6.x workaround.
c68344d3b3 wsutil: Doxygen sober128.h
258f6c65cc EtherNet/IP Security: Fix DTLS Timeout
67c0438064 GitLab CI: Distinguish between plain and merge train merge requests
97b570d96d dect_nr: Close cipher handle on error
f5d3539a8b GitLab CI: Install CMake 3.31 on macOS
5bfff60940 CIP: Improve embedded message display
5ff8c3867a CIP: Expose additional data to other dissectors
b64db0659b debian/templates: Improve wording of new stratoshark-related template texts
2a118897ae GitLab CI: Fix our temporary hack
b6d171a495 GitLab CI: Add a hack to update CMake on the macOS runner
78e2f98a5f dect_nr: Check decrypt failures
fadcc3c747 wka: Add Mikrotik RoMON destination MAC address
49a59951da wsutil: Doxygen version_info.h
07358df6d3 gsm_sim: Handle AUTHENTICATE Le
e7350a6899 Fix some spelling errors in header files
07160abdba wsutil: Doxygen wsjson.h
d34b512f95 wsutil: ws_roundup.h ws_padding.h
deb01a7d42 wsutil: Doxygen wslog.h
7f47e6555d wsutil: doxygen dtoa.h
626e5b6cf1 wsutil: Doxygen curve25519.h
fb674c88ff wsutil: Doxygen wsgcrypt.h
918d6f07ef wsutil: Doxygen ws_mempbrk
2424be064c wsutil: Doxygen CRC headers
fa99f17ad2 wsutil: Doxygen crash_info.h
d4efe06692 wsutil: Doxygen ws_cpuid.h
579a391ec9 wsutil: Doxygen color.h
e0c8b4032d wsutil: Doxygen cpu_info.h
70ac1869b9 wsutil: Doxygen win32-utils.h
41b974286d wsutil: Doxygen xtea.h
ad7ca8dcad wsutil: Doxygen ws_strptime
2968011006 wsutil: Doxygen eax.h
b2e86b47d4 http2: Add TLS_RENEG_PERMITTED setting support
2f1cc7b6d4 wsutil: doxygen value_string.h
5135c67eab MIDI: Update MIDI SysEx manufacturer ID database.
98789dcb85 PER: prevent UB
4fc00ce6c8 dect_nr: Add Mode 1 decryption
0d21f55747 Fix some more spelling mistakes
25c032de1d epan: Fix ex_opt_get_next leak.
b0b6acc85c packet_info.h: Doxygen more fields
b3e8fcf3a7 Kafka: Eliminate signed overflow UB
c039bb94f9 epan: Remove trailing comma after HFILL invocations.
452efca2b8 GitLab CI: Bring our macOS builds more in line with each other
cfc4c2e678 dot11decrypt: Fix reading out of bounds if MAC header is short
a5a1171b72 Remove unused variable 'newly_displayed_packets'
8ecb92f9f9 ssh: Check for -1 mac_length
8a3e2201d2 nfs: updates to directory delegation support
4957994f00 BTSDP: Prevent signed integer overflow Undefined Behavior
2abb89792f fuzzshark: Update packet provider funcs struct for new NULL func
00cfc750d7 F1AP: upgrade dissector to v18.7.0
44e16a9d3b Add ability to store ESP SA Key in PCAPNG DSB
3ddff8bd6c Adding capture start/end time to capture file props dialog
6b49fbc635 profinet oid implementation
eb20d6e3b3 CMake+docs: Deprecate Qt5
880a4243e8 proto.h: Add some more Doxygen
ece2bc0207 CMake+Windows: Update c-ares to 1.34.5
fe668d4d78 Initial support for Linux mac80211_hwsim Netlink dissection
4c78db6eda Plot: Multiple Value Axes
a6d7259d99 packet-dcerpc-samr.c: Register obsolete preference within the dissector
f20baf462b proto.c: Zap an unnecessary typecast.
150d5b718c .mailmap: update of september (2025)
8268945502 pcapng: Const-ify custom block handler registrations.
17897a02d3 TLS: Check a return value
1ba8135a56 packet-noe.c: Fix checkapi issue
bb9bb86070 EAX: Move a static struct onto the stack.
7316eb21fa epan: Update manuf-data.c by hand
6d7912d4ab tools: Add more verbose error reporting to make-manuf.py
646d8f3b8a [Automatic update for 2025-09-28]
d49e8e1590 debian: Don't generate stratoshark.postinst
49236220e5 packet-cql.c: fix 'CQL: packets with global spec are not properly dissected'
648b1603f6 XML: Use libxml2 function instead of struct elements directly
8ac25910a0 CMake+Windows: Update opus to 1.5.2
359dd97eb5 CMake: Don't fetch minizip
62d454a445 Fix some spelling errors
ac83c0b6a5 Bachmann M-Module file wiretap and dissector support added.
9b2060b37f check_spelling.py: use multiline flag for RE search for C comments
514c6761f0 wiretap: Free the buffer if the file is not a JSON log
58165e90d3 dot11decrypt: Increase decryption buffer size
6f92231d6d Ericsson eNode-B: Reduce use of static arrays.
21c6d4ff31 ieee80211: Fix A-MSDU subframe address
1bed9efee5 Fix EXTCAP_INSTALL_RPATH for the lib/... -> libexec/... location
03ee05107d wsutil: Remove a Linux 2.x kernel version check.
90b9b42286 Fix typos.
8629c77d4e CMake: Update krb5 to 1.22.1
4d46eaecda packaging: Exclude Stratoshark related files from main wireshark package
c28501ea1b macos-setup: Update libssh to 0.11.3
a9b63c5f7e macos-setup: Update CMake to 4.1.1
5c97d390ad JSON: Fixup calling the Falco Events dissector
00a841139e catapult_dct2000: Reduce use of static arrays.
3abd6ec2a9 wsutil: Wrap some macro arguments
01cd6bb8e4 CMake: Update libssh to 0.11.3
948c4c4f8c wiretap: Expand our JSON log support
3c6ab4aed9 wiretap: Rename json_lines.[ch] to json_log.[ch]
b642125e66 CMake: Update libgcrypt to 1.11.2
3242b24ea9 Build macOS and Windows releases with Qt 6.9.2
8bbd491f0f IAX2: Add an address type check
eec474548d doc: Update a few references to Visual Studio in the WSDG
aadb09558d Qt: Add legend to TCPStreamDialog
c010567e33 packaging: Fix RPM spec
e079c78c3b Qt: TCPStreamDialog drag and zoom only with LeftButton
c848c8e0e1 TLS: fix "delegated_credentials" extension for client authentication
b1d27758aa HTTP2: Get full path in notifyuri instead of referenceid
dcff53a13e smb: free the hash table to track transaction fragments in a reply
48b45a4b10 packaging: Use libexecdir in RPM spec
7ce6e448a1 XML: Add a NULL check
bd3c11f8fb Address more dissector warnings
b3edadbe32 debian: Ship strato and stratoshark man pages, too
eff9c1225e debian: Ship /usr/bin/strato, too, in the stratoshark package
3b5c8fbec4 Qt: Fix QCPErrorBar Legend icon clipping at the bottom
f1d9ac907a extcap: Install extcap binaries under CMake's LIBEXECDIR
7b80107c39 dot11decrypt: Fix and optimise length validation
d6f6a92cf3 xylan: Add new attribute (Priv-F-R3/R4/W3/W4)
287843fd06 Fix Cigi4 acceleration labels and descriptions
b5eccd4f16 Qt: Add toggling SI units on/off to TCP Stream graphs
4084f889fb WSDG: Update Windows Qt6 version
cfd32882d4 Qt: Fix transient parent of filter button pop-up
fa1fbd961f packet-ams.c: cleanup dissector
b2872808f1 RTPS: Add NULL checks
8dacd6ea6c wimaxasncp: Fix shift out of bounds.
0c52509eec DARWIN: Widen Service Class Code field
1ec4709cab Mongo: Avoid infinite loop in dissect_op_msg_section
645b33cf23 include: Allow including the c128 include library from plain C
b6d879408a HTTP2,GTPv2: use correct data (sm-context) during 5G->4G Handover
e6a0f8c1b8 SMB: Prettify the SMB Trans reassembly
d3a3876334 packet-darwin: added decoding of the drop reason code
1d98e0074f GTPv2-C: Fix IE description for `PGW Change Info`
54414b13bd ws80211: Retrieve the correct interface to remove
d48b6ce6f7 PORTMAP: Add portmap v3/4 SET UNSET dissection
dd35a4a30c RTCP:  MCPT Floor taken invalid values when list fields are in use.
af162f2430 dot11decrypt: Remove unnecessary MIC copy
d7c13d9bc2 radiotap: fix printing of unknown non-vendor TLVs
d876341b57 [Automatic update for 2025-09-21]
c9bb74b3e7 OSPF: amend and sort various LinkState and TLV identifiers
9cf311ec0a kNet: Fix Undefined Behavior in get_knet_pdu_len
80f9224cf3 wiretap: Use uint8_t instead of u_char
b553f184f0 format_units: Produce consistent results with the x87 FPU
3e05b7abc6 epan: Add support for EPMD_ALIVE2_X_RESP in EPMD dissector
03aadd4008 docs: Update the Stratoshark release notes
cfd3a9087b ams(plugins/ethercat): cleanup dissector
80fa135fc5 nsis(wireshark): remove quick launch icon
5c734a5d21 Adding time relative to capture start as Time Display Format
7e6d2ec658 ams(plugins/ethercat): fix Dead Store found by Clang Analyzer
ebb991a44d wiretap: Add JSON Lines support
580dcd7719 SIP: Handle RFC 3966 tel URIs
bbde5075d6 Some dissector warning fixes
c7468cced8 OSPFv3: Graceful Restart (RFC 5187)
f27c6508ad Version: Stratoshark 0.9.3 → 0.9.4 [skip ci]
e665e93bd3 Build: Stratoshark 0.9.3 [skip ci]
b50c0c860a SIP: Fix line end offset when parsing Request-line
f56434a600 wsutil: Normalize our values in NSTIME_INIT_SECS_*
5623d66c4d BER: Don't overflow converting octet len to bit length in BIT STRING
e711dc6b37 loopback: use the Wayback Machine for a now-dead link.
0aa4a681b5 epan: Prevent UB in tvb_ensure_bytes_exist
23cfe297c9 epan: Add/Fix Doxygen docs
fae8865de8 pcapng(wiretap): fix DeadStore found by Clang Analyzer
c04eac3c75 MQ: Eliminate the possiblity of overflow in MQINQ/MQSET
6b0ec51f8f GitLab CI: Reenable Falco plugins on macOS
92c58a7afc docs: Nudge users toward using WIRESHARK_BASE_DIR on macOS
122cb1fff3 ORAN FH CUS: Show in cli stats range of frames in capture
d130113c0f tools: Add pkgconf to the macos-setup-brew.sh build list
1aaefbb025 epan: Check for offset overflow in ptvcursor API
472e6642a3 NoAddrAvail -> NoAddrsAvail as per spec
66f85f99d6 dissector/ams: support TCP packet reassembly
04870baaea nsis(stratoshark): remove quick launch icon
d3d63a655e Capture File Properties Dialog: Support packet w/o timestamps
c9eedd6e58 BLF: Handle application name and version
2b5cb052ec H.264, H.265: Simplify exponential Golomb coding, fix length
31b47251c7 OMRON FINS: provide a link to the manual.
778c180461 kerberos: Fix unwanted overflow in get_krb_pdu_len
33673dc51b CMake: Add jtckdint.h to SHARK_PUBLIC_HEADERS
5c1ab01bf0 Fix some dissector warnings
1e2ec8679e X11: Fix GenericExtension dissection
de4d03ebed BER: Fix some offset overflows
ebf8b5896a SMPP: Fix smpp_mktime return value
3a279108d5 darwin: fix DeadStore found by Clang Analyzer
f3196bd3b1 Add jtckdint.h to wireshark.h
0181623a37 Document more of tvbuff
3217199f0a [Automatic update for 2025-09-14]
17682c0b4b H.264: Prevent UB with delta scale
b746d87f3e SMPP: Add error checking to time parsing
750fc169fe Store an explicit file start time in the wtap header
b619f21fff epan: Prevent undefined behavior in compute_offset
023bb56105 OSPF: Add support for Multi-Instance Extensions
73a919a4e4 H.248 Annex E: Fix ToneDetection Tone ID List dissection
3356be2007 DNS: Prevent UB in RFC 1876 Altitude calculation
4e917e2a7d mpeg-sect: Fix overflow in packet_mpeg_sect_mjd_to_utc_time
98a62adece epan: Fix relative time if the first frame with a TS isn't frame 1
30cc7e7145 CMake: Don't pass -fno-strict-overflow when compiling with UBSan
aa14975d5a wsutil: Use -Wno-maybe-uninitialized for GCC builds of dtoa.c.
004ffe46d1 bmp: update to revision -18 of draft-ietf-grow-bmp-tlv
92ff0f9d4d Fix typos in the documentation
afdfc0e056 qt_ui_utils: fix documentation of return value
dab2834a2b ClassicSTUN: Add padding heuristic
84d62967f1 RTPS: Parse TypeObjectV2 built-in annotations
a4242884b7 BLF: Make formatting consistent
bafdd4008b PFCP: add Nokia specific IE dissectors
0939c41b2e docs: Reset the Wireshark release notes
950f5b7024 GitLab CI: Disable Falco plugins on macOS
835cd58829 Qt: Properly initialize QCPAxisTickerDateTime timezone on Qt >= 6.5
1986021cc5 GitLab CI: Fix a copy+paste error
0dfc0118cb strato: Add missing initializers
95009130ee CMake+GitLab CI: Update Falco plugins to 2025-09-09
cb1f2254e9 Fix some more dissector warnings
a36ce24ab7 exported_pdu: add link_dir
60418af3a0 File-BLF: Improve output
732ed8eb8e BLF: Fix incompatiblity to common tools
830cf562a0 pcap: Fix an integer underflow.
80aa6fcd6e RTPS: Fix alignment for each Parameter in a ParameterList
93a86f5adc protobuf: default editions support to proto3
1646d8025c lwm2mtlv: Init hfid to 0
4e49b10218 SMB: Init hfid to 0
c342f86b48 pcapng: fixed format specifier for result of sizeof
d35554ab28 pcapng: fixed UAF when handling pcap block read error
ed4b47f01d macOS: remove Sparkle dependency when building dmg
092663d78b bist-ouch: quick fix and comments
05fa061389 Graphs: Support floating-point scale factors
002f85298f pcapng: Plug two more memory leaks on error paths.
f4263b9903 Checking scripts: don't trip over deleted files
eaf3bc2d7d include: add the c128 128-bit arithmetic logic unit^Winclude library.
f3a15b407e licensecheck: avoid thinking a license is an "ISC ISC" license.
56a8e1d674 LDA Neo trailer: fix the protocol name and name in the code.
26c1a49e06 LDA Neo trailer: make the source file name clearer.
34b8f82d06 TCAP: Always compute SRT data
6dad5d47cb CAMEL: Always compute SRT data
a104cde75c k12: Fix leak of duplicated srcdsc hash entries.
7e4b809c6f More README.plugins cleanup
3a22f8a0b1 Revert "LDA Neo trailer: make the names clearer."
424d6c099d packet-darwin: bugfix - confusing Darwin trace tag with packet gen count
a5b14603df LDA Neo trailer: make the names clearer.
8cfbd8a28f Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
Add an option to disable body decompression in http2
8546ee9096 ORAN FH CUS: Show longest UL delay in cli tap
0058b94dc6 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
ORAN FH CUS: Fix SE1 check for trx index
389f6356c9 pcapng: Added dissection of Darwin metadata
0255086c59 Qt: Change the Plot when the Y Axis scale factor changes
d0f60609cd docs: Move README.plugins to the Developer's Guide
2f5ab9c6b0 docs: Rename README.plugins to wsdg_src/wsdg_plugins.adoc
c56cf46a88 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
ORAN FH CUS: For BFW, show correct trx index
5b14f8d435 Qt: Fix a type in an #if version check
83b22a8da2 SMB sidsnooping: Remove use of globals in tap
95a87337af Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
ORAN FH CUS: support for beamspace I/II
965a721263 pcapng-netflix-custom: Fix NFLX_BLOCK_TYPE_SKIP length.
ba0b70b4a5 pcapng: Fix a leak of section_info fields on an error path.
ca81cf9061 XML: Initialize the various hf and ett IDs to zero
5aab80a551 dect_nr: Refine field names
c351c3f964 Good "git" signature with ED25519 key SHA256:ylvmNrhpOBqBQRVi0S8xv2meWLs/QnN7AztQlZY5UPE
No principal matched.
BIST-OUCH: Add orderbook tracking feature
a6488441f7 pcapng: Fix an integer overflow and some error-path memory leaks.
1b9dcff89b Fix typos.
63e7a3378c BLF: Zero-initialize a struct
c9972d95b2 tools: Reorder make-enums.py's header list
dc6e17304f tools: Add a sanity check to make-enums.py
dcee16148e [Automatic update for 2025-09-07]
3a5f82dfb5 HTTP: Don't save a pinfo->pool scoped map in file scoped data
46fdcc0847 TECMP: Allow unparsed bytes of Control Msg to be dissected as data
4c96f367ea HTTP: corrected allocation of header name
16dd368313 Falco events: Remove a couple of unused struct members
fd96212a79 Falco events: Add IP geolocation
e07527f04f k12: Reduce the logging level for some open failures
f10e814dfc dot11decrypt: Use PBKDF2 from libgcrypt
a4fac51d12 dot11decrypt: Remove a duplicate check againt key type
386511c912 dot11decrypt: Only derive PSK if SSID is specified when loading keys
c06211fbc8 epan: Fix GCC ASAN builds by marking two function tails "not_reached".
9e3579061a BLF: adding support for CAN-XL messages
a84a774312 Fix some more dissector warnings
67d5b2727f NMEA: Allow ! as a starting first character
38cc565a39 extcap: Free capture_filter
fe340eafa2 capture: Check for invalid linktype before initializing argv
4210eb6d7f STUN: Fix typo in comment
72c0a39a5f packet-amr: Move amr_nb_bytes_to_ft to UI layer
bdeaabea72 MKA: Use proto_data, not pinfo->private_table
738abb23bf HTTP: corrected memory management and tracking for header_value_map
62fb70b740 GitLab CI+packaging: Reenable Falco plugins on Windows
cdf1d211d5 BLF: LINKTYPE_LIN has 4 or 8 bytes of payload (BUGFIX)
cdca588c6e K12: Convert to use ws_log
e0cfb799ad SCSI: Allow access to SRT parameter function
3f2f6a8776 Aethra APS: A few logging fixes.
edda2489b3 ieee80211: Use little endian in vendor specific sgdsn
978cad86a5 check_typed_item_calls: Allow ENC_NA for UINT types if call len is 1
73fd1cde94 log3gpp: Build the packet record at the end of parse_line.
5acb831ac9 Qt: Allow turning on and off capture filter optimization from the GUI
2b05f0f790 mpeg: add dissector table for PMT extended descriptors
78742cbe0f MACsec: Do not show UNVERIFIED, if checks are not activated
1de6d2ff33 Aethra: Convert to use ws_log
91eef8bb37 Move read_keytab_file to /epan
458f0c940f Aethra APS: Fix a memory leak.
20a26d246f constify wmem_tree, map, list and array
463233df63 NSIS: Add a certification page
e4057ab370 NAS 5GS: fix multiple payloads container
fc65127760 Move value_string functionality to wsutil
80a495fc22 IEEE1905: Add items with explicit encodings
3bb5963352 dect_nr: Make MAC header extendable
03a20fd85a ORAN FH CUS: Another fix to udCompHdr prefs
8b968ee191 ieee80211: Fix endian problems and warnings
453cbdc053 ieee80211: Fix wrong endian in MLO IGTK/BIGTK Key id and PN
15ffe98039 log3gpp: De-duplicate code for building a packet record.
f96b594193 Fix typos.
d3d5c4494a netmon: Fix frame table bounds check.
56bcff2f56 capture: Handle empty filters correctly
19d655766d Qt: Show unoptimized capture filters in CompiledFilterOutput
13e5e0fb72 log3gpp: Fix read buffer sizing.
bbf9169fd2 MKA: Fix acceptable PN
f490e0e5b9 capture: Pass --no-optimize to dumpcap
a449215e22 dect_nr: Update to V2.1.1 (2024-10)
3d01d52a3e Const-ify wsutil/ .
d36af73afe .mailmap: August Update
d0fe06bd0a Fix some more dissector warnings
1c85e696b2 [Automatic update for 2025-08-31]
6d7b1f1c7f wsutil: Trivial wsutil/buffer.c cleanups.
d053209155 isobus: Decode the J1939 ACK message
f34465f0e5 iwarp-mpa: let dissect_iwarp_mpa_decode() restore the original pinfo->ptype
7ba623631f netmon: Prevent arbitrarily-large memory allocation.
34963e4722 capture_opts: Allow unoptimized capture filters on command line
fcc08023c3 infiniband: let dissect_rroce() restore the original pinfo->ptype
7ac2ee6d83 HTTP2: fix updating of existing streams' window
393f371842 AUTOSAR DLT: Fix minor memory leaks.
d5fbf474b7 dect_nr: Adjust DLC SDU lifetime timer bitmask
6747c3295b dect_nr: Update to V1.6.1 (2025-07)
b5ae789048 ttl: Fix a memory leak.
0a0843bc80 packaging: Don't package temporarily disabled Falco plugins
1ce910e95a BTHCI_vendor: Dissect response for read SCO PCM interface params
4e065ece7b cli_main: Fix freeing argv array
8e3c37ab10 GitLab CI: Temporarily disable some Falco plugins
2c44443d8f iwarp-mpa: make iwarp_mpa available to tcp.port decode-as
69fe70384f Gitlab CI: Update major version in arch packaging
0f5122b865 sgp32: Register dissector for request and response
4944932c24 Aggregation View
177eb5fda9 Edit packet-ltp.c for correcting LTP SDA dissection
830b7cd65d log3gpp: Reduce use of static arrays.
d483965717 C12.22: Avoid UB if no base OID is given.
3d43ab03e4 CMake: Use cmake_dependent_option for strato[shark] extcaps
d4f0540f1a Set our application flavor before calling configuration_init
fcaa4cbca6 Qt: Show capture filter in CompiledFilterOutput
3d66db02b9 Add DECT NR+ MAC layer
39ac8b5c86 GitLab CI: Arch: Use a more recent falcosecurity libs tag
babe4f3fd6 falcodump: Update our interface check
4caad1c2dd falcodump: Exit with success if there are no interfaces
78cf333c01 BT HCI: Revert separating Commands and Events payload tables
918d04867f gsm_sim: Register ett_gsm_sim_fragment
7e9f89fa62 WSDG: Update the automated builds section
